<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">Please select a banner to edit.</p>');
		redirect_to('index.php');
	}
	$id = trim($_GET['id']);
	$message = $session->message;
	
	if(isset($_POST['submit']))
	{
		$position	 	= trim($_POST['position']);
		$origposition 	= trim($_POST['origposition']);
		
		$banner = Banner::find_by_id($id);
		$banner->position		= $position;
		$banner->orig_position 	= $origposition;
		
		if($banner->update())
		{
			$session->message('<p class="green">Banner updated successfully.</p>');
			if($banner->section == 0)
				redirect_to('edit-top-banners.php');
			else if($banner->section == 1)
				redirect_to('edit-left-banners.php');
			else 
				redirect_to('edit-right-banners.php');
		} else
		{
			$message = '<p class="red">Image not updated. Please try again.</p>';
		}
	}
	$banner = Banner::find_by_id($id);
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Edit Banner</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
						<h1>Edit Banner</h1>
							
						<p>
							<a href="delete-banner.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this banner?');">Delete</a>
							&nbsp;|&nbsp;
							<a href="<?php 
								if($banner->section == 0) 
									echo 'edit-top-banners.php';
								else if($banner->section == 1)
									echo 'edit-left-banners.php'; 
								else
									echo 'edit-right-banners.php'; 
							?>">Cancel</a>
						</p>
							
						<?php if(!empty($message)) echo $message; ?>
						
						<form action="edit-banner.php?id=<?php echo $id; ?>" method="post" >
							
							<div class="row">
								<label>Position:</label>
								<select name="position">
									<?php 
										$banners = Banner::find_by_section($banner->section);
										$count = count($banners);
										for($i = 1; $i<= $count; $i++)
										{
											echo '<option value="'.$i;
											if($i == $banner->position) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
								<input type="hidden" name="origposition" value="<?php echo $banner->position; ?>" />
							</div>
							
							<div class="row">
								<label>&nbsp;</label>
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
						
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer.php'); ?>