<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	$message = $session->message;
	
	if(isset($_POST['submit']))
	{
		$link		= trim($_POST['link']);
		$position 	= trim($_POST['position']);
		$file 		= $_FILES['image'];
		
		$social = new Social();
		$social->link		= $link;
		$social->position 	= $position;
		
		if(!empty($file['tmp_name']))
		{
			if($social->attach_file($file))
			{
				if($social->save())
				{
					$session->message('<p class="green">Social media link added successfully.</p>');
					redirect_to('index.php');
				} else
				{
					$message = '<p class="red">';
					$message .= join("<br />", $social->errors);
					$message .= '</p>';
				}
			}
		} else
		{
			$message = '<p class="red">No image was uploaded. Please select an image.</p>';
		}
	}
	
	if(!isset($link)) 	$link = "";
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - New Social Media Link</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
						<h1>New Social Media Link</h1>
							
						<?php if(!empty($message)) echo $message; ?>
						
						<form action="new-social.php" method="post" enctype="multipart/form-data" >
							<div class="row">
								<label>Select Image:</label>
								<input type="file" name="image" /> (31px high)
							</div>
							
							<div class="row">
								<label>Link:</label>
								<input type="text" size="30" name="link" value="<?php echo $link; ?>" />
							</div>
							
							<div class="row">
								<label>Position:</label>
								<select name="position">
									<?php 
										$socials = Social::find_all();
										$count = count($socials);
										for($i = 1; $i<= $count + 1; $i++)
										{
											echo '<option value="'.$i;
											if($i == $count +1) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
							</div>
							
							<div class="row">
								<label>&nbsp;</label>
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
						
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer.php'); ?>