<?php require_once('../gourmet-market-cape-town-includes/market-cape-town-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">No image was selected.</p>');
		redirect_to('index.php');
	}
	
	$id = trim($_GET['id']);
	$image = Image::find_by_id($id);
	$message = $session->message;
	
	if(isset($_POST['submit']))
	{
		$position 		= trim($_POST['position']);
		$orig_position 	= trim($_POST['orig_position']);
		$file 			= $_FILES['image'];
		
		$image->position 		= $position;
		$image->orig_position 	= $orig_position;
		
		if(!empty($file['tmp_name']))
		{
			if(!empty($image->filename))
				$image->delete_file();
				
			if($image->attach_file($file))
			{
				if($image->update_image())
				{
					$session->message('<p class="green">Image updated successfully.</p>');
					redirect_to('index.php');
				} else
				{
					$message = '<p class="red">';
					$message .= join("<br />", $image->errors);
					$message .= '</p>';
				}
			}
		} else
		{
			if($image->update())
			{
				$session->message('<p class="green">Image information updated successfully.</p>');
				redirect_to('index.php');
			} else
			{
				$message = '<p class="red">Image information could not be saved. Please try again.</p>';
			}
		}
		
	}
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Edit Image</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
				<div id="main">
						<div class="content">
							
							<div class="info">
								
								<h1>EDIT IMAGE</h1>
								
								<div class="admin">
								
									<?php if(!empty($message)) echo $message; ?>
								
									<a href="index.php"><b>CANCEL</b></a>&nbsp;&nbsp;|&nbsp;
									<a href="delete-image.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this image?');"><b>DELETE</b></a><br/><br/><br/><br/>
									
									<img src="/<?php echo $image->image_display(); ?>" />
									
									<form action="edit-image.php?id=<?php echo $id; ?>" method="post" enctype="multipart/form-data">
									
										<div class="row">
											<label>Replace Image:</label>
											<input type="file" name="image" value="" size="30" />
										</div>
										
										<div class="row">
											<label>Position:</label>
											<select name="position">
												<?php 
													$images = Image::find_all(); 
													$count = count($images);
													for($i = 1; $i <= $count; $i++)
													{
														echo '<option value="'.$i;
														if($i == $image->position) echo '" selected="selected';
														echo '" >'.$i.'</option>';
													}
												?>
											</select>
											
											<input type="hidden" name="orig_position" value="<?php echo $image->position; ?>" />
										</div>
										
										<div class="row">
											<label></label>
											<input type="submit" name="submit" value="Submit" />
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
											<input type="reset" name="reset" value="Reset" />
										</div>
									</form>
								
									<a href="logout.php"><b>&raquo; LOGOUT</b></a>
									
								</div>
							</div>
							
						</div>
					</div>
				
<?php include_layout('footer-admin.php'); ?>