<?php require_once('../gourmet-market-cape-town-includes/market-cape-town-requirements.php');  ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
		$message = $session->message;
		
		if(isset($_POST['submit']))
		{
			$name 	= trim($_POST['name']);
			$info 	= trim($_POST['info']);
			$image 	= $_FILES['image'];
			
			$trader = new Trader();
			$trader->name 	= $name;
			$trader->info 	= $info;
			
			if(!empty($image['tmp_name']))
			{
				if($trader->attach_file($image))
				{
					if($trader->save())
					{
						$session->message('<p class="green">Trader added successfully.</p>');
						redirect_to('edit-traders.php');
					} else
					{
						$message = '<p class="red">';
						$message .= join("<br />", $trader->errors);
						$message .= '</p>';
					}
				}
			} else
			{
				if($trader->create())
				{
					$session->message('<p class="green">Trader added successfully.</p>');
					redirect_to('edit-traders.php');
				} else
				{
					$message = '<p class="red">Trader information could not be saved. Please try again.</p>';
				}
			}
			
		} else
		{
			$name = "";
			$info = "";
		}
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('header-admin.php'); ?>
			
				<div id="main">
						<div class="content">
							
							<div class="info">
								
								<h1>NEW TRADER</h1>
								
								<?php if(!empty($message)) echo $message; ?>
								
								<p><a href="edit-traders.php"><b>BACK TO LIST</b></a></p><br/><br/>
								
								<form action="new-trader.php" method="post" enctype="multipart/form-data">
								
									<div class="row">
										<label>Name:</label>
										<input type="text" name="name" value="<?php echo $name; ?>" size="30" />
									</div>
									
									<div class="row">
										<label>Select Image:</label>
										<input type="file" name="image" value="" size="30" />
									</div>
									
									<div class="row">
										<label>Details:</label><br/>
										<textarea name="info" class="ckeditor"><?php echo $info; ?></textarea>
									</div>
									
									<div class="row">
										<label></label>
										<input type="submit" name="submit" value="Submit" />
										&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										<input type="reset" name="reset" value="Reset" />
									</div>
								</form>
								
								<a href="logout.php"><b>&raquo; LOGOUT</b></a>
							</div>
							
						</div>
					</div>
				
<?php include_layout('footer-admin.php'); ?>