<?php 
// Define the core paths
// Define them as absolute paths to make sure that require_once works as expected

// DIRECTORY_SEPARATOR is a PHP pre-defined constant
// (\ for Windows, / for Unix)

defined('DS') ? null : define('DS', DIRECTORY_SEPARATOR);

defined('SITE_ROOT') ? null : define('SITE_ROOT', DS.'home'.DS.'fdesign1'.DS.'public_html'.DS.'freshweb.co.za');

defined('LIB_PATH') ? null : define('LIB_PATH', SITE_ROOT.DS.'beach-holiday-resort-kenya-includes');

// load config file first
require_once(LIB_PATH.DS.'kaskazi-beach-resort-kenya-config.php');

// load basic functions next so that everything after can use them
require_once(LIB_PATH.DS.'kaskazi-beach-resort-kenya-functions.php');

// load core objects
require_once(LIB_PATH.DS.'kaskazi-beach-resort-kenya-session.php');
require_once(LIB_PATH.DS.'kaskazi-beach-resort-kenya-database.php');

// load database-related classes
require_once(LIB_PATH.DS.'beach-resort-msambweni-kenya-user.php');
require_once(LIB_PATH.DS.'beach-resort-msambweni-kenya-page.php');
require_once(LIB_PATH.DS.'beach-resort-msambweni-kenya-quote.php');
require_once(LIB_PATH.DS.'beach-resort-msambweni-kenya-image.php');
require_once(LIB_PATH.DS.'beach-resort-msambweni-kenya-social.php');
require_once(LIB_PATH.DS.'beach-resort-msambweni-kenya-banner.php');

?>