<?php require_once('../guided-tours-cape-town-includes/cape-guided-tours-requirements.php'); ?>
<?php  
if($session->is_logged_in()) redirect_to("index.php"); 
	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{	// Form has been submitted.
		
		$username = trim($_POST['username']);
		$password = trim($_POST['password']);
		$refer = trim($_POST['adpage']);
		
		// Check database to see if username/password exist.
		$found_user = User::authenticate($username, $password);
		
		if($found_user)
		{
			if($session->login($found_user))
			{
				$note = new Note();
				// is it better to use timestamp or save php timestamp and integer?
				$note->details = $found_user->firstname.' '.$found_user->surname.' logged in.';
				$note->users_id = $found_user->id;
				$note->create();
				
				if(strstr('/admin/', $refer))
				{
					redirect_to($refer);
				}
				else if($session->is_admin_user() == true)
				{
					redirect_to("index.php");
				} else
				{
					redirect_to("guide-list.php");
				}
				
			} else
			{
				$session->message("Could not log in. Please try again.");
				redirect_to("login.php");
			}
		} else
		{
			// username/password combo was not found in the database
			$session->message("Username/password incorrect.");
			redirect_to("login.php");
		}
	} else
	{	// form has not been submitted
		$username = "";
		$password = "";
		redirect_to("login.php");
	}

?>