<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");}  
?>
<?php 
	// must have an ID
	if(empty($_GET['id']))
	{
		$session->message("No pdf ID was provided.");
		redirect_to('manage-pages.php');
	} 
	
	$id = $_GET['id'];
	
	$pdf = Pdf::find_by_id($id);
	
	$links = Link::find_by_link($pdf->filename);
	foreach($links as $link)
	{
		$link->delete();
	}
	
	if($pdf && $pdf->destroy())
	{
		$session->message("The pdf {$pdf->name} - {$pdf->filename} was deleted.");
		redirect_to('manage-pages.php');
	} else
	{
		$session->message("The pdf could not be deleted.");
		redirect_to('manage-pages.php');
	}
?>
<?php if(isset($database)) {$database->close_connection();} ?>