<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">No guide ID was provided.</p>');
		redirect_to('manage-guides.php');
	} 
	$id = trim($_GET['id']);
	$guide = Guide::find_by_id($id);
	$co = Company::find_by_guide($id);
	$message = $session->message;
	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{	
		$company 	= trim($_POST['company']);
		$slogan		= trim($_POST['slogan']);
		$address	= trim($_POST['address']);
		$tel		= trim($_POST['tel']);
		$fax		= trim($_POST['fax']);
		$website	= trim($_POST['website']);
		
		$co->company	= $company;
		$co->slogan		= $slogan;
		$co->address	= $address;
		$co->tel		= $tel;
		$co->fax		= $fax;
		$co->website	= $website;
		$co->guides_id 	= $id;
		if($co->update())
		{		
			$session->message('<p class="red">Company details updated successfully.</p>');
			redirect_to('guide-details.php?id='.$id);
		} else
		{
			$message = '<p class="red">An error occurred. Please try again.</p>';
		}
	} 	
	if(!isset($company))	$company	= $co->company;
	if(!isset($slogan)) 	$slogan 	= $co->slogan; 
	if(!isset($address)) 	$address 	= $co->address;
	if(!isset($tel)) 		$tel 		= $co->tel;
	if(!isset($fax)) 		$fax 		= $co->fax;
	if(!isset($website))	$website	= $co->website;
	
?>

<?php include_layout('html.php'); ?>

		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>ADD TOURIST GUIDE COMPANY DETAILS</h1>
					
					<?php if($message != "") echo $message; ?>
					
					<div class="guide_details">
						
						<h2>COMPANY DETAILS FOR GUIDE: <?php echo strtoupper($guide->firstname.' '.$guide->surname); ?></h2>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
						
							<table class="borderless">
								<tr><td width="150px">Company Name:</td><td><input type="text" size="30" name="company" value="<?php echo $company;?>" /> </td></tr>
								<tr><td>Slogan:</td><td><input type="text" size="30" name="slogan" value="<?php echo $slogan;?>" /> </td></tr>
								<tr><td>Address:</td><td><input type="text" name="address" size="30" value="<?php echo $address;?>" /></td></tr>
								<tr><td>Telephone:</td><td><input type="text" name="tel" size="30" value="<?php echo $tel;?>" /></td></tr>
								<tr><td>Fax:</td><td><input type="text" name="fax" size="30" value="<?php echo $fax; ?>" /></td></tr>
								<tr><td>Website Address:</td><td><input type="text" name="website" size="30" value="<?php echo $website; ?>" /></td></tr>
							</table>
							
							<p><input type="submit" name="submit" value="Save" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" /></p>
						
						</form>
						
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>
