<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$contact = Contact::find_by_id(1);
		$contact->content = trim($_POST['content']);	
		if($contact->update())
		{
			$session->message("Contact details updated successfully.");
			redirect_to('manage-pages.php');
		} else
		{
			$session->message("An error has occurred. Please try again.");
		}
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					
						<h1>EDIT CONTACT DETAILS</h1>
						
						<p>
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<?php if(isset($session->message) && $session->message != "") echo $session->message.'<br/>'; ?>
						
						<form method="post" action="edit-contact.php">
							<div class="row">
								<textarea class="ckeditor" name="content"><?php 
									$contact = Contact::find_by_id(1);
									echo $contact->content;
								?></textarea>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Update" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>