<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(!isset($_GET['id']))
	{
		$session->message("No guide id was provided.");
		redirect_to('manage-guides.php');
	} else
	{
		$id = mysql_prep($_GET['id']);
		$guide = Guide::find_by_id($id);
		$comm = Communicationmethod::find_by_id($guide->communication_methods_id);
		$message = $session->message;
		
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{			
		// Languages
			$langcount	= trim($_POST['langcount']);
			if($langcount >0)
			{
				$oldglangs = GuideLanguage::find_by_guide($id);
				foreach($oldglangs as $oldglang)
				{
					$oldglang->delete();
				}
				for($l = 1; $l <= $langcount; $l++)
				{
					$lang_id 	= trim($_POST['language'.$l]);
					$lang_level = trim($_POST['level'.$l]);
					if($lang_id != 'none')
					{
						$glang = new GuideLanguage();
						$glang->languages_id = $lang_id;
						$glang->languagelevels_id = $lang_level;
						$glang->guides_id = $id;
						$glang->create();
					}
				}
			}
			$newlang = trim($_POST['languagenew']);
			$newlevel = trim($_POST['levelnew']);
			if($newlang != "none")
			{
				$glanguage = new GuideLanguage();
				$glanguage->languages_id = $newlang;
				$glanguage->languagelevels_id = $newlevel;
				$glanguage->guides_id = $id;
				$glanguage->create();
			}
		// End Languages
		
		// Categories
			$catcount	= trim($_POST['catcount']);
			if($catcount >0)
			{
				$oldcats = GuideCategory::find_by_guide($id);
				foreach($oldcats as $oldcat)
				{
					$oldcat->delete();
				}
				for($c = 1; $c <= $catcount; $c++)
				{
					$cat_id 	= trim($_POST['category'.$c]);
					$cat_pref = trim($_POST['level'.$c]);
					if($cat_id != 'none')
					{
						$gcat = new GuideCategory();
						$gcat->categories_id = $cat_id;
						$gcat->preference = $cat_pref;
						$gcat->guides_id = $id;
						$gcat->create();
					}
				}
			}
			$newcat = trim($_POST['categorynew']);
			$newpref = trim($_POST['preferencenew']);
			if($newcat != "none")
			{
				$gcategory = new GuideCategory();
				$gcategory->categories_id = $newcat;
				$gcategory->preference = $newpref;
				$gcategory->guides_id = $id;
				$gcategory->create();
			}
		// End Categories
		
		// Types
			$typecount	= trim($_POST['typecount']);
			if($typecount >0)
			{
				$oldtypes = GuideType::find_by_guide($id);
				foreach($oldtypes as $oldtype)
				{
					$oldtype->delete();
				}
				for($t = 1; $t <= $typecount; $t++)
				{
					$type_id 	= trim($_POST['type'.$t]);
					$tpreference = trim($_POST['tpreference'.$t]);
					if($type_id != 'none')
					{
						$gtype = new GuideType();
						$gtype->types_id = $type_id;
						$gtype->preference = $tpreference;
						$gtype->guides_id = $id;
						$gtype->create();
					}
				}
			}
			$newtype= trim($_POST['typenew']);
			$newtpref = trim($_POST['tpreferencenew']);
			if($newtype != "none")
			{
				$gtypen = new GuideType();
				$gtypen->types_id = $newtype;
				$gtypen->preference = $newtpref;
				$gtypen->guides_id = $id;
				$gtypen->create();
			}
		// End Types
		
		// Regions
			$oldregs = GuideRegion::find_by_guide($id);
			foreach($oldregs as $oldreg)
				$oldreg->delete();
			$regionstring = implode(', ',$_POST['region']);
			$postregs = explode(', ', $regionstring);
			foreach($postregs as $postreg)
			{
				$guidereg = new GuideRegion();
				$guidereg->guides_id = $id;
				$guidereg->regions_id = $postreg;
				$guidereg->create();
			}
				
			$othreg = trim($_POST['othreg']);
			if($othreg != "")
			{
				$regexists = Region::find_by_region($othreg);
				if(!$regexists)
				{
					$newreg = new Region();
					$newreg->region= $othreg;
					$newreg->create();
				} 
				$newguidereg = new GuideRegion();
				$newguidereg->guides_id = $id;
				if($regexists)
					$newguidereg->regions_id = $reggexists->id;
				else $newguidereg->regions_id = $newreg->id;
				$newguidereg->create();
			}
		// End Regions
		
		// Specialities
			$oldspecs = GuideSpeciality::find_by_guide($id);
			foreach($oldspecs as $oldspec)
				$oldspec->delete();
			if(isset($_POST['speciality']));
			{
				$specstring = implode(', ',$_POST['speciality']);
				$postspecs = explode(', ', $specstring);
				foreach($postspecs as $postspec)
				{
					$guidespec = new GuideSpeciality();
					$guidespec->guides_id = $id;
					$guidespec->specialities_id = $postspec;
					$guidespec->create();
				}
				
				$othspec = trim($_POST['othspec']);
				if($othspec != "")
				{
					$specexists = Speciality::find_by_speciality($othspec);
					if(!$specexists)
					{
						$newspec = new Speciality();
						$newspec->speciality = $othspec;
						$newspec->create();
					}
					$newguidespec = new GuideSpeciality();
					$newguidespec->guides_id = $id;
					if($specexists) $newguidespec->specialities_id = $specexists->id;
					else $newguidespec->specialities_id = $newspec->id;
					$newguidespec->create();
				}
			}
		// End Specialities
		
		// Affiliations
			$oldaffs = GuideAffiliation::find_by_guide($id);
			foreach($oldaffs as $oldaff)
				$oldaff->delete();
			if(isset($_POST['affiliation']))
			{
				$affstring = implode(', ',$_POST['affiliation']);
				$postaffs = explode(', ', $affstring);
				foreach($postaffs as $postaff)
				{
					$guideaff = new GuideAffiliation();
					$guideaff->guides_id = $id;
					$guideaff->affiliations_id = $postaff;
					$guideaff->create();
				}
			}
		// End Affiliations
		
		// Qualifications
			$oldquals = GuideQualification::find_by_guide($id);
			foreach($oldquals as $oldqual)
				$oldqual->delete();
			if(isset($_POST['qualification']))
			{
				$qualstring = implode(', ',$_POST['qualification']);
				$postquals = explode(', ', $qualstring);
				foreach($postquals as $postqual)
				{
					$guidequal = new GuideQualification();
					$guidequal->guides_id = $id;
					$guidequal->qualifications_id = $postqual;
					$guidequal->create();
				}
			}
		// End Qualifications
		
		// Admin Processes		
			$processes = AdminProcess::find_all();
			foreach($processes as $process)
			{
				$gprocessexists = GuideAdminProcess::find_guide_process($id,$process->id);
				if(isset($_POST['process'.$process->id]))
				{
					$pdatepost = trim($_POST['processdate'.$process->id]);
					$pdate_parts = explode('/', $pdatepost);
					if(is_numeric($pdate_parts[0]) && is_numeric($pdate_parts[0]) && is_numeric($pdate_parts[2]))
						$pdate = checkdate($pdate_parts[1], $pdate_parts[0], $pdate_parts[2]);
					else $pdate = false;
					if($pdate)
						$gprocessdate = date('Y-m-d', strtotime(str_replace('/', '-', $pdatepost)));
					else $gprocessdate = date('Y-m-d');
				
					if(!$gprocessexists)
					{
						$gprocess = new GuideAdminProcess();
						$gprocess->admin_processes_id = $process->id;
						$gprocess->guides_id = $id;
					}
					else $gprocess = $gprocessexists;
					$gprocess->comments = trim($_POST['processcomments'.$process->id]);
					$gprocess->date_completed = $gprocessdate;
					if($gprocessexists)
						$gprocess->update();
					else $gprocess->create();
				} elseif($gprocessexists)
					$gprocessexists->delete();
			}
		// Admin Processes
		
		// Guide details
			$firstname 	= trim($_POST['firstname']);
			$surname 	= trim($_POST['surname']);
			$email 		= trim($_POST['email']);
			$tel 		= trim($_POST['tel']);
			$contact	= trim($_POST['contact']);
			$country	= trim($_POST['country']);
			$base		= trim($_POST['base']);
			$branch		= trim($_POST['bank']);
			$accholder	= trim($_POST['accholder']);
			$account	= trim($_POST['account']);
			$acctype	= trim($_POST['acctype']);
			$kinname	= trim($_POST['kinname']);
			$kincontact	= trim($_POST['kincontact']);
			$kinrel		= trim($_POST['kinrel']);
			$gcomments	= trim($_POST['gcomments']);
			$idnumber	= trim($_POST['idnumber']);	
			$badge		= trim($_POST['badge']);
			$badgeexpiry= trim($_POST['badgeexpiry']);
			
			$datepost	= trim($_POST['start_guide']);
			$date_parts = explode('/', $datepost);
			if(is_numeric($date_parts[0]) && is_numeric($date_parts[0]) && is_numeric($date_parts[2]))
				$fromdate = checkdate($date_parts[1], $date_parts[0], $date_parts[2]);
			else $fromdate = false;
			if($fromdate)
				$guide_start = date('Y-m-d', strtotime(str_replace('/', '-', $datepost)));
			$guide->started_guiding = $guide_start;
			
			$guide->firstname 			= $firstname;
			$guide->surname				= $surname;
			$guide->email				= $email;
			$guide->tel					= $tel;
			$guide->communication_methods_id= $contact;
			$guide->countries_id		= $country;
			$guide->suburbs_id			= $base;
			$guide->id_number			= $idnumber;
			$guide->badge_number		= $badge;
			$guide->badge_expiry		= $badgeexpiry;
			$guide->bank_branches_id	= $branch;
			$guide->bank_account		= $account;
			$guide->account_holder		= $accholder;
			$guide->account_types_id	= $acctype;
			$guide->kin_name			= $kinname;
			$guide->kin_contact			= $kincontact;
			$guide->kin_relationships_id= $kinrel;
			$guide->comments			= $gcomments;
			$guide->update();
		} 
		if(!isset($firstname)) 		$firstname		= $guide->firstname;
		if(!isset($surname)) 		$surname 		= $guide->surname;
		if(!isset($email)) 			$email 			= $guide->email;
		if(!isset($tel)) 			$tel 			= $guide->cellphone;
		if(!isset($contact)) 		$contact 		= $comm->id;
		if(!isset($country)) 		$country 		= $guide->countries_id;
		if(!isset($base)) 			$base	 		= $guide->suburbs_id;
		if(!isset($gcomments))		$gcomments	 	= $guide->comments;
		
		$othreg 		= "";
		$othspec 		= "";
		
		if(!isset($start_guide))	$start_guide	= date('d/m/Y',strtotime(str_replace('-','/',$guide->started_guiding)));
		
		if(!isset($gbank)) 			$gbank 			= get_guide_bank_details($id); 
		if(!isset($account)) 		$account 		= $gbank['account'];
		if(!isset($branch)) 		$branch 		= $gbank['id'];
		if(!isset($accholder)) 		$accholder 		= $guide->account_holder;
		if(!isset($acctype)) 		$acctype 		= $guide->account_types_id;
		
		if(!isset($idnumber))		$idnumber		= $guide->id_number;
		if(!isset($badge))			$badge			= $guide->badge_number;
		if(!isset($badgeexpiry))	$badgeexpiry	= date('d/m/Y',strtotime(str_replace('-','/',$guide->badge_expiry)));
		if(!isset($kinname)) 		$kinname 		= $guide->kin_name;
		if(!isset($kincontact)) 	$kincontact	= $guide->kin_contact;
		if(!isset($kinrel)) 
		{
			$relationship 	= KinRelationship::find_by_id($guide->kin_relationships_id);
			$kinrel 		= $relationship->id; 
		}
	}
?>

<?php include_layout('html.php'); ?>

		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>EDIT TOURIST GUIDE DETAILS: <?php echo strtoupper($guide->firstname.' '.$guide->surname); ?></h1>
					
					<p><a href="guide-details.php?id=<?php echo $id; ?>">CANCEL</a></p>
					
					<?php if($message != "") echo $message; ?>
					
					<div class="guide_details">
						
						<h2>CONTACT DETAILS</h2>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
						<table class="borderless">
							<tr><td width="150px">First Name:</td><td><input type="text" size="20" name="firstname" value="<?php echo $firstname;?>" /> </td></tr>
							<tr><td>Surname:</td><td><input type="text" size="20" name="surname" value="<?php echo $surname;?>" /> </td></tr>
							<tr><td>Cellphone:</td><td><input type="text" name="tel" size="20" value="<?php echo $tel;?>" /></td></tr>
							<tr><td>Email:</td><td><input type="text" name="email" size="30" value="<?php echo $email; ?>" /></td></tr>
							<tr><td>Preffered Contact:</td><td>
								<select name="contact">
							<?php 	
								$methods = CommunicationMethod::find_all();
								foreach($methods as $method)
								{
									echo '<option value="'.$method->id;
									if($method->id == $contact) echo '" selected="selected';
									echo '" >'.$method->name.'</option>';
								}?>
								</select>
							</td></tr>
							<tr><td>Base Area:</td><td>
								<select name="base">
									<?php 
										$allsuburbs = Suburb::find_all();
										foreach($allsuburbs as $allsuburb)
										{	
											echo '<option value="'.$allsuburb->id;
											if($allsuburb->id == $base) echo '" selected="selected';
											echo '">'.$allsuburb->suburb.'</option>';
										}
									?>
								</select>
							</td></tr>
							<tr><td>Country of Origin:</td><td>
								<select name="country">
									<option value="none">Please Select...</option>
									<?php 
										$allcountries = Country::find_all();
										foreach($allcountries as $allcountry)
										{
											echo '<option value="'.$allcountry->id;
											if($allcountry->id == $country) echo '" selected="selected';
											echo '">'.$allcountry->country.'</option>';
										}
									?>
								</select>
							</td></tr>
						</table>
						
						<h2>CAPABILITIES</h2>
						<table class="borderless">
							<tr><td width="150px">Languages:</td>
								<td>
									<?php 
										$guidelangs = GuideLanguage::find_by_guide($id);
										$i = 0;
										$langs = Language::find_all();
										$levels = LanguageLevel::find_all();
										foreach($guidelangs as $guidelang)
										{
											$i++;
											echo '<select name="language'.$i.'">';
											echo '<option value="none">Select Language...</option>';
												foreach($langs as $lang)
												{
													echo '<option value="'.$lang->id;
													if($lang->id == $guidelang->languages_id) echo '" selected="selected';
													echo '">'.$lang->language.'</option>';
												}
											echo '</select>&nbsp;&nbsp;<select name="level'.$i.'">';
											echo '<option value="none">Select Level...</option>';
											foreach($levels as $level)
											{
												echo '<option value="'.$level->id;
												if($guidelang->languagelevels_id == $level->id) echo '" selected="selected';
												echo '">'.$level->name.'</option>';
											}
											echo '</select><br/><br/>';
										} 
									?>
									<input type="hidden" name="langcount" value="<?php echo $i; ?>" />
									<select name="languagenew">
										<option value="none">Select Language...</option>
										<?php
											foreach($langs as $lang)
												{
													echo '<option value="'.$lang->id;
													echo '">'.$lang->language.'</option>';
												}
										?>
									</select>&nbsp;
									<select name="levelnew">
										<option value="none">Select Level...</option>
										<?php
											foreach($levels as $level)
											{
												echo '<option value="'.$level->level;
												echo '">'.$level->name.'</option>';
											}
										?>
									</select>
								</td></tr>
							<tr><td>Tour Categories</td>
								<td>
								<?php 
									$cats = Category::find_all();
									$guidecats = GuideCategory::find_by_guide($id);
									$count = count($guidecats);
									$i = 0;
									foreach($guidecats as $guidecat)
									{
										$i++;
										echo '<select name="category'.$i.'">';
										echo '<option value="none">Select Category...</option>';
										foreach($cats as $cat)
										{
											echo '<option value="'.$cat->id;
											if($cat->id == $guidecat->categories_id) echo '" selected="selected';
											echo '">'.$cat->category.'</option>';
										}
										echo '</select>&nbsp;&nbsp;<select name="preference'.$i.'">';
										for($j = 1; $j <= $count+1; $j++)
										{
											echo '<option value="'.$j;
											if($j == $guidecat->preference) echo '" selected="selected';
											echo '">'.$j.'</option>';
										}
										echo '</select><br/><br/>';
									}
									echo '<select name="categorynew">';
									echo '<option value="none">Select Category...</option>';
									foreach($cats as $cat)
									{
										echo '<option value="'.$cat->id;
										echo '">'.$cat->category.'</option>';
									}
									echo '</select>&nbsp;&nbsp;<select name="preferencenew">';
									for($j = 1; $j <= $count+1; $j++)
									{
										echo '<option value="'.$j.'">'.$j.'</option>';
									}
									echo '</select><br/><br/>';							
								?>
								<input type="hidden" name="catcount" value="<?php echo $i; ?>" />
								</td></tr>
							<tr><td>Tour Types:</td>
								<td>
								<?php 
									$guidetypes = GuideType::find_by_guide($id);
									$types = Type::find_all();
									$i = 0;
									foreach($guidetypes as $guidetype)
									{
										$i++;
										echo '<select name="type'.$i.'">';
										echo '<option value="none">Select Type...</option>';
										foreach($types as $type)
										{
											echo '<option value="'.$type->id;
											if($type->id == $guidetype->types_id) echo '" selected="selected';
											echo '">'.$type->type.'</option>';
										}
										echo '</select>&nbsp;&nbsp;<select name="tpreference'.$i.'">';
										for($j = 1; $j <= $count+1; $j++)
										{
											echo '<option value="'.$j;
											if($j == $guidetype->preference) echo '" selected="selected';
											echo '">'.$j.'</option>';
										}
										echo '</select><br/><br/>';
									}
									echo '<select name="typenew">';
									echo '<option value="none">Select Type...</option>';
									foreach($types as $type)
									{
										echo '<option value="'.$type->id;
										echo '">'.$type->type.'</option>';
									}
									echo '</select>&nbsp;&nbsp;<select name="tpreferencenew">';
									for($j = 1; $j <= $count+1; $j++)
									{
										echo '<option value="'.$j.'">'.$j.'</option>';
									}
									echo '</select><br/><br/>';
								?>
								<input type="hidden" name="typecount" value="<?php echo $i; ?>" />
								</td></tr>
							<tr><td>Tour Regions:</td>
								<td>
								<?php 
									$guideregions = Region::find_by_guide($id);
									foreach($guideregions as $guideregion)
									{
										$reg[] = $guideregion->id;
									}
									$regions = Region::find_all();
									foreach($regions as $region)
									{
										echo '<div class="label"><input name="region[]" type="checkbox" value="'.$region->id;
										if(in_array($region->id, $reg)) echo '" checked="checked';
										echo '" /> '.$region->region.'</div>';
									}
								?>
								</td></tr>
							<tr><td>Other Region:</td><td><input type="text" size="30" name="othreg" value="<?php echo $othreg;?>" /></td></tr>
							<tr><td>Specialities:</td>
								<td><ul>
								<?php 
									$guidespecs = GuideSpeciality::find_by_guide($id);
									foreach($guidespecs as $guidespec) $spec[] = $guidespec->specialities_id;
									$specialities = Speciality::find_all();
									foreach($specialities as $speciality)
									{
										echo '<div class="label"><input name="speciality[]" type="checkbox" value="'.$speciality->id;
										if(isset($spec) && in_array($speciality->id, $spec)) echo '" checked="checked';
										echo '" /> '.$speciality->speciality.'</div>';
									}
								?>
								</ul></td></tr>
							<tr><td>Other Speciality:</td><td><input type="text" size="30" name="othspec" value="<?php echo $othspec;?>" /></td></tr>
						</table>
						
						<h2>ADMIN INFORMATION</h2>
						<table class="borderless">
							<tr><td width="150px">ID Number:</td><td><input type="text" name="idnumber" value="<?php echo $idnumber; ?>" size="30" /></td></tr>
							<tr><td>Guide Registration:</td><td><input type="text" name="badge" value="<?php echo $badge; ?>" size="30" /></td></tr>
							<tr><td>Registration Expiry:</td><td>
								<script>
									$(function() {
										$( "#badgeexp" ).datepicker({
											dateFormat: 'dd/mm/yy',
											changeMonth: true,
											changeYear: true,
											showOtherMonths: true,
											selectOtherMonths: true
											});
									});
								</script>
								<input type="text" name="badgeexpiry" value="<?php echo $badgeexpiry; ?>" size="10" id="badgeexp" />
							</td></tr>
							<tr><td>Started Guiding:</td><td>
								<script>
									$(function() {
										$( "#guidefrom" ).datepicker({
											dateFormat: 'dd/mm/yy',
											changeMonth: true,
											changeYear: true,
											showOtherMonths: true,
											selectOtherMonths: true
											});
									});
								</script>
								<input type="text" name="start_guide" value="<?php echo $start_guide; ?>" size="10" id="guidefrom" /></td></tr>
							<tr><td>Affiliations:</td><td>
							<?php 
								$guideaffs = Affiliation::find_by_guide($id);
								foreach($guideaffs as $guideaff)
									$aff[] = $guideaff->id;
								$affiliations = Affiliation::find_all();
								foreach($affiliations as $affiliation)
								{
									echo '<div class="label"><input type="checkbox" name="affiliation[]" value="'.$affiliation->id;
									if(isset($aff) && in_array($affiliation->id, $aff)) echo '" checked="checked';
									echo '" /> '.$affiliation->affiliation.'</div>';
								}
							?>
							</td></tr>
							<tr><td>Qualifications:</td><td><?php 
								$gquals = Qualification::find_by_guide($id);
								foreach($gquals as $gqual)
									$qual[] = $gqual->id;
								$qualifications = Qualification::find_all();
								foreach($qualifications as $qualification)
								{
									echo '<div class="label"><input type="checkbox" name="qualification[]" value="'.$qualification->id;
									if(isset($qual) && in_array($qualification->id, $qual)) echo '" checked="checked';
									echo '" /> '.$qualification->qualification.'</div>';
								}
							?></td></tr>
							<tr><td>Admin Processes</td><td>
							
							<?php 
								$processes = AdminProcess::find_all();
								foreach($processes as $process)
								{
								?>
								<script>
									$(function() {
										$( "#processdate<?php echo $process->id; ?>" ).datepicker({
											dateFormat: 'dd/mm/yy',
											changeMonth: true,
											changeYear: true,
											showOtherMonths: true,
											selectOtherMonths: true
											});
									});
								</script>
								<?php 
									$comments = "";
									$gproc = GuideAdminProcess::find_guide_process($id,$process->id);
									echo '<div class="calendar"><div class="label"><input type="checkbox" name="process'.$process->id.'[]" value="'.$process->id;
									if($gproc) echo '" checked="checked';
									echo '" /> '.$process->process;
									echo '<br/><br/><input type="text" name="processdate'.$process->id.'" value="';
									if($gproc) echo date('d/m/Y',strtotime($gproc->date_completed));
									else echo 'dd/mm/yyyy';
									echo '" size="10" id="processdate'.$process->id.'" /></div>';
									echo '<div class="calendar"><textarea cols="60" rows="3" name="processcomments'.$process->id.'" >';
									if($gproc) $comments = $gproc->comments;
									if($comments == "") echo 'Comments...';
									else echo $comments;
									echo '</textarea></div></div>';
								}
							?>
							</td></tr>
						</table>
						
						<h2>BANK DETAILS</h2>
						<table class="borderless">
							<tr><td width="150px">Bank Branch:</td><td>
								<select name="bank">
									<option value="none">Please Select...</option>
								<?php 
									$banks = get_bank_branches();
									while($bank = mysql_fetch_array($banks))
									{
										echo '<option value="'.$bank['id'];
										if($bank['id'] ==  $branch) echo '" selected="selected';
										echo '">'.$bank['bank'].' '.$bank['branch'].' '.$bank['code'].'</option>';
									}
								?>
								</select>
							</td></tr>
							<tr><td>Account Holder:</td><td><input type="text" name="accholder" size="30" value="<?php echo $accholder; ?>" /></td>
							<tr><td>Account Number:</td><td><input type="text" name="account" size="30" value="<?php echo $account; ?>" /></td></tr>
							<tr><td>Account Type:</td><td>
								<select name="acctype">
									<option value="none">Please Select...</option>
									<?php 
									$accs = AccountType::find_all();
									foreach($accs as $acc)
									{
										echo '<option value="'.$acc->id;
										if($acc->id == $acctype) echo '" selected="selected';
										echo '">'.$acc->account_type.'</option>';
									}
									 ?>
							</select>
							</td></tr>
						</table>
						
						<h2>NEXT OF KIN INFORMATION</h2>
						<table class="borderless">
							<tr><td width="150px">Name:</td><td>
								<input type="text" name="kinname" size="30" value="<?php echo $kinname; ?>" />
							</td></tr>
							<tr><td>Contact:</td><td>
								<input type="text" name="kincontact" size="30" value="<?php echo $kincontact; ?>" />
							</td></tr>
							<tr><td>Relationship:</td><td>
								<select name="kinrel">
									<option value="none">Please Select...</option>
								<?php 
									$rels = KinRelationship::find_all();
									foreach($rels as $rel)
									{
										echo '<option value="'.$rel->id;
										if($rel->id == $kinrel) echo '" selected="selected';
										echo '">'.$rel->relationship.'</option>';
									}
								?>
								</select>
							</td></tr>
						</table>
						
						<h2>ADDITIONAL INFORMATION</h2>
						<textarea name="gcomments" cols="50" rows="4"><?php echo $gcomments; ?></textarea>
						
						<p><input type="submit" name="submit" value="Update" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" /></p>
						
						</form>
						
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>
