<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
	} else
	{
		$session->message("No pdf was slected.");
	}
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$pdf = Pdf::find_by_id($id);
		$pdf->name = trim($_POST['name']);
		
		if($pdf->update())
		{
			$session->message("PDF information updated successfully.");
			redirect_to('manage-pages.php');
		} else
		{
			$message = "An error has occurred. Please try again.";
		}
	}
	$pdf = Pdf::find_by_id($id);
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>EDIT PDF: <?php echo strtoupper($pdf->name); ?></h1>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<p>
							<a href="delete-pdf.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this pdf?');">DELETE</a> &nbsp;|&nbsp;
							<a href="<?php echo $pdf->image_display(); ?>" target="_blank">VIEW PDF</a> &nbsp;|&nbsp;
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
							<div class="row">
								<div class="label">Name</div>
								<input type="text" name="name" value="<?php echo $pdf->name; ?>" />							
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Update" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>