<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
	} else
	{
		$session->message("No social media link was slected.");
	}
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$social = SocialMedia::find_by_id($id);
		$social->name = trim($_POST['name']);
		$social->link = trim($_POST['link']);
		$social->alt = trim($_POST['alt']);
		$social->position = trim($_POST['position']);
		$social->orig_position = trim($_POST['orig_position']);
		
		if($social->update())
		{
			$session->message("Social media link updated successfully.");
			redirect_to('manage-pages.php');
		} else
		{
			$message = "An error has occurred. Please try again.";
		}
	}
	$social = SocialMedia::find_by_id($id);
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>EDIT SOCIAL MEDIA LINK</h1>
						
						<p>
							<a href="delete-social.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this social media link?');">DELETE</a> &nbsp;|&nbsp;
							<a href="replace-social-image.php?id=<?php echo $id; ?>" >REPLACE IMAGE</a> &nbsp;|&nbsp;
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<div class="row">
							<div class="label">&nbsp;</div>
							<a href="replace-social-image.php?id=<?php echo $id; ?>" ><img src="/ctgc/<?php echo $social->image_display(); ?>" /></a>
						</div>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
							
							<div class="row">
								<div class="label">Name</div>
								<input type="text" name="name" size="30" value="<?php echo $social->name; ?>" />
							</div>
							
							<div class="row">
								<div class="label">Website link</div>
								<input type="text" name="link" size="30" value="<?php echo $social->link; ?>" />
							</div>
							
							<div class="row">
								<div class="label">Title</div>
								<input type="text" name="alt" size="30" value="<?php echo $social->alt; ?>" />
							</div>
							
							<div class="row">
								<div class="label">Position</div>
								<select name="position">
									<?php 
										$medias = SocialMedia::find_all();
										$count = count($medias);
										echo $count;
										for ($i = 1; $i <= $count; $i++)
										{
											echo '<option value="'.$i;
											if($i == $social->position) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
								<input type="hidden" name="orig_position" value="<?php echo $social->position; ?>" />
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
								<input type="reset" name="reset" value="Reset" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>