<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(!isset($_GET['id']))
	{
		$session->message("No record ID was provided.");
		redirect_to('manage-guides.php');
	} else
	{
		$id = mysql_prep($_GET['id']);
		$guide = Guide::find_by_id($id);
		$vehicle = Vehicle::find_by_guide($guide->id);
		$message = $session->message;
		
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$year			= trim($_POST['year']);
			$capacity		= trim($_POST['capacity']);
			$colour			= trim($_POST['colour']);
			$pdplicence		= trim($_POST['pdplicence']);
			$pdpexpiry		= trim($_POST['pdpexpiry']);
			$oplicence		= trim($_POST['oplicence']);
			$opexpiry		= trim($_POST['opexpiry']);
			$comments		= trim($_POST['comments']);
			$model			= trim($_POST['model']);
			
			$vehicle->vehicle_models_id	= $model;
			$vehicle->year				= $year;
			$vehicle->capacity			= $capacity;
			$vehicle->colour			= $colour;
			$vehicle->pdp_licence		= $pdplicence;
			$vehicle->pdp_expiry		= $pdpexpiry;
			$vehicle->operators_licence	= $oplicence;
			$vehicle->operators_expiry	= $opexpiry;
			if(isset($_POST['passliability'])) $vehicle->passenger_liability = 'y';
			else $vehicle->passenger_liability = 'n';
			if(isset($_POST['personalins'])) $vehicle->personal_insurance = 'y';
			else $vehicle->personal_insurance = 'n';
			if(isset($_POST['vliability'])) $vehicle->vehicle_liability = 'y';
			else $vehicle->vehicle_liability = 'n';
			$vehicle->comments = $comments;
			$vehicle->guides_id = $id;
			if($vehicle->update())
			{
				$session->message('<p class="red">Vehicle details updated successfully.</p>');
				redirect_to('guide-details.php?id='.$id);
			} else
			{
				$message = '<p class="red">An error has occurred. Please try again.</p>';
			}
		} 
		if(!isset($model))			$model	 		= $vehicle->vehicle_models_id;
		if(!isset($year)) 			$year			= $vehicle->year;
		if(!isset($capacity)) 		$capacity 		= $vehicle->capacity;
		if(!isset($colour)) 		$colour 		= $vehicle->colour;
		if(!isset($pdplicence)) 	$pdplicence 	= $vehicle->pdp_licence;
		
		if(!isset($pdpexpiry)) 		
			if($vehicle->pdp_expiry == '0000-00-00') $pdpexpiry = 'dd/mm/yyyy';
			else $pdpexpiry 		= date('d/m/Y', $vehicle->pdp_expiry);
		if(!isset($opexpiry)) 		
			if($vehicle->operators_expiry == '0000-00-00') $opexpiry = 'dd/mm/yyyy';
			else $opexpiry	 	= date('d/m/Y', $vehicle->operators_expiry);
		if(!isset($oplicence)) 		$oplicence 		= $vehicle->operators_licence;
		
		if(!isset($passliability))	$passliability	= $vehicle->passenger_liability;
		if(!isset($personalins))	$personalins	= $vehicle->personal_insurance;
		if(!isset($vliability))		$vliability	 	= $vehicle->vehicle_liability;
		if(!isset($comments))		$comments	 	= $vehicle->comments;
		
		if($pdpexpiry == '01/01/1970' || $pdpexpiry == '0000-00-00') $pdpexpiry = 'dd/mm/yyyy';
		if($opexpiry == '01/01/1970' || $opexpiry == '0000-00-00') $opexpiry = 'dd/mm/yyyy';
	}
?>

<?php include_layout('html.php'); ?>

		<title>Edit Vehicle Details - Cape Tourist Guide Connection - capetouristguide.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>VEHICLE DETAILS FOR GUIDE: <?php echo strtoupper($guide->firstname.' '.$guide->surname); ?></h1>
					
					<?php if($message != "") echo $message; ?>
					
					<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
					<div class="guide_details">
						
						<table class="borderless">
							<tr><td width="180px">Type of Vehicle:</td><td>
								<select name="model">
								<option value="none">Select Make & Model</option>
								<?php 
									$vmakes = get_vehicle_makes_models();
									while($vmodel = mysql_fetch_array($vmakes))
									{
										echo '<option value="'.$vmodel['id'];
										if($model == $vmodel['id']) echo '" selected="selected';
										echo '">'.$vmodel['make'].' '.$vmodel['model'].'</option>';
									}
								?>
								</select>
							</td></tr>
							<tr><td>Year:</td><td><input type="text" name="year" value="<?php echo $year; ?>" size="10" /></td></tr>
							<tr><td>Passenger Seats:</td><td>
								<select name="capacity">
									<option value="0">Select...</option>
									<?php 
										for($i = 1; $i <=20; $i++)
										{
											echo '<option value="'.$i;
											if($i == $capacity) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
							</td></tr>
							<tr><td>Colour:</td><td><input type="text" name="colour" size="20" value="<?php echo $colour; ?>" /></td></tr>
							<tr><td>PDP Licence:</td><td>
								<input type="radio" name="pdplicence" value="n" <?php if($pdplicence == 'n') echo 'checked="checked"'; ?> /> No
								<input type="radio" name="pdplicence" value="y" <?php if($pdplicence == 'y') echo 'checked="checked"'; ?> /> Yes
							</td></tr>
							<tr><td>PDP Expiry:</td>
								<td>
									<script>
										$(function() {
											$( "#pdpexp" ).datepicker({
												dateFormat: 'dd/mm/yy',
												changeMonth: true,
												changeYear: true,
												showOtherMonths: true,
												selectOtherMonths: true
												});
										});
									</script>
									<input type="text" name="pdpexpiry" value="<?php echo $pdpexpiry; ?>" size="10" id="pdpexp" />
								</td></tr>
							<tr><td>Operators Licence:</td><td>
								<input type="text" name="oplicence" size="30" value="<?php echo $oplicence; ?>" />
							</td></tr>
							<tr><td>Licence Expiry:</td>
								<td>
									<script>
										$(function() {
											$( "#opexp" ).datepicker({
												dateFormat: 'dd/mm/yy',
												changeMonth: true,
												changeYear: true,
												showOtherMonths: true,
												selectOtherMonths: true
												});
										});
									</script>
									<input type="text" name="opexpiry" value="<?php echo $opexpiry; ?>" size="10" id="opexp" />
								</td></tr>
							<tr><td>Cover Information:</td><td>
								<input type="checkbox" name="passliability[]" value="1" <?php if($passliability == 'y') echo 'checked="checked"'; ?> /> Passenger Liability<br/>
								<input type="checkbox" name="personalins[]" value="1" <?php if($personalins == 'y') echo 'checked="checked"'; ?> /> Personal Insurance<br/>
								<input type="checkbox" name="vliability[]" value="1" <?php if($vliability == 'y') echo 'checked="checked"'; ?> /> Vehicle Liability<br/>
							</td></tr>
							<tr><td>Additional Information:</td><td><textarea name="comments" cols="40" rows="4"><?php echo $comments; ?></textarea></td></tr>
						</table>
						
						<p><input type="submit" name="submit" value="Save" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" /></p>
						
						</form>
						
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>
