<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	?>
<?php 
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
		$enquiry = Enquiry::find_by_id($id);
		$enquiry = 
		
		
		
		$enquiry = Enquiry::find_by_id($id);
		$tour = Tour::find_by_id($enquiry->tours_id);
		$service = Service::find_by_id($tour->services_id);
		$coord = Coordinator::find_by_id($enquiry->coordinators_id);
		$client = Client::find_by_id($enquiry->clients_id);
		$language = Language::find_by_id($tour->languages_id);
		$country = Country::find_by_id($client->countries_id);
		$establishment = Establishment::find_by_id($client->establishments_id);
		$contact = CommunicationMethod::find_by_id($client->communication_methods_id);
		$guide = Guide::find_by_id($tour->guides_id);
	} else
	{
		$session->message("No enquiry number was provided.");
		redirect_to('manage-enquiries.php');
	}
?>
<?php include_layout('html.php'); ?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" language="JavaScript">
			function toggleLayer( whichLayer )
			{
				var elem, vis;
				if( document.getElementById ) // this is the way the standards work
				elem = document.getElementById( whichLayer );
				else if( document.all ) // this is the way old msie versions work
				elem = document.all[whichLayer];
				else if( document.layers ) // this is the way nn4 works
				elem = document.layers[whichLayer];
				vis = elem.style;
				// if the style.display value is blank we try to figure it out here
				if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
				vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
				vis.display = (vis.display==''||vis.display=='block')?'none':'block';
			} 
		</script>
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>ENQUIRY DETAILS</h1>
						
						<h2>REF# <?php echo $enquiry->reference; ?></h2>
						<a href="edit-enquiry.php?id=<?php echo $id; ?>">+ EDIT</a>
						
						<?php if(isset($session->message) && $session->message != "") echo '<br/>'.$session->message.'<br/>'; ?>
						
						<p>Current Status: <b><?php echo $enquiry->status; ?></b></p>
						
						<table class="borderless">
							<tr><td>Co-ordinator:</td><td> <?php echo $coord->name; ?></td></tr>
							<tr><td>Client name:</td><td> <?php echo $client->firstname.' '.$client->surname; ?></td></tr>
							<tr><td>No People:</td><td> <?php echo $enquiry->no_people; ?></td></tr>
						</table>
						
						<h2>TOUR DETAILS</h2>
						<table class="borderless">
							<tr><td>Service:</td><td> <?php echo $service->title; ?></td></tr>
							<tr><td>Start Date:</td><td> <?php echo $tour->start_date; ?></td></tr>
							<tr><td>Duration:</td><td> <?php echo $service->duration; ?> Day<?php if($service->duration>1) echo 's'; ?></td></tr>
							<tr><td>Language:</td><td> <?php echo $language->language; ?></td></tr>
							<?php 
							$sql = "SELECT l.language, l.id FROM languages l, client_languages cl";
							$sql .= " WHERE l.id = cl.languages_id AND cl.clients_id = ".$client->id;
							$sql .= " AND l.id != '{$language->id}'";
							$result = mysql_query($sql);
							if($result)
							{
								while($row = mysql_fetch_array($result))
								{
									echo '<li>Alternate language: '.$row['language'].'</td></tr>';
								}
							}
							?>
							<tr><td>Guide:</td><td> <?php if($guide) echo $guide->firstname.' '.$guide->surname;
							else echo 'None assigned yet.'; ?></td></tr>
						</table>
						
						<h2>CLIENT DETAILS</h2>
						<table class="borderless">
							<tr><td>Name:</td><td> <?php echo $client->firstname.' '.$client->surname; ?></td></tr>
							<tr><td>Country:</td><td> <?php echo $country->country; ?></td></tr>
							<tr><td>Preferred contact method:</td><td> <?php echo $contact->name; ?></td></tr>
							<tr><td>Tel:</td><td> <?php echo $client->tel; ?></td></tr>
							<tr><td>Email:</td><td> <?php echo $client->email; ?></td></tr>
							<tr><td>Local address:</td><td> <?php echo $establishment->name.' - '.$establishment->address; ?></td></tr>
						</table>
						
						<h2>ADDITIONAL INFORMATION</h2>
						<?php 
							$status_updates = EnquiryStatus::find_by_enquiry($enquiry->id);
							foreach($status_updates as $status_update)
							{
								$status = Status::find_by_id($status_update->status_id);
								echo '<p>Status Update: "'.$status->status.'" on '.date('d M Y h:i:s', strtotime($status_update->timestamp)).'</p>';
							}
							$notes = Note::find_by_enquiry($enquiry->id);
							foreach($notes as $note)
							{
								$user = User::find_by_id($note->users_id);
								echo '<p>'.$note->details;
								echo '<br/><label class="small"> - Added by '.$user->firstname.' '.$user->surname.' at '.$note->timestamp.'</label></p>';
							}
						?>
						
						<p>
							<a href="email-client.php?ref=<?php echo $enquiry->reference; ?>">Email Client</a> &nbsp;|&nbsp;
							<a href="email-guide.php?ref=<?php echo $enquiry->reference; ?>">Email Guide</a> &nbsp;|&nbsp;
							<a href="email-co-ordinator.php?ref=<?php echo $enquiry->reference; ?>">Email Co-ordinator</a>
							<br/>Maybe just general send email page with tick boxes for each person involved.
						</p>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>