<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
		$enquiry = Enquiry::find_by_id($id);
		$close = false;
	} else
	{
		$session->message('<p class="red">Please provide an enquiry number.</p>');
		redirect_to('index.php');
	}
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$details = trim($_POST['details']);
		
		$note = new Note();
		$note->details = $details;
		$note->users_id = $session->user_id;
		if($note->create())
		{
			$enqnote = new EnquiryNote();
			$enqnote->notes_id = $note->id;
			$enqnote->enquiries_id = $id;
			if($enqnote->create())
			{
				$session->message('<p class="red">Note added successfully.</p>');
				$close = true;
			}
		}
	}
?>
<!--[if IE]>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<![endif]-->
<html>
	<!--[if !IE]>
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<![endif]-->
	<head>

		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<link rel="stylesheet" type="text/css" media="all" href="/cape-town-guided-tours-styles/cape-town-guided-tours-styles.css">
		
		<script language="JavaScript">
			<!--
			function refreshParent() {
			  window.opener.location.href = window.opener.location.href;
			
			  if (window.opener.progressWindow)
					
			 {
			    window.opener.progressWindow.close()
			  }
			  window.close();
			}
			//-->
		</script>
		
	</head>
	
	<body <?php if($close) echo 'onload="javascript:refreshParent()"'; ?>>
		<div id="note">
		
			<h1>ADD NOTE TO ENQUIRY REF# <?php echo $enquiry->reference; ?></h1>
			<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
				<p>Details:</p>
				
				<textarea name="details" cols="55" rows="5"></textarea>
				
				<p>
				<input type="submit" name="submit" value="Submit" />
					<a href="javascript:window.close()" title="Close This Window"><button  onClick="javascript:window.close();">Cancel</button></a>
				</p>
			</form>
	
		</div>
	</body>
</html>