<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(isset($_GET['id']))
	{
		$id = mysql_prep($_GET['id']);
		$guide = Guide::find_by_id($id);
		$vehicle = Vehicle::find_by_guide($guide->id);
		if($vehicle)
			$car = get_vehicle_details($vehicle->id);
		$company = Company::find_by_guide($id);
		$message = $session->message;
	} else
	{
		$session->message("No guide id was provided.");
		redirect_to('guide-list.php');
	}
?>

<?php include_layout('html.php'); ?>

<script type="text/javascript" language="JavaScript">
function toggleLayer( whichLayer )
{
var elem, vis;
if( document.getElementById ) // this is the way the standards work
elem = document.getElementById( whichLayer );
else if( document.all ) // this is the way old msie versions work
elem = document.all[whichLayer];
else if( document.layers ) // this is the way nn4 works
elem = document.layers[whichLayer];
vis = elem.style;
// if the style.display value is blank we try to figure it out here
if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
vis.display = (vis.display==''||vis.display=='block')?'none':'block';
} 
</script>

<script type="text/javascript">
			function goLastMonth(month, year)
			{
			// If the month is Januaru, decrement the year
			if(month == 1)
			{
			--year;
			month = 13;
			}
	
			document.location.href = '<?php echo $_SERVER['SCRIPT_NAME'].'?id='.$id; ?>&month='+(month-1)+'&year='+year;
			} 

			function goNextMonth(month, year)
			{
			// If the month is December, increment the year
			if(month == 12)
			{
			++year;
			month = 0;
			}

			document.location.href = '<?php echo $_SERVER['SCRIPT_NAME'].'?id='.$id; ?>&month='+(month+1)+'&year='+year;
			} 
		</script>
			
		<?php
				// Get values from query string, or use current date
				if(isset($_GET["day"])) $day = $_GET["day"];
					else $day = date("j");
				if(isset($_GET["month"])) $month = $_GET["month"];
					else $month = date("m");
				if(isset($_GET["year"])) $year = $_GET["year"];
					else $year = date("Y"); 
				if(isset($_GET["sel"])) $sel = $_GET["sel"];
					else $sel = 0;
				if(isset($_GET["what"])) $what = $_GET["what"];
									
				$currentTimeStamp = strtotime("$year-$month-$day");
				$monthName = strtoupper(date("F", $currentTimeStamp));
				$numDays = date("t", $currentTimeStamp);
				$counter = 0;
				$numEventsThisMonth = 0;
				$hasEvent = false;
				$todaysEvents = ""; 
			?>
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>TOURIST GUIDE DETAILS: <?php echo strtoupper($guide->firstname.' '.$guide->surname); ?></h1>
					
					<p>
						<a href="edit-guide-details.php?id=<?php echo $id; ?>">EDIT</a> &nbsp;|&nbsp;
						<a href="guide-history.php?id=<?php echo $id; ?>">TOURS COMPLETED</a>
					</p>
					
					<?php if($message != "") echo $message; ?>
					
					<div class="guide_details">
					
						<h2>CALENDAR / SCHEDULE</h2>
						
							<?php include('calendar.php'); ?>
						
						<h2>CONTACT DETAILS</h2>
						<table class="borderless">
							<tr><td width="180px">Name:</td><td><?php echo $guide->firstname.' '.$guide->surname; ?></td></tr>
							<tr><td>Email:</td><td><?php echo $guide->email; ?></td></tr>
							<tr><td>Cellphone:</td><td><?php echo $guide->cellphone; ?></td></tr>
							<tr><td>Preffered Contact Method:</td><td><?php 
								$comm = Communicationmethod::find_by_id($guide->communication_methods_id);
								echo $comm->name; ?></td></tr>
						</table>
						
						<h2>CAPABILITIES</h2>
						<table class="borderless">
							<tr><td width="180px">Languages:</td>
								<td>
									<ul>
									<?php 
										$languages = find_guide_languages($id);
										while($language = mysql_fetch_array($languages))
										{
											echo '<li>'.$language['language'].' - '.$language['name'].'</li>';
										}
									?>
									</ul>
								</td></tr>
							<tr><td>Tour Categories</td>
								<td><ul>
									<?php 
										$categories = Category::find_by_guide($id);
										foreach($categories as $category)
											echo '<li>'.$category->category.'</li>';
									?>
								</ul></td></tr>
							<tr><td>Tour Types:</td>
								<td><ul>
									<?php 
										$types = Type::find_by_guide($id);
										foreach($types as $type)
											echo '<li>'.$type->type.'</li>';
									?>
								</ul></td></tr>
							<tr><td>Regions:</td>
								<td><ul>
								<?php 
									$regions = Region::find_by_guide($id);
									foreach($regions as $region)
										echo '<li>'.$region->region.'</li>';
								?>
								</ul></td></tr>
							<tr><td>Specialities:</td>
								<td><ul>
								<?php 
									$specialities = Speciality::find_by_guide($id);
									foreach($specialities as $speciality)
										echo '<li>'.$speciality->speciality.'</li>';
								?>
								</ul></td></tr>
						</table>
						
						<h2>VEHICLE INFORMATION</h2>
						<?php if($vehicle)
						{?>
						<table class="borderless">
							<tr><td width="180px">Type of Vehicle:</td><td><?php echo $car['make'].' '.$car['model']; ?></td></tr>
							<tr><td>Year:</td><td><?php echo $car['year']; ?></td></tr>
							<tr><td>Passenger Seats:</td><td><?php echo $vehicle->capacity; ?></td></tr>
							<tr><td>Colour:</td><td><?php echo $vehicle->colour; ?></td></tr>
							<tr><td>Comments:</td><td><?php echo $vehicle->comments; ?></td></tr>
						</table>
						<p>
							<a href="vehicle-details.php?id=<?php echo $vehicle->id; ?>"><button onClick="javascript:location.href='vehicle-details.php?id=<?php echo $vehicle->id; ?>';">More Details</button></a>
							<a href="edit-vehicle.php?id=<?php echo $id; ?>"><button onClick="javascript:location.href='edit-vehicle.php?id=<?php echo $id; ?>';">Edit Details</button></a>
						</p>
						<?php } else
						{?>
							<p><a href="new-vehicle.php?guide=<?php echo $id; ?>">+ ADD VEHICLE</a></p>
						<?php }?>
						
						<h2>ADMIN INFORMATION</h2>
						<table class="borderless">
							<tr><td width="180px">Guiding experience:</td><td><?php 
								$year_split = explode('-', $guide->started_guiding);
								$years = date("Y") - $year_split[0];
								$months = date("m") - $year_split[1];
								echo $years.' Years, '.$months.' Months';
							?></td></tr>
							<tr><td>Affiliations:</td><td><ul>
							<?php 
								$affiliations = Affiliation::find_by_guide($id);
								foreach($affiliations as $affiliation)
									echo '<li>'.$affiliation->affiliation.'</li>';
							?>
							</ul></td></tr>
							<tr><td>Qualifications:</td><td></td></tr>
							<tr><td>Admin Processes</td><td><ul>
								<?php 
									$processes = get_guide_admin_processes($id); 
									while($process = mysql_fetch_array($processes))
									{
										echo '<li>'.$process['process'].': '.$process['date_completed'];
										if($process['comments'] != "") echo ', '.$process['comments'];
										echo '</li>';
									}
								?>
							</ul></td></tr>
						</table>
						
						<h2>COMPANY INFORMATION</h2>
						<?php if($company){?>
						<table class="borderless">
							<tr><td width="180px">Company Name:</td><td><?php echo $company->company; ?></td></tr>
							<tr><td>Slogan:</td><td><?php echo $company->slogan; ?></td></tr>
							<tr><td>Address:</td><td><?php echo $company->address; ?></td></tr>
							<tr><td>Telephone Number:</td><td><?php echo $company->tel; ?></td></tr>
							<tr><td>Fax Number:</td><td><?php echo $company->fax; ?></td></tr>
							<tr><td>Website Address:</td><td><?php echo $company->website; ?></td></tr>
						</table>
						<p><a href="edit-company.php?id=<?php echo $id; ?>"><button onClick="javascript:location.href='edit-company.php?id=<?php echo $id; ?>';">Edit Details</button></a></p>
						<?php } else {?>
							<p><a href="new-company.php?guide=<?php echo $id; ?>">+ ADD COMPANY</a></p>
						<?php }?>
						
						<h2>BANK DETAILS</h2>
						<?php 
							$bank = get_guide_bank_details($id); 
						?>
						<table class="borderless">
							<tr><td width="180px">Bank:</td><td><?php echo $bank['bank']; ?></td></tr>
							<tr><td>Branch:</td><td><?php echo $bank['branch_name'].' '.$bank['code']; ?></td></tr>
							<tr><td>Account Holder:</td><td><?php echo $bank['account_holder']; ?></td></tr>
							<tr><td>Account Number:</td><td><?php echo $bank['account']; ?></td></tr>
							<tr><td>Account Type:</td><td><?php echo $bank['account_type']; ?></td></tr>
						</table>
						
						<h2>NEXT OF KIN INFORMATION</h2>
						<table class="borderless">
							<tr><td width="180px">Name:</td><td><?php echo $guide->kin_name; ?></td></tr>
							<tr><td>Contact:</td><td><?php echo $guide->kin_contact; ?></td></tr>
							<?php $relationship = KinRelationship::find_by_id($guide->kin_relationships_id); ?>
							<tr><td>Relationship:</td><td><?php echo $relationship->relationship; ?></td></tr>
						</table>
						
						
						</div>
					</div>
				</div>
				
			</div>
			
			<?php if(!$session->is_admin_user()):?>
				<script type="text/javascript">
				disableSelection(document.body) //disable text selection on entire body of page
				</script>
			<?php endif; ?>
			
<?php include_layout('footer-admin.php'); ?>
