<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(isset($_GET['id']))
	{
		$id = mysql_prep($_GET['id']);
		$guide = Guide::find_by_id($id);
		$message = $session->message;
		$completed = Tour::find_by_guide($id, ' AND e.status=6');
		$complete_count = count($completed);
	} else
	{
		$session->message("No guide id was provided.");
		redirect_to('guide-list.php');
	}
?>

<?php include_layout('html.php'); ?>

		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

		
		<script language="JavaScript" type="text/javascript" >
		function disableSelection(target){
			if (typeof target.onselectstart!="undefined") //IE route
				target.onselectstart=function(){return false}
			else if (typeof target.style.MozUserSelect!="undefined") //Firefox route
				target.style.MozUserSelect="none"
			else //All other route (ie: Opera)
				target.onmousedown=function(){return false}
			target.style.cursor = "default"
			}

</script>

<style>
	body{-webkit-user-select:none;
-moz-user-select:none;
	}
</style>

<script type="text/javascript" language="JavaScript">
function toggleLayer( whichLayer )
{
var elem, vis;
if( document.getElementById ) // this is the way the standards work
elem = document.getElementById( whichLayer );
else if( document.all ) // this is the way old msie versions work
elem = document.all[whichLayer];
else if( document.layers ) // this is the way nn4 works
elem = document.layers[whichLayer];
vis = elem.style;
// if the style.display value is blank we try to figure it out here
if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
vis.display = (vis.display==''||vis.display=='block')?'none':'block';
} 
</script>
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>TOURIST GUIDE HISTORY: <?php echo strtoupper($guide->firstname.' '.$guide->surname); ?></h1>
					
					<p><a href="guide-details.php?id=<?php echo $id; ?>">&laquo; BACK</a></p>
					
					<?php if($message != "") echo $message; ?>
						
						<h2>TOURS COMPLETED</h2>
						
						<table class="borderless">
							<tr>
								<th>Type of Tour</th>
								<th>Tour date/s</th>
								<th>People</th>
								<th>Ref#</th>
								<th>Payment</th>
							</tr>
							
							<?php 
								$total_pmt = 0;
								foreach($completed as $tour)
								{
									$service = Service::find_by_tour($tour->id);
									$phpstart = strtotime($tour->start_date);
									$phpto = $phpstart + (($service->duration-1) * 86400);
									$tourpmt = Expense::find_guide_payment($tour->id);
									$total_pmt = $total_pmt + $tourpmt;
									$enquiries = Enquiry::find_by_tour($tour->id);
									$people = 0;
									foreach($enquiries as $enquiry)
									{
										$people = $people + $enquiry->no_people;
										$refs[] = $enquiry->reference;
									}
									$ref_string = implode(', ', $refs);
									echo '<tr>';
									echo '<td>'.$service->title.'</td>';
									echo '<td>'.date('d M Y', $phpstart);
									if($service->duration > 1) echo ' - '.$phpto;
									echo '</td>';
									echo '<td>'.$people.'</td>';
									echo '<td>'.$ref_string.'</td>';
									echo '<td>R '.$tourpmt.'</td>';
									echo '</tr>';
								}
							?>
							<tr style="border-top:1px solid #d1d1d1;">
								<th><?php echo $complete_count; ?></th>
								<th colspan="3">&nbsp;</th>
								<th>R <?php echo $total_pmt; ?></th>
							</tr>
						</table>
						
					</div>
				</div>
				
			</div>
			
			<?php if(!$session->is_admin_user()):?>
				<script type="text/javascript">
				disableSelection(document.body) //disable text selection on entire body of page
				</script>
			<?php endif; ?>
			
<?php include_layout('footer-admin.php'); ?>
