<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

<?php include_layout('header-admin.php'); ?>

			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					
						<h1>MANAGE DAY TOURS</h1>
						
						<?php if(isset($session->message) && $session->message != "") echo $session->message.'<br/>'; ?>
						
						<h2>INACTIVE TOURS</h2>
						
						<?php 
							$categories = Category::find_all();
							foreach($categories as $category)
							{
								$services = Service::find_listings_by_category($category->id, 'AND current = 0');
								echo '<h3>'.strtoupper($category->category).'</h3>';
								if($services)
								{
									echo '<table class="borderless">';
									foreach($services as $service)
									{
										echo '<tr><td><a href="edit-service.php?id='.$service->id.'">'.strtoupper($service->title).'</a></td></tr>';
									}
									echo '</table>';
								}
								echo '<p><a href="new-service.php?cat='.$category->id.'&type=1" >+ New "'.$category->category.'" Service</a></p>';
								echo '<p class="catdivide">&nbsp;</p>';
							}
						
						?>
						
						<div class="row">
							<h2><a href="manage-listings.php">VIEW CURRENT TOURS</a></h2>
						</div>
					</div>
				</div>
			</div>
			
<?php include_layout('footer-admin.php'); ?>