<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");}

	$message = $session->message;
	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		if(isset($_POST['delete']))
		{
			$deletestring = implode(', ', $_POST['delete']);
			$delets = explode(', ', $deletestring);
			foreach($delets as $delet)
			{
				$deladmin = AdminProcess::find_by_id($delet);
				$deladmin->delete();
			}
		}
		
		$admins = AdminProcess::find_all();
		foreach($admins as $admin)
		{
			$admin->process = trim($_POST[$admin->id]);
			$admin->update();
		}
		
		for($j = 1; $j < 4; $j++)
		{
			if($_POST['new'.$j] != "")
			{
				$name = trim($_POST['new'.$j]);
				$adminexists = AdminProcess::find_by_process($name);
				if(!$adminexists)
				{
					$newadmin = new AdminProcess();
					$newadmin->process = $name;
					$newadmin->create();
				} else 
				$message .= '<p class="red">Admin Process with name "'.$name.'" already exists.</p>';
			}
		}
	}
	?>
<?php include_layout('html.php'); ?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
				
						<h1>MANAGE ADMIN PROCESSES</h1>
						
						<p><a href="manage-database.php">&laquo; BACK</a></p>
						
						<?php if($message != "") echo $message; ?>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post" >
							
							<h2>NEW ADMIN PROCESSES</h2>
							<?php 
								for($i = 1; $i<4; $i++)
								{
							?>
								<div class="row">
									<?php echo $i;?> <input type="text" size="30" name="new<?php echo $i;?>" />
								</div>
							<?php } ?>
							<p>&nbsp;</p>
							
							<h2>EXISTING RECORDS</h2>
							<?php 
							$admins = AdminProcess::find_all();
							foreach($admins as $admin)
							{
								echo '<div class="row">';
								echo '<input type="text" name="'.$admin->id.'" value="'.$admin->process.'" size="30" />';
								echo '<input type="checkbox" name="delete[]" value="'.$admin->id.'" /> DELETE';
								echo '</div>';
							}
							?>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" /> &nbsp;<input type="reset" name="reset" value="Reset" />
							</div>
							
						</form>
						
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>