<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");}

	$message = $session->message;
	?>
<?php include_layout('html.php'); ?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
				
						<h1>MANAGE DATABASE INFORMATION</h1>
						
						<?php if($message != "") echo $message; ?>
						
						<h3>BANK DETAILS</h3>
						<ul class="options">
							<li><a href="manage-account-types.php">Bank Account Types</a></li>
							<li><a href="manage-banks.php">Banks</a></li>
							<li><a href="manage-branches.php">Bank Branches</a></li>
						</ul>
						<h3>VEHICLES</h3>
						<ul class="options">
							<li><a href="manage-makes.php">Vehicle Makes</a></li>
							<li><a href="manage-models.php">Vehicle Models</a></li>
						</ul>
						<h3>AREAS</h3>
						<ul class="options">
							<li><a href="manage-countries.php">Countries</a></li>
							<li><a href="manage-regions.php">Regions</a></li>
							<li><a href="manage-suburbs.php">Suburbs</a></li>
						</ul>
						<h3>GUIDE INFO</h3>
						<ul class="options">
							<li><a href="manage-languages.php">Languages</a></li>
							<li><a href="manage-specialities.php">Specialities</a></li>
							<li><a href="manage-admin-processes.php">Guide&#39;s Admin Processes</a></li>
							<li><a href="manage-affiliations.php">Affiliations</a></li>
							<li><a href="manage-qualifications.php">Qualifications</a></li>
							<li><a href="manage-relationships.php">Kin Relationships</a></li>
						</ul>
						<h3>OTHER</h3>
						<ul class="options">
							<li><a href="manage-establishments.php">Establishments</a></li>
							<li><a href="manage-requirements.php">Special Requirements</a></li>
							<li><a href="manage-expense-types.php">Expense Types</a></li>
							<li><a href="manage-payment-methods.php">Payment Methods</a></li>
						</ul>
						
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>