<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$date = trim($_POST['date']);
		$from = trim($_POST['from']);
		$to = trim($_POST['to']);
		$type = trim($_POST['type']);
		$category = trim($_POST['category']);
		$status = trim($_POST['status']);
		
		$conditions = "";
		
		if($date == 'e') $datetype = 'e.created ';
		else if($date == 't') $datetype = 't.start_date ';
		
		if($from == '' && $from == 'dd/mm/yyyy' && $to == '' && $to == 'dd/mm/yyyy')
		{
			$formatfrom = date('Y-m-d', strtotime(str_replace('/', '-', $from)));
			$formatto = date('Y-m-d', strtotime(str_replace('/', '-', $to)));
			$conditions .= " WHERE ".$datetype." BETWEEN'".$formatfrom."' AND '".$formatto."'";
		} else
		{
			$conditions .= ' WHERE MONTH('.$datetype.')=MONTH(CURDATE())';
		}
		if($type != "all") $conditions .= ' AND s.types_id='.$type;
		if ($category != 'all') $conditions .= ' AND s.categories_id='.$category;
		if($status != 'all') $conditions .= ' AND e.status_id '.$status;
	
	
		$from = trim($_POST['from']);
		$to = trim($_POST['to']);
		$enquiries = Enquiry::find_by_period($from, $to);
		$head = $from.' to '.$to;
		$query = " AND timestamp > ".$from." AND timestamp < ".$to;
	} else if(isset($_GET['period']))
	{
		$period = trim($_GET['period']);
		if($period == '3month')
		{	
			$head = '3 MONTHS';
			$query = " AND MONTH(timestamp) = MONTH(CURRENT_DATE) OR MONTH(created) = (MONTH(CURRENT_DATE)-1) OR MONTH(created) = (MONTH(CURRENT_DATE)-2)";
		} elseif($period == 'year')
		{	
			$head = "THIS YEAR'S";
			$query = " AND YEAR(timestamp) = YEAR(CURRENT_DATE)";
		} elseif($period == 'all')
		{
			$head = "";
			$query = "";
		}
	} else
	{
		$head = "THIS MONTH'S";
		$query = " AND MONTH(timestamp) = MONTH(CURRENT_DATE)";
		
		$date = trim($_POST['date']);
		$from = trim($_POST['from']);
		$to = trim($_POST['to']);
		$type = trim($_POST['type']);
		$category = trim($_POST['category']);
		$status = trim($_POST['status']);
	}
	
	$enquiries = Enquiry::find_by_conditions($conditions);
	
	
	
	
	
	$sql = "SELECT * FROM enquiries_status WHERE status_id = '3' ".$query;
	$result = mysql_query($sql);
	$bookings = mysql_num_rows($result);
	
	$sql = "SELECT * FROM enquiries_status WHERE status_id = '6' ".$query;
	$result = mysql_query($sql);
	$tours = mysql_num_rows($result);
?>
<?php include_layout('html.php'); ?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" language="JavaScript">
			function toggleLayer( whichLayer )
			{
				var elem, vis;
				if( document.getElementById ) // this is the way the standards work
				elem = document.getElementById( whichLayer );
				else if( document.all ) // this is the way old msie versions work
				elem = document.all[whichLayer];
				else if( document.layers ) // this is the way nn4 works
				elem = document.layers[whichLayer];
				vis = elem.style;
				// if the style.display value is blank we try to figure it out here
				if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
				vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
				vis.display = (vis.display==''||vis.display=='block')?'none':'block';
			} 
		</script>
		
		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
				
						<form action="enquiry-search.php" method="post">
							<div id="quick_search">
								<input type="text" name="search" id="search" size="30" value="Ref #" onfocus="this.value=''" /> 
								<input type="submit" name="submit" id="searchbut" value="" />
							</div>
						</form>
					
						<h1>MANAGE ENQUIRIES</h1>
						
						<?php if(isset($session->message) && $session->message != "") echo $session->message.'<br/>'; ?>
						
						<h2><?php echo $head; ?> SUMMARY</h2>
						<ul>
							<li><div class="label">New enquiries:</div><?php echo count($enquiries); ?></li>
							<li><div class="label">Bookings confirmed:</div><?php 
								echo $bookings;
							?></li>
							<li><div class="label">Tours completed:</div><?php 
								echo $tours;
							?></li>
						</ul>
						
						<h2>LIST OF NEW ENQUIRIES</h2>
						<table>
							<tr>
								<th>Reference</th>
								<th>Date created</th>
								<th>Service</th>
								<th>Start date</th>
								<th>No. people</th>
								<th>Total Cost</th>
								<th>Status</th>
								<th>&nbsp;</th>
							</tr>
							
							<?php 
								foreach ($enquiries as $enquiry)
								{
									$tour = Tour::find_by_id($enquiry->tours_id);
									$service = Service::find_by_id($tour->services_id);
							?>
								<tr>
									<td><?php echo $enquiry->reference; ?></td>
									<td><?php echo date('d M Y',strtotime($enquiry->created)); ?></td>
									<td><?php echo $service->title; ?></td>
									<td><?php echo $tour->start_date; ?></td>
									<td><?php echo $enquiry->no_people; ?></td>
									<td>R <?php echo $enquiry->total_cost; ?></td>
									<td><?php echo $enquiry->status; ?></td>
									<td><a href="enquiry-details.php?id=<?php echo $enquiry->id; ?>">+ Details </a></td>
								</tr>
							<?php }?>
						</table>
						
						<p>
							<a href="new-enquiry.php">+ NEW ENQUIRY</a>
						</p>
						
						<p>
							<a href="manage-enquiries.php?date=<?php echo $date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">THIS MONTH</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?period=3month&date=<?php echo $date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">LAST MONTH</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?period=year&date=<?php echo $date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">THIS YEAR</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?period=all&date=<?php echo $date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">VIEW ALL</a> &nbsp;|&nbsp;
							<a href="javascript:toggleLayer('dates');">MORE OPTIONS</a>
						</p>
						
						<div id="dates">
							<form action="manage-enquiries.php" method="post">
								
								<div class="row">
									<label>Sort by:</label>&nbsp;&nbsp;&nbsp;&nbsp;
									<select name="date">
										<option value="e" <?php if($date == 'e') echo 'checked="checked"'; ?>>Date Enquiry Made</option>
										<option value="t" <?php if($date == 't') echo 'checked="checked"'; ?>>Tour Start Date</option>
									</select>
								</div>
								
								<div class="row">
									<div class="details">
										<label>From</label><br/>
										<script>
											$(function() {
												$( "#datefrom" ).datepicker({
													dateFormat: 'dd/mm/yy'
													});
											});
										</script>
										<div class="calendar">
											<input type="text" name="from" value="dd/mm/yyyy" id="datefrom" size="20" />
										</div>
										&nbsp;&nbsp;
									</div>
									<div class="details">
										<label>To</label><br/>
										<script>
											$(function() {
												$( "#datepicker" ).datepicker({
													dateFormat: 'dd/mm/yy'
													});
											});
										</script>
										<div class="calendar">
										<input type="text" name="to" value="dd/mm/yyyy" id="datepicker"  size="20" />
										</div>
									</div>
								</div>
								
								<div class="row">
									<p><label>Select type of tours: </label></p> 
									<input type="radio" name="type" value="all" <?php if($type == 'all') echo 'checked="checked"'; ?> /> All
									<input type="radio" name="type" value="1" <?php if($type == '1') echo 'checked="checked"'; ?> /> Day Tours
									<input type="radio" name="type" value="2" <?php if($type == '2') echo 'checked="checked"'; ?>/> Set Tours 
									<input type="radio" name="type" value="3" <?php if($type == '2') echo 'checked="checked"'; ?>/> Other Services
								</div>
								
								<div class="row">
									<label>Select Category</label>&nbsp;&nbsp;&nbsp;&nbsp;
									<select name="category">
										<option value="all">All</option>
										<?php 
											$cat_selects = Category::find_all();
											foreach($cat_selects as $cat_select)
											{
												echo '<option value="'.$cat_select->id;
												if($cat_select->id == $category) echo '" selected="selected';
												echo '">'.$cat_select->category.'</option>';
											}
										?>
									</select>
								</div>
								
								<div class="row">
									<label>Select enquiry status: </label>&nbsp;&nbsp;&nbsp;&nbsp;
									<select name="status">
										<option value="all">All</option>
										<?php 
											$stas = Status::find_all();
											foreach($stas as $sta) 
											{
												echo '<option value="'.$sta->id;
												if($sta->id == $status) echo '" selected="selected';
												echo '">'.$sta->status.'</option>';
											}
										?>
									</select>
								</div>
								
								<div class="row">
									<br/>
									<input type="submit" name="submit" value="GO" />
								</div>
							</form>
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>