<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	?>
<?php 
	$conditions = "";
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$date = trim($_POST['date']);
		$from = trim($_POST['from']);
		$to = trim($_POST['to']);
		$type = trim($_POST['type']);
		$category = trim($_POST['category']);
		$status = trim($_POST['status']);
		$sort = trim($_POST['sort']);
		
		if($date == 'e') $datetype = 'e.created';
		else if($date == 't') $datetype = 't.start_date';
		
		if($from == '' && $from == 'dd/mm/yyyy' && $to == '' && $to == 'dd/mm/yyyy')
		{
			$formatfrom = date('Y-m-d', strtotime(str_replace('/', '-', $from)));
			$formatto = date('Y-m-d', strtotime(str_replace('/', '-', $to)));
			$period = " WHERE ".$datetype." BETWEEN'".$formatfrom."' AND '".$formatto."'";
			$head = $formatfrom.' to '.$formatto;
		} else
		{
			$period = ' WHERE MONTH('.$datetype.')=MONTH(CURDATE())';
			$head = "PERIOD";
		}
	} else if(isset($_GET['period']))
	{
		$per = trim($_GET['period']);
		$date = trim($_GET['date']);
		$type = trim($_GET['type']);
		$category = trim($_GET['category']);
		$status = trim($_GET['status']);
		$sort = trim($_GET['sort']);
		
		if($date == 'e') $datetype = 'e.created ';
		else if($date == 't') $datetype = 't.start_date ';
		
		if($per == 'lastmonth')
		{	
			$head = "LAST MONTH'S";
			$period = " WHERE MONTH(".$datetype.") = MONTH(CURDATE() - INTERVAL 1 MONTH)";
		} elseif($per == 'year')
		{	
			$head = "THIS YEAR'S";
			$period = " WHERE YEAR(".$datetype.") = YEAR(CURDATE())";
		} elseif($per == 'all')
		{
			$head = "ALL";
			$period = ' WHERE 1=1';
		}
	} else //this month
	{
		$head = "THIS MONTH'S";
		$period = " WHERE MONTH(e.created) = MONTH(CURDATE())";
		
		if(isset($_GET['date']))
		{
			$date = trim($_GET['date']);
			$type = trim($_GET['type']);
			$category = trim($_GET['category']);
			$status = trim($_GET['status']);
			$sort = trim($_GET['sort']);
		} else
		{
			$date = 'e';
			$type = 'all';
			$category = 'all';
			$status = 'all';
			$sort = 'all';
		}
	}
	
	$conditions .= $period;
	
	if($type != "all") $conditions .= ' AND s.types_id='.$type;
	if ($category != 'all') $conditions .= ' AND s.categories_id='.$category;
	if($status != 'all') $conditions .= ' AND e.status = '.$status;
	
	
	$enquiries = Enquiry::find_by_conditions($conditions);
	$bookings = 0;
	$tours = 0;
	foreach($enquiries as $enqcount)
	{
		if($enqcount->status == 3) $bookings++;
		elseif($enqcount->status == 6) $tours++;
	}
?>
<?php include_layout('html.php'); ?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" language="JavaScript">
			function toggleLayer( whichLayer )
			{
				var elem, vis;
				if( document.getElementById ) // this is the way the standards work
				elem = document.getElementById( whichLayer );
				else if( document.all ) // this is the way old msie versions work
				elem = document.all[whichLayer];
				else if( document.layers ) // this is the way nn4 works
				elem = document.layers[whichLayer];
				vis = elem.style;
				// if the style.display value is blank we try to figure it out here
				if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
				vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
				vis.display = (vis.display==''||vis.display=='block')?'none':'block';
			} 
		</script>
		
		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
				
						<form action="enquiry-search.php" method="post">
							<div id="quick_search">
								<input type="text" name="search" id="search" size="30" value="Ref #" onfocus="this.value=''" /> 
								<input type="submit" name="submit" id="searchbut" value="" />
							</div>
						</form>
					
						<h1>MANAGE ENQUIRIES</h1>
						
						<p>
							<a href="manage-enquiries.php?sort=all<?php echo '&date='.$date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">VIEW ALL</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?sort=cat<?php echo '&date='.$date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">VIEW BY CATEGORY</a> &nbsp;|&nbsp;
							<a href="select-service.php">NEW ENQUIRY</a>
						</p>
						
						<?php if(isset($session->message) && $session->message != "") echo $session->message.'<br/>'; ?>
						
						<h2><?php echo $head; ?> SUMMARY</h2>
						<ul>
						<?php if($date == 'e'):?>
							<li><div class="label">New enquiries:</div><?php echo count($enquiries); ?></li>
						<?php endif; ?>
							<li><div class="label">Bookings confirmed:</div><?php 
								echo $bookings;
							?></li>
							<li><div class="label">Tours completed:</div><?php 
								echo $tours;
							?></li>
						</ul>
						
						<h2>LIST OF ENQUIRIES</h2>
						
						<?php if($sort == 'all')
						{?>
						<table>
							<tr>
								<th>Ref #</th>
								<th>Status</th>
								<th>Date created</th>
								<th>Service</th>
								<th>Start date</th>
								<th>No. people</th>
								<th>Total Cost</th>
								<th>&nbsp;</th>
							</tr>
							
							<?php 
								foreach ($enquiries as $enquiry)
								{
									$tour = Tour::find_by_id($enquiry->tours_id);
									$service = Service::find_by_id($tour->services_id);
									$stat = Status::find_by_id($enquiry->status);
							?>
								<tr>
									<td><a href="enquiry-details.php?id=<?php echo $enquiry->id; ?>"><?php echo $enquiry->reference; ?></a></td>
									<td><?php echo $stat->status; ?></td>
									<td><?php echo date('d M Y',strtotime($enquiry->created)); ?></td>
									<td><?php echo $service->title; ?></td>
									<td><?php echo $tour->start_date; ?></td>
									<td><?php echo $enquiry->no_people; ?></td>
									<td>R <?php echo $enquiry->total_cost; ?></td>
									<td><a href="enquiry-details.php?id=<?php echo $enquiry->id; ?>">+ Details </a></td>
								</tr>
							<?php }?>
						</table>
						
						<?php } else 
						{
							$ecats = Category::find_all();
							if($type == 'all' || $type == 1)
							{
								echo '<h2>DAY TOURS</h2>';
								foreach($ecats as $ecat)
								{
									echo '<h3>'.strtoupper($ecat->category).'</h3>';
									$catenqs = Enquiry::find_by_conditions($conditions.' AND s.types_id=1 AND s.categories_id='.$ecat->id);
									if(!empty($catenqs))
									{
						?>
										<table>
											<tr>
												<th>Ref #</th>
												<th>Status</th>
												<th>Date created</th>
												<th>Service</th>
												<th>Start date</th>
												<th>No. people</th>
												<th>Total Cost</th>
												<th>&nbsp;</th>
										</tr>
									
							<?php 	
										$elistings = Service::find_listings_by_category($ecat->id, '');
										foreach($elistings as $elist)
										{
											$enqs = Enquiry::find_by_conditions($conditions.' AND s.id='.$elist->id);
											if(!empty($enqs))
											{
												echo '<tr><td colspan="8">'.strtoupper($elist->title).'</td>';
												foreach($enqs as $enq)
												{
													$tour = Tour::find_by_id($enq->tours_id);
													$stat = Status::find_by_id($enq->status);
							?>
													<tr>
														<td><a href="enquiry-details.php?id=<?php echo $enq->id; ?>"><?php echo $enq->reference; ?></a></td>
														<td><?php echo $stat->status; ?></td>
														<td><?php echo date('d M Y',strtotime($enq->created)); ?></td>
														<td><?php echo $elist->title; ?></td>
														<td><?php echo $tour->start_date; ?></td>
														<td><?php echo $enq->no_people; ?></td>
														<td><?php echo $enq->total_cost; ?></td>
														<td><a href="enquiry-details.php?id=<?php echo $enq->id; ?>">+ Details</a></td>
													</tr>
							<?php
												}
											}
										}
										echo '</table>';
										
									} else
									{
										echo '<p>There are no enquiries for this category.<p>';
									}
								}
							} 
							if($type == 'all' || $type == 2)
							{
								echo '<h2>SET TOURS</h2>';
								foreach($ecats as $ecat)
								{
									echo '<h3>'.strtoupper($ecat->category).'</h3>';
									$catenqs = Enquiry::find_by_conditions($conditions.' AND s.types_id=2 AND s.categories_id='.$ecat->id);
									if(!empty($catenqs))
									{
						?>
										<table>
											<tr>
												<th>Ref #</th>
												<th>Status</th>
												<th>Date created</th>
												<th>Service</th>
												<th>Start date</th>
												<th>No. people</th>
												<th>Total Cost</th>
												<th>&nbsp;</th>
										</tr>
									
							<?php 	
										$elistings = Service::find_set_tours_by_category($ecat->id, '');
										foreach($elistings as $elist)
										{
											$enqs = Enquiry::find_by_conditions($conditions.' AND s.id='.$elist->id);
											if(!empty($enqs))
											{
												echo '<tr><td colspan="8">'.strtoupper($elist->title).'</td>';
												foreach($enqs as $enq)
												{
													$tour = Tour::find_by_id($enq->tours_id);
													$stat = Status::find_by_id($enq->status);
							?>
													<tr>
														<td><a href="enquiry-details.php?id=<?php echo $enq->id; ?>"><?php echo $enq->reference; ?></a></td>
														<td><?php echo $stat->status; ?></td>
														<td><?php echo date('d M Y',strtotime($enq->created)); ?></td>
														<td><?php echo $elist->title; ?></td>
														<td><?php echo $tour->start_date; ?></td>
														<td><?php echo $enq->no_people; ?></td>
														<td><?php echo $enq->total_cost; ?></td>
														<td><a href="enquiry-details.php?id=<?php echo $enq->id; ?>">+ Details</a></td>
													</tr>
							<?php
												}
											}
										}
										echo '</table>';
										
									} else
									{
										echo '<p>There are no enquiries for this category.<p>';
									}
								}
							}
							if($type == 'all' || $type == 3)
							{
								echo '<h2>OTHER SERVICES</h2>';
								foreach($ecats as $ecat)
								{
									echo '<h3>'.strtoupper($ecat->category).'</h3>';
									$catenqs = Enquiry::find_by_conditions($conditions.' AND s.types_id=3 AND s.categories_id='.$ecat->id);
									if(!empty($catenqs))
									{
						?>
										<table>
											<tr>
												<th>Ref #</th>
												<th>Status</th>
												<th>Date created</th>
												<th>Service</th>
												<th>Start date</th>
												<th>No. people</th>
												<th>Total Cost</th>
												<th>&nbsp;</th>
										</tr>
									
							<?php 	
										$elistings = Service::find_services_by_category($ecat->id, '');
										foreach($elistings as $elist)
										{
											$enqs = Enquiry::find_by_conditions($conditions.' AND s.id='.$elist->id);
											if(!empty($enqs))
											{
												echo '<tr><td colspan="8">'.strtoupper($elist->title).'</td>';
												foreach($enqs as $enq)
												{
													$tour = Tour::find_by_id($enq->tours_id);
													$stat = Status::find_by_id($enq->status);
							?>
													<tr>
														<td><a href="enquiry-details.php?id=<?php echo $enq->id; ?>"><?php echo $enq->reference; ?></a></td>
														<td><?php echo $stat->status; ?></td>
														<td><?php echo date('d M Y',strtotime($enq->created)); ?></td>
														<td><?php echo $elist->title; ?></td>
														<td><?php echo $tour->start_date; ?></td>
														<td><?php echo $enq->no_people; ?></td>
														<td><?php echo $enq->total_cost; ?></td>
														<td><a href="enquiry-details.php?id=<?php echo $enq->id; ?>">+ Details</a></td>
													</tr>
							<?php
												}
											}
										}
										echo '</table>';
										
									} else
									{
										echo '<p>There are no enquiries for this category.<p>';
									}
								}
							}
						}?>
						
						<p>
							<a href="manage-enquiries.php?<?php echo 'sort='.$sort.'&date='.$date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">THIS MONTH</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?period=lastmonth&<?php echo 'sort='.$sort.'&date='.$date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">LAST MONTH</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?period=year&<?php echo 'sort='.$sort.'&date='.$date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">THIS YEAR</a> &nbsp;|&nbsp;
							<a href="manage-enquiries.php?period=all&<?php echo 'sort='.$sort.'&date='.$date.'&type='.$type.'&category='.$category.'&status='.$status; ?>">VIEW ALL</a> &nbsp;|&nbsp;
							<a href="javascript:toggleLayer('dates');">MORE OPTIONS</a>
						</p>
						
						<div class="row">
							<div id="dates">
								<form action="manage-enquiries.php" method="post">
									
									<table class="borderless">
										<tr>
											<td width="130px" ><label>Sort by:</label></td>
											<td>
												<select name="date">
													<option value="e" <?php if($date == 'e') echo 'checked="checked"'; ?>>Date Enquiry Made</option>
													<option value="t" <?php if($date == 't') echo 'checked="checked"'; ?>>Tour Start Date</option>
												</select>
											</td>
										</tr>
										<tr><td>&nbsp;</td>
											<td>
												<div class="details">
													<label>From</label><br/>
													<script>
													<!--
														$(function() {
															$( "#datefrom" ).datepicker({
																dateFormat: 'dd/mm/yy',
																changeMonth: true,
																changeYear: true,
																showOtherMonths: true,
																selectOtherMonths: true
																});
														});
													//-->
													</script>
													<div class="calendar">
														<input type="text" name="from" value="dd/mm/yyyy" id="datefrom" size="20" />
													</div>
													&nbsp;&nbsp;
												</div>
												<div class="details">
													<label>To</label><br/>
													<script>
													$(function() {
														$( "#datepicker" ).datepicker({
															dateFormat: 'dd/mm/yy',
															changeMonth: true,
															changeYear: true,
															showOtherMonths: true,
															selectOtherMonths: true
															});
													});
													</script>
													<div class="calendar">
													<input type="text" name="to" value="dd/mm/yyyy" id="datepicker"  size="20" />
													</div>
												</div>
											</td>
										</tr>
										<tr>
											<td><label>Type of tour: </label></td>
											<td>
												<input type="radio" name="type" value="all" <?php if($type == 'all') echo 'checked="checked"'; ?> /> All
												<input type="radio" name="type" value="1" <?php if($type == '1') echo 'checked="checked"'; ?> /> Day Tours
												<input type="radio" name="type" value="2" <?php if($type == '2') echo 'checked="checked"'; ?>/> Set Tours 
												<input type="radio" name="type" value="3" <?php if($type == '2') echo 'checked="checked"'; ?>/> Other Services
											</td>
										</tr>
										<?php if($sort == 'all')
										{?>
										<tr>
											<td><label>Category:</label></td>
											<td>
												<select name="category">
													<option value="all">All</option>
													<?php 
														$cat_selects = Category::find_all();
														foreach($cat_selects as $cat_select)
														{
															echo '<option value="'.$cat_select->id;
															if($cat_select->id == $category) echo '" selected="selected';
															echo '">'.$cat_select->category.'</option>';
														}
													?>
												</select>
											</td>
										</tr>
										<?php } else
										{
											echo '<input type="hidden" name="category" value="all" />';
										}
										?>
										<tr>
											<td><label>Enquiry status: </label></td>
											<td>
												<select name="status">
											<option value="all">All</option>
											<?php 
												$stas = Status::find_all();
												foreach($stas as $sta) 
												{
													echo '<option value="'.$sta->id;
													if($sta->id == $status) echo '" selected="selected';
													echo '">'.$sta->status.'</option>';
												}
											?>
										</select>
											</td>
										</tr>
										<tr><td>&nbsp;</td>
											<td>
												<input type="hidden" name="sort" value="<?php echo $sort; ?>" />
												<input type="submit" name="submit" value="GO" />
											</td>
										</tr>
									</table>
									
								</form>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>