<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$search = mysql_real_escape_string($_POST['search']);
		
		if($search) //quick search by phrase
		{
			// search by whole phrase, else by separate words
			$sql  = "SELECT *, g.id AS guide_id";
			$sql .= " FROM guides g,";
			$sql .= " guides_languages gl, languages l,";
			$sql .= " guides_categories gc, categories c,";
			$sql .= " guides_types gt, types t,";
			$sql .= " guides_regions gr, regions r,";
			$sql .= " guides_qualifications gq, qualifications q,";
			$sql .= " guides_affiliations ga, affiliations a";
			
			$sql .= " WHERE g.id = gl.guides_id";
			$sql .= " AND l.id = gl.languages_id";
			$sql .= " AND g.id = gc.guides_id";
			$sql .= " AND c.id = gc.categories_id";
			$sql .= " AND g.id = gt.guides_id";
			$sql .= " AND t.id = gt.types_id";
			$sql .= " AND g.id = gr.guides_id";
			$sql .= " AND r.id = gr.regions_id";
			$sql .= " AND g.id = gq.guides_id";
			$sql .= " AND q.id = gq.qualifications_id";
			$sql .= " AND g.id = ga.guides_id";
			$sql .= " AND a.id = ga.affiliations_id";
			
			$sql .= " AND (firstname LIKE '%{$search}%'";
			$sql .= " OR surname LIKE '%{$search}%'";
			$sql .= " OR language LIKE '%{$search}%'";
			$sql .= " OR category LIKE '%{$search}%'";
			$sql .= " OR type LIKE '%{$search}%'";
			$sql .= " OR region LIKE '%{$search}%'";
			$sql .= " OR qualification LIKE '%{$search}%'";
			$sql .= " OR affiliation LIKE '%{$search}%')";
			 
			// not sure how to search all fields and all linked tables
			// 
		} else //search specific fields
		{
			foreach($_POST as $field=>$value)
			{
				if($field != $value)
				
				{
				//	$criteria = $field::find_by_name($value);
				//	$guide_criteria = Guide.$field::
				
				
					if($field == 'language')
					{
						$language = Language::find_by_name($value);
						$guide_languages = GuideLanguage::find_by_language_id($language->id);
						foreach($guides_languages as $guide_language)
						{
							$guides[] = Guide::find_by_id($guide_language($guides_id));
						}
					} else if($field == 'category')
					{
						
					} // etc 
				}
			}	
		}
	} else
	{
		$guides = Guide::find_all();
	}
?>

<?php include_layout('html.php'); ?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

		
		<script language="JavaScript" type="text/javascript" >
		function disableSelection(target){
			if (typeof target.onselectstart!="undefined") //IE route
				target.onselectstart=function(){return false}
			else if (typeof target.style.MozUserSelect!="undefined") //Firefox route
				target.style.MozUserSelect="none"
			else //All other route (ie: Opera)
				target.onmousedown=function(){return false}
			target.style.cursor = "default"
			}

</script>

<style>
	body{-webkit-user-select:none;
-moz-user-select:none;
	}
</style>

<script type="text/javascript" language="JavaScript">
function toggleLayer( whichLayer )
{
var elem, vis;
if( document.getElementById ) // this is the way the standards work
elem = document.getElementById( whichLayer );
else if( document.all ) // this is the way old msie versions work
elem = document.all[whichLayer];
else if( document.layers ) // this is the way nn4 works
elem = document.layers[whichLayer];
vis = elem.style;
// if the style.display value is blank we try to figure it out here
if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
vis.display = (vis.display==''||vis.display=='block')?'none':'block';
} 
</script>


<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
				
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
				
					<h1>TOURIST GUIDES</h1>
					
					<?php if(isset($session->message) && $session->message != '') echo '<br/>'.$session->message.'<br/>'; ?>
					
					<div class="guide_details">
						
						<p>Click '+' to view full details</p>
						
						<table cellpadding="0" width="774px">
							<tr>
								<th>Name</th>
								<th>Email</th>
								<th>Cellphone</th>
								<th>Languages</th>
								<th>Tour Categories</th>
								<th>Region</th>
							</tr>
							
							<?php 
								foreach($guides as $guide)
								{
									echo '<tr>';
									echo '<td><a class="more" href="guide-details.php?id='.$guide->id.'">';
									echo $guide->firstname.' '.$guide->surname.'</a></td>';
									echo '<td>'.$guide->email.'</td>';
									echo '<td>'.$guide->cellphone.'</td>';
									echo '<td><ul>';
									
										$sql = 'SELECT language, name, level FROM languages l, guides_languages gl, guides g, languagelevels ll';
										$sql .= ' WHERE l.id = gl.languages_id';
										$sql .= ' AND g.id = gl.guides_id';
										$sql .= ' AND ll.id = gl.languagelevels_id';
										$sql .= ' AND g.id = '.$guide->id.' ORDER BY level ASC';
							
										$result = mysql_query($sql);
											
										while($language = mysql_fetch_array($result))
										{
											echo '<li>'.$language['language'].' - '.$language['name'].'</li>';
										}
									
									//	$guide_languages = GuideLanguage::find_by_guide_id($guide->id);
									//	foreach($guide_languages as $guide_language)
									//	{
									//		$language = Language::find_by_id($guide_language->languages_id);
									//		echo '<li>'.$language->language.'</li>';
									//	}
									echo '</ul></td>';
									echo '<td><ul>';
										$sql = 'SELECT category, preference FROM categories c, guides_categories gc';
										$sql .= ' WHERE c.id = gc.categories_id';
										$sql .= ' AND gc.guides_id = '.$guide->id.' ORDER BY preference ASC';
							
										$result = mysql_query($sql);
											
										while($category = mysql_fetch_array($result))
										{
											echo '<li>'.$category['category'].'</li>';
										}
									//	$guide_categories = GuideCategory::find_by_guide_id($guide->id);
									//	foreach($guide_categories as $guide_category)
									//	{
									//		$category = Category::find_by_id($guide_category->categories_id);
									//		echo '<li>'.$category->category.'</li>';
									//	}
									echo '</ul></td>';
									
									echo '<td><ul>';
										$sql = 'SELECT region FROM regions, guides_regions';
										$sql .= ' WHERE regions.id = guides_regions.regions_id';
										$sql .= ' AND guides_regions.guides_id = '.$guide->id;
							
										$result = mysql_query($sql);
											
										while($region = mysql_fetch_array($result))
										{
											echo '<li>'.$region['region'].'</li>';
										}
									echo '</ul></td>';
									echo '</tr>';
								}
								
								
							?>
						</table>
						
						<p>
							<a href="javascript:toggleLayer('dates');">SEARCH</a>
						</p>
								
						<div id="dates" >
							<form method="post" action="guide-list.php">
								<select name="language">
									<option value="none">All Languages</option>
									<?php 
										$langs = Language::find_all();
										foreach($langs as $lang)
										{
											echo '<option value="'.$lang->id;
											if($lang->id == $language) echo '" selected="selected';
											echo '">'.$lang->language.'</option>';
										}
									?>
								</select>
								&nbsp;&nbsp;
								<select name="category">
									<option value="all">All Categories</option>
									<?php 
										$cats = Category::find_all();
										foreach($cats as $cat)
										{
											echo '<option value="'.$cat->id;
											if($cat->id == $category) echo '" selected="selected';
											echo '">'.$cat->category.'</option>';
										}
									?>
								</select>
								&nbsp;&nbsp;
								<select name="region">
									<option value="all">All Regions</option>
									<?php 
										$regs = Region::find_all();
										foreach($regs as $reg)
										{
											echo '<option value="'.$reg->id;
											if($reg->id == $region) echo '" selected="selected';
											echo '">'.$reg->region.'</option>';
										}
									?>
								</select>
								&nbsp;&nbsp;
								<select name="group">
									<option value="all">All Groupings</option>
									<?php 
										$groups = Group::find_all();
										foreach($groups as $group)
										{
											echo '<option value="'.$group->id;
											if($group->id == $grouping) echo '" selected="selected';
											echo '">'.$group->grouping.'</option>';
										}
									?>
								</select>
								&nbsp;&nbsp;
								<input type="submit" name="submit" value="GO" />
							</form>
						</div>
					
						
					</div>
					
					</div>
					
				</div>
				
			</div>
			
			<?php if(!$session->is_admin_user()):?>
			<script type="text/javascript">
			disableSelection(document.body) //disable text selection on entire body of page
			</script>
			<?php endif; ?>
			
<?php include_layout('footer-admin.php'); ?>

