<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	$message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$name = trim($_POST['name']);	
		$content = 	trim($_POST['content']);
	
		//Check for duplicate page name
		$pagename = strtolower(str_replace("-&", "", str_replace(" ", "-", str_replace("'", "", trim($_POST['name']))))).'.html';
		$duplicate = Page::find_by_pagename($pagename);
		if(!empty($duplicate) || $duplicate != "")
		{
			$message = "A page with the same name already exists. Please enter a different name.";
		} else
		{
			$page = new Page();
			$page->editable = 1;
			$page->name = $name;
			$page->pagename = $pagename;
			$page->content = $content;
			if($page->create())
			{
				$session->message("Page added successfully.");
				redirect_to('manage-pages.php');
			} else
			{
				$session->message("An error has occurred. Please try again.");
			}
		}
	} else
	{
		$name = "";
		$content = "";
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>ADD NEW PAGE</h1>
						
						<p>
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form method="post" action="new-page.php">
							
							<div class="row">
								<div class="label">Name</div><br/>
								<input type="text" name="name" value="<?php echo $name; ?>" />
							</div>
						
							<div class="row">
								<br/><div class="label">Content</div><br/>
								<textarea class="ckeditor" name="content"><?php echo $content; ?></textarea>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>