<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$social = new SocialMedia();
		$social->name = trim($_POST['name']);
		$social->link = trim($_POST['link']);
		$social->alt = trim($_POST['alt']);
		$social->position = trim($_POST['position']);
		
		$image = $_FILES['image'];
		if($social->attach_file($image))
		{
			if($social->save())
			{
				$session->message("Social media link added successfully.");
				redirect_to('manage-pages.php');
			} else
			{
				$message = "An error has occurred. Please try again.";
			}
		}
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>ADD NEW SOCIAL MEDIA LINK</h1>
						
						<p>
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="new-social.php" method="post" enctype="multipart/form-data">
						
							<div class="row">
								<div class="label">Select image</div>
								<input type="file" name="image"  size="30"/>
							</div>
							
							<div class="row">
								<div class="label">Name</div>
								<input type="text" name="name" size="30" value="" />
							</div>
							
							<div class="row">
								<div class="label">Website link</div>
								<input type="text" name="link" size="30" value="" />
							</div>
							
							<div class="row">
								<div class="label">Title</div>
								<input type="text" name="alt" size="30" value="" />
							</div>
							
							<div class="row">
								<div class="label">Position</div>
								<select name="position">
									<?php 
										$medias = SocialMedia::find_all();
										$count = count($medias);
										for ($i = 1; $i<= $count+1; $i++)
										{
											echo '<option value="'.$i;
											if($i == $count + 1) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>