<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
	} else
	{
		$session->message("No service was selected.");
		redirect_to('manage-services.php');
	}
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$service = Service::find_by_id($id);
		
		$image = $_FILES['image'];
		if($image && !empty($image))
		{
			$service->delete_file();
			if($service->attach_file($image))
			{
				if($service->update_image())
				{
					$session->message("Service image updated successfully.");
					if($service->types_id != 2)
					{
						redirect_to('edit-service.php?id='.$id);
					} else
					{
						redirect_to('edit-tour.php?id='.$id);
					}
				} else
				{
					$message = "An error has occurred. Please try again.";
				}
			}
		}
		
	}
	$service = Service::find_by_id($id);
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>REPLACE SERVICE IMAGE</h1>
						
						<p>
							<a href="edit-service.php?id=<?php echo $id; ?>">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<img src="/ctgc/<?php echo $service->image_display(); ?>" />
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" enctype="multipart/form-data">
							
							<div class="row">
								<p>Select new image</p>
								<input type="file" name="image"  size="30"/>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>