<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(!isset($_GET['id']))
	{
		$session->message("No record ID was provided.");
		redirect_to('manage-guides.php');
	} else
	{
		$id = mysql_prep($_GET['id']);
		$vehicle = Vehicle::find_by_id($id);
		$car = get_vehicle_details($vehicle->id);
		$message = $session->message;
	}
?>

<?php include_layout('html.php'); ?>

		<title>Vehicle Details - Cape Tourist Guide Connection - capetouristguide.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>VEHICLE DETAILS FOR GUIDE: <?php echo strtoupper($car['firstname'].' '.$car['surname']); ?></h1>
					
					<p>
						<a href="edit-vehicle.php?id=<?php echo $vehicle->guides_id; ?>">EDIT</a> &nbsp;|&nbsp;
						<a href="guide-details.php?id=<?php echo $vehicle->guides_id; ?>">BACK</a>
					</p>
					
					<?php if($message != "") echo $message; ?>
					
						<div class="guide_details">
							
							<table class="borderless">
								<tr><td width="180px">Type of Vehicle:</td><td><?php echo $car['make'].' '.$car['model']; ?></td></tr>
								<tr><td>Year:</td><td><?php echo $vehicle->year;?></td></tr>
								<tr><td>Passenger Seats:</td><td><?php echo $vehicle->capacity; ?></td></tr>
								<tr><td>Colour:</td><td><?php echo $vehicle->colour; ?></td></tr>
								<tr><td>PDP Licence Expiry:</td><td>
								<?php 
									if($vehicle->pdp_licence == 'n') echo 'No Licence';
									elseif($vehicle->pdp_expiry == '0000-00-00') echo 'Vehicle has PDP Licence. Expiry date has not been specified.';
									else echo date('d M Y', $vehicle->pdp_expiry);
								?>
								</td></tr>
								<tr><td>Operators Licence:</td><td><?php 
									if($vehicle->operators_licence == NULL) echo 'No Licence'; 
									else echo $vehicle->operators_licence;
								?></td></tr>
								<tr><td>Licence Expiry:</td><td>
								<?php 
									if($vehicle->operators_licence == NULL) echo 'n/a';
									elseif($vehicle->operators_expiry == '0000-00-00') echo 'Expiry date has not been specified.';
									else echo date('d M Y', $vehicle->operators_expiry);
								?>
								</td></tr>
								<tr><td>Cover Information:</td><td>
									<?php 
										if($vehicle->passenger_liability == 'y')	$cover[] = 'Passenger Liability';
										if($vehicle->personal_insurance == 'y') 	$cover[] = 'Personal Insurance';
										if($vehicle->vehicle_liability == 'y')		$cover[] = 'Vehicle Liability';
										if(!empty($cover))
										{
											$allcover = implode('<br/>', $cover);
											echo $allcover;
										}
									?>
								</td></tr>
								<tr><td>Additional Information:</td><td><?php echo $vehicle->comments; ?></td></tr>
							</table>
						
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>
