<?php
function redirect_to($location = NULL)
	{
		if($location != NULL)
		{
			header("Location: {$location}");
			exit;
		}
	}
function include_layout($layout)
	{
		include(SITE_ROOT.DS.'tour-guides-cape-town-layout'.DS.$layout);
	}
	
function strip_zeros_from_data($marked_string="")
	{
		// first remove the marked zeros
		$no_zeros = str_replace('*0', '', $marked_string);
		// then remove any remaining marks
		$cleaned_string = str_replace('*', '', $no_zeros);
		return $cleaned_string;
	}
	
function find_by_pagename($pagename = "")
{
	global $database;
	$result_array = mysql_query("SELECT * FROM pages p, services s  WHERE p.pagename='{$pagename}' OR s.pagename='{$pagename}'");
	return $result_array;
}

function get_max_id($table)
{
	global $database;
	$result = mysql_query("SELECT max(id) AS maxid FROM ".$table);
	$row = mysql_fetch_array($result);
	$maxid= $row['maxid'];
	return $maxid;
}
	
function output_message($message="")
	{
		if (!empty($message))
		{
			return "<p class=\"message\">{$message}</p>";
		} else
		{
			return "";
		}
	}

function __autoload($class_name)
{
		$class_name = strtolower($class_name);
		$path = LIB_PATH.DS."gitaren-{$class_name}.php";
		if(file_exists($path))
		{
			require_once($path);
		} else
		{
			die("The file {$class_name}.php could not be found.");
		}
}


function datetime_to_text($datetime="")
{
	$unixdatetime = strtotime($datetime);
	return strftime("%B %d, %Y at %I:%M %p", $unixdatetime);
}

function prepare_link($name)
{   
	$name 	= strtolower(str_replace("-&","",str_replace(" ","-",$name)));
	
	// replace special characters
	$name	= str_replace('', "a", $name);
	$name	= str_replace('', "a", $name);
	$name	= str_replace('&auml;', "a", $name);
	$name	= str_replace('&agrave;', "a", $name);
	$name	= str_replace('&acirc;', "a", $name);
	$name	= str_replace('&atilde;', "a", $name);
	$name	= str_replace('&aacute;', "a", $name);
	$name	= str_replace('&aring;', "a", $name);
	
	$name	= str_replace('', "e", $name);
	$name	= str_replace('', "e", $name);
	$name	= str_replace('&euml;', "e", $name);
	$name	= str_replace('&egrave;', "e", $name);
	$name	= str_replace('&ecirc;', "e", $name);
	$name	= str_replace('&eacute;', "e", $name);
	
	$name	= str_replace('', "i", $name);
	$name	= str_replace('', "i", $name);
	$name	= str_replace('&iuml;', "i", $name);
	$name	= str_replace('&igrave;', "i", $name);
	$name	= str_replace('&icirc;', "i", $name);
	$name	= str_replace('&iacute;', "i", $name);
	
	$name	= str_replace('', "o", $name);
	$name	= str_replace('', "o", $name);
	$name	= str_replace('&ouml;', "o", $name);
	$name	= str_replace('&ograve;', "o", $name);
	$name	= str_replace('&ocirc;', "o", $name);
	$name	= str_replace('&oacute;', "o", $name);
	$name	= str_replace('&otilde;', "o", $name);
	
	$name	= str_replace('', "u", $name);
	$name	= str_replace('', "u", $name);
	$name	= str_replace('&uuml;', "u", $name);
	$name	= str_replace('&ugrave;', "u", $name);
	$name	= str_replace('&ucirc;', "u", $name);
	$name	= str_replace('&uacute;', "u", $name);
	
	$name 	= str_replace('', "y", $name);
	$name	= str_replace('&yuml;', "y", $name);
	$name	= str_replace('&yacute;', "y", $name);
	
	$name	= str_replace('', "ny", $name);
	$name	= str_replace('', "ss", $name); 
	$name	= str_replace('&szlig;', "ss", $name);   
	
	return $name;
}

//function remove_textareas($string)
//{
//	$string = str_replace("<textarea cols=\"50\" name=\"comments\" rows=\"10\" ></textarea>","<input class=\"textarea\" />",$string);
//	$string = str_replace("<textarea name=\"comments\" rows=\"10\" cols=\"50\" ></textarea>","<input class=\"textarea\" />",$string);
//	
//	$string = str_replace("<textarea cols=\"50\" name=\"anmerkung\" rows=\"10\"></textarea>","<input class=\"textaread\" />",$string);
//	$string = str_replace("<textarea name=\"anmerkung\" rows=\"10\" cols=\"50\" ></textarea>","<input class=\"textaread\" />",$string);
//	return $string;
//}

//function reinsert_textareas($string)
//{
//	$string = str_replace("<input class=\"textarea\" />","<textarea name=\"comments\" rows=\"10\" cols=\"50\" ></textarea>",$string);
//	$string = str_replace("<input class=\"textaread\" />","<textarea name=\"anmerkung\" rows=\"10\" cols=\"50\" ></textarea>",$string);
//	
//	return $string;
//}

function mysql_prep($value)
{
	$magic_quotes_active = get_magic_quotes_gpc();
	$new_enough_php = function_exists("mysql_real_escape_string"); // i.e. PHP>=v4.3.0
	if ($new_enough_php) //PHP v4.3.0 or higher: undo any magic quote effects so mysql_real_escape_string can do the work
	{
		if($magic_quotes_active)
		{
			$value = stripslashes($value);
		}
		$value = mysql_real_escape_string($value);
	} else //before PHP v4.3.0
	// if magic quotes aren't already on then add slashes manually
	{
		if(!magic_quotes_active)
		{
			$value = addslashes($value);
		}
		//if magic quotes are active, then slashes already exist
	}
	
	$value = htmlentities($value);
	return $value;
}

function find_available_guides($tour = 0)
{
	global $database;
	
	$sql = 'SELECT DISTINCT g.id FROM (guides g ';
	$sql .= 'INNER JOIN v_services_guides vsg ON vsg.guides_id=g.id ';
	$sql .= 'INNER JOIN tours t ON t.services_id=vsg.services_id ';
	$sql .= 'INNER JOIN guides_languages gl ON gl.languages_id = t.languages_id ';
	$sql .= 'INNER JOIN vehicles v ON v.guides_id=g.id AND v.capacity >= t.capacity) ';
	$sql .= 'WHERE g.id NOT IN (';
	$sql .= 'SELECT bd.guides_id FROM busy_days bd WHERE bd.status_id !=7 AND bd.date IN (SELECT date FROM busy_days WHERE tours_id='.$tour.')) ';
	$sql .= 'AND t.id='.$tour;
	$sql .= ' GROUP BY g.id';
	
	$query = $database->query($sql);
	$result = $database->fetch_array($query);
	return $result;
}

function find_available_guide($tour = 0)
{
	global $database;
	
	$sql = 'SELECT DISTINCT g.id FROM guides g ';
	$sql .= 'INNER JOIN v_services_guides vsg ON vsg.guides_id=g.id ';
	$sql .= 'INNER JOIN tours t ON t.services_id=vsg.services_id ';
	$sql .= 'INNER JOIN guides_languages gl ON gl.languages_id = t.languages_id ';
	$sql .= 'INNER JOIN vehicles v ON v.guides_id=g.id AND v.capacity >= t.capacity ';
	$sql .= 'WHERE g.id NOT IN (';
	$sql .= 'SELECT bd.guides_id FROM busy_days bd WHERE bd.status_id !=7 AND bd.date IN (SELECT date FROM busy_days WHERE tours_id='.$tour.')) ';
	$sql .= 'AND t.id='.$tour;
	$sql .= ' ORDER BY RAND() LIMIT 1';
	
	$query = $database->query($sql);
	$result = $database->fetch_array($query);
	return $result;
}

function check_guide_busy($guide, $tour)
{
	global $database;
	$sql = 'SELECT b.guides_id FROM busy_days b WHERE b.guides_id='.$guide.' AND b.tours_id!='.$tour.' AND b.date IN(SELECT bd.date FROM busy_days bd WHERE bd.status_id != 7 AND bd.tours_id='.$tour.')';
	$query = $database->query($sql);
	$records = $database->num_rows($query);
	return $records;
}

function find_guide_languages($guide=0)
{
	global $database;
	$sql = "SELECT l.language, ll.name FROM languages l";
	$sql .= " JOIN guides_languages gl ON gl.languages_id=l.id";
	$sql .= " JOIN languagelevels ll ON ll.id=gl.languagelevels_id";
	$sql .= " WHERE gl.guides_id =".$guide;
	
	return $database->query($sql);
}

function get_guide_admin_processes($guide=0)
{
	global $database;
	$sql = 'SELECT ga.date_completed, ga.comments, a.process FROM admin_processes a  JOIN guides_admin_processes ga ON ga.admin_processes_id = a.id AND ga.guides_id='.$guide;
	return $database->query($sql);
}

function get_guide_bank_details($guide = 0)
{
	global $database;
	$sql = 'SELECT g.bank_account as account, g.account_holder, b.name AS bank, bb.id as id, bb.name as branch_name, bb.code, at.account_type FROM guides g ';
	$sql .= 'JOIN bank_branches bb ON bb.id = g.bank_branches_id ';
	$sql .= 'JOIN banks b ON b.id=bb.banks_id ';
	$sql .= 'JOIN account_types at ON at.id=g.account_types_id ';
	$sql .= 'WHERE g.id='.$guide;
	$query = $database->query($sql);
	return $database->fetch_array($query);
}

function get_bank_branches()
{
	global $database;
	$sql = 'SELECT ba.name as bank, b.name as branch, b.code, b.id as id ';
	$sql .= 'FROM bank_branches b ';
	$sql .= 'LEFT JOIN banks ba ON ba.id=b.banks_id ';
	$sql .= 'ORDER BY ba.name, b.name ASC';
	return $database->query($sql);
}

function get_enquiry_details($ref)
{
	global $database;
	$sql = "SELECT * FROM v_enquiries_info WHERE reference='{$ref}'";
	$query = $database->query($sql);
	return $database->fetch_array($query);
}

function get_tour_enquiry_details($tour=0)
{
	global $database;
	$sql = "SELECT * FROM v_enquiries_info WHERE tours_id='{$tour}'";
	$query = $database->query($sql);
	return $database->fetch_array($query);
}

function get_vehicle_details($vehicle_id)
{
	global $database;
	$sql = "SELECT v.id, v.year, v.capacity, v.colour, vm.model, vma.make, g.surname, g.firstname ";
	$sql .= " FROM vehicles v LEFT JOIN vehicle_models vm ON vm.id=v.vehicle_models_id";
	$sql .= " LEFT JOIN vehicle_makes vma ON vma.id=vm.vehicle_makes_id";
	$sql .= " LEFT JOIN guides g ON g.id=v.guides_id";
	$sql .= " LIMIT 1";
	
	$query = $database->query($sql);
	return $database->fetch_array($query);
}

function find_vehicles_for_tour($tour=0)
{
	global $database;
	$sql = "SELECT DISTINCT v.id, v.year, v.capacity, v.colour, vm.model, vma.make ";
	$sql .= " FROM vehicles v LEFT JOIN vehicle_models vm ON vm.id=v.vehicle_models_id";
	$sql .= " LEFT JOIN vehicle_makes vma ON vma.id=vm.vehicle_makes_id";
	$sql .= " WHERE v.id NOT IN (";
	$sql .= " SELECT tv.vehicles_id FROM tours_vehicles tv";
	$sql .= " JOIN busy_days vbd ON vbd.tours_id=tv.tours_id";
	$sql .= " JOIN busy_days day ON day.date=vbd.date AND vbd.status_id !=7 AND day.tours_id=".$tour." )";
	$sql .= " AND v.guides_id = 0";

	return $database->query($sql);
}

function find_set_tours($from = "DATE_FORMAT(NOW() ,'%Y-%m-01')", $to = 'LAST_DAY(CURDATE())')
{
	global $database;
	$sql = "SELECT DISTINCT t.id, t.start_date, t.capacity, s.title, g.firstname, g.surname, l.language ";
	$sql .= " FROM tours t INNER JOIN services s ON s.id=t.services_id AND s.types_id=2";
	$sql .= " INNER JOIN guides g ON g.id=t.guides_id";
	$sql .= " INNER JOIN languages l ON l.id=t.languages_id";
	$sql .= " WHERE start_date BETWEEN ".$from." AND ".$to;
	$sql .= " ORDER BY start_date ASC";
	
	return $database->query($sql);
}

function find_set_tours_annual($year = 'CURDATE()')
{
	global $database;
	$sql = "SELECT DISTINCT t.id, t.start_date, t.capacity, s.title, g.firstname, g.surname, l.language ";
	$sql .= " FROM tours t LEFT JOIN services s ON s.id=t.services_id AND s.types_id=2";
	$sql .= " LEFT JOIN guides g ON g.id=t.guides_id";
	$sql .= " LEFT JOIN languages l ON l.id=t.languages_id";
	$sql .= " WHERE YEAR(start_date) = YEAR(".$year.") ";
	$sql .= " ORDER BY start_date ASC";
	
	return $database->query($sql);
}

function get_tour_details($id)
{
	global $database;
	$sql = "SELECT t.id, t.start_date, t.capacity, ts.tour_status, s.title, s.duration, g.firstname, g.surname, l.language ";
	$sql .= " FROM tours t LEFT JOIN services s ON s.id=t.services_id AND s.types_id=2";
	$sql .= " LEFT JOIN tours_status ts ON ts.id=t.tours_status_id";
	$sql .= " LEFT JOIN guides g ON g.id=t.guides_id";
	$sql .= " LEFT JOIN languages l ON l.id=t.languages_id";
	$sql .= " WHERE t.id=".$id;
	$sql .= " LIMIT 1";
	
	$query = $database->query($sql);
	return $database->fetch_array($query);
}

function get_vehicle_makes_models()
{
	global $database;
	$sql = 'SELECT make.make, vmod.id as id, vmod.model ';
	$sql .= 'FROM vehicle_makes make ';
	$sql .= 'LEFT JOIN vehicle_models vmod ON make.id=vmod.vehicle_makes_id ';
	$sql .= 'ORDER BY make.make, vmod.model ASC';
	return $database->query($sql);
}




?>