<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	$message = $session->message;
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$day	= trim($_POST['day']);
		$set	= trim($_POST['set']);
		$other	= trim($_POST['other']);
		
		if($day == "none" && $set == "none" && $other == "none")
		{
			$message = '<p class="red">No tour was selected.</p>';
		} else 
		{
			if($day != "none" && $set == "none" && $other == "none")
			{
				redirect_to('book-tours-south-africa.html?service='.$day);
			} else if($set != "none" && $day == "none" && $other == "none")
			{
				redirect_to('book-tours-south-africa.html?service='.$set);
			} else if($other != "none" && $day == "none" && $set == "none")
			{
				redirect_to('book-tours-south-africa.html?service='.$other);
			} else
			{
				$message = '<p class="red">Only one tour can be selected from one of the fields below.</p>';
			}
		}
	} else
	{
		$day 	= "";
		$set 	= "";
		$other	= "";
	}
?>
<?php include_layout('html.php'); 
 include('./tour-guides-cape-town-layout/header.php'); ?>

			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
						
						<h1>BOOKING ENQUIRY - SELECT A TOUR</h1>
						
						<a href="/ctgc/tours-south-africa-enquiry.html"><button onClick="javascript:location.href='/tours-south-africa-enquiry.html';">General Enquiry</button></a>
						
						<?php if(isset($message) && $message != "") echo $message; ?>
						
						<p>
							Please select one of the options below to proceed.
						</p>
						
						<form action="select-service.php" method="post">
							
							<?php include('./tour-guides-cape-town-layout/service-form.php'); ?>
							
							<div class="row">
							<br/>
								<input type="submit" name="submit" value="Proceed" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" />
								<br/><br/>
							</div>
							
						</form>
					
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tourism-south-africa/cape-tours-2-bott.gif" width="1005px" height="1px" />
			</div>
			
<?php include_layout('footer.php'); ?>
