<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php include_layout('html.php'); 
include('./tour-guides-cape-town-layout/header.php'); ?>		

			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
					
						<h1>SITEMAP</h1>
						
						<h3><a href="/ctgc/index.html">HOME</a></h3>
						
						<h2>DAY TOUR PAGES</h2>
						
						<?php 
							$categories = Category::find_all();
							foreach($categories as $category)
							{
								echo '<a href="/ctgc/'.$category->folder.'/'.$category->pagename.'"><h3>'.$category->category.'</h3></a>';
								$services = Service::find_listings_by_category($category->id, 'AND current = 1');
								if(!empty($services))
								{
									echo '<ul class="options">';
									foreach($services as $service)
									{
										echo '<li><a href="/ctgc/'.$category->folder.'/'.$service->pagename.'">'.$service->title.'</a></li>';
									}
									echo '</ul>';
								}
							}
						?>
						
						<h2>OTHER TOUR PAGES</h2>
						
						<a href="/ctgc/tours-south-afrca-safari.html"><h3>Set Tours</h3></a>
						<a href="/ctgc/tourist-services-south-africa.html"><h3>Other Services</h3></a>
						
						<h2>INFORMATION PAGES</h2>
						
						<ul class="options">
						<?php 
							$pages = Page::find_all();
							foreach($pages as $page)
							{
								echo '<li><a href="/ctgc/'.$page->pagename.'">'.$page->name.'</a></li>';
							}
						?>
						</ul>
						
						<h2>PDF'S</h2>
						<?php 
							$pdfs = Pdf::find_all();
							if(!empty($pdfs))
							{
								echo '<ul class="options">';
								foreach($pdfs as $pdf)
								{
									echo '<li><a href="/ctgc/'.$pdf->filename.'">'.$pdf->name.'</a></li>';
								}
								echo '</ul>';
							}
						?>
						
						<h2>INTERACTION PAGES</h2>
						<ul class="options">
							<li><a href="/ctgc/tours-south-africa-booking.html">Booking Enquiry</a></li>
							<li><a href="/ctgc/tours-south-africa-enquiry.html">General Enquiry</a></li>
							<li><a href="/ctgc/online-tour-booking.html">Booking/Enquiry Details</a></li>
						</ul>
				
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tours-cape-town-images/cape-tours-2-bott.gif" width="1005px" height="1px" />
				
			</div>
			
<?php include_layout('footer.php'); ?>	