<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(isset($_GET['id']))
	{
		$id = mysql_prep($_GET['id']);
		$cat = Category::find_by_id($id);
		$message = $session->message;
	} 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$firstname 		= trim(strip_tags($_POST['firstname']));
		$surname 		= trim(strip_tags($_POST['surname']));
		$country		= trim(strip_tags($_POST['country']));
		$other_country	= trim(strip_tags($_POST['other_country']));
		if($country == 'none')
		{
			if($other_country != '')
			{
				$countryexists = Country::find_by_country($other_country);
				if(!$countryexists)
				{
					$coun = new Country();
					$coun->country = $other_country;
					$coun->create();
					$country = $coun->id;
				} else
				{
					$country = $countryexists->id;
				}
			}
		}
		$language		= trim(strip_tags($_POST['language']));
		$email 			= trim(strip_tags($_POST['email']));
		$tel 			= trim(strip_tags($_POST['tel']));
		$contact 		= trim(strip_tags($_POST['contact']));
		$establishment	= trim(strip_tags($_POST['establishment']));
		$estname		= trim(strip_tags($_POST['estname']));
		$address		= trim(strip_tags($_POST['address']));
		$esttel			= trim(strip_tags($_POST['esttel']));
		$estregion		= trim(strip_tags($_POST['estregion']));
		
		$category 		= trim(strip_tags($_POST['category']));
		$region 		= trim(strip_tags($_POST['region']));
		$duration 		= trim(strip_tags($_POST['duration']));
		if($_POST['date'] == "" || $_POST['date'] == 'dd/mm/yyyy')
		{
			$date = "";
		} else
		{
			$date			= date('Y-m-d', strtotime((str_replace('/','-', strip_tags($_POST['date'])))));
		}
		$people			= trim(strip_tags($_POST['people']));
		$requirements	= trim(strip_tags($_POST['requirements']));
		$comments		= trim(strip_tags($_POST['comments']));
		
		if(!isset($_POST['terms']))
		{
			$message = '<p class="red">Terms & Conditions must be accepted in order to proceed.</p>';
		} else
		{
			if($establishment == 'other' && $esttel != "" && $address != "" && $estregion != 'none')
			{
				$est = new Establishment();
				if($estname == "")
				{
					$estname = "private accommodation";
				}
				$est->name = $estname;
				$est->address = $address;
				$est->tel = $esttel;
				$est->list = 0;
				$est->suburbs_id = $estregion;
				$est->create();
				$establishment = $est->id;
			}
			
			$message = "";
			//	Check required fields 
			$labels = array( 
			'firstname'=>"First Name",
			'surname'=>"Surname",
			'email'=>'Email address',
			'tel'=>'Phone Number',
			'contact'=>'Contact Method',
			'country'=>'Country',
			'other_country'=>'Country',
			'establishment'=>'Select establishment or complete all details for other establishment',
			'estname'=>'Establishment Name',
			'address'=>'Establishment Address',
			'estregion'=>'Establishment Suburb',
			'esttel'=>'Establishment Phone Number',
			'category'=>'Tour Category',
			'region'=>'Tour Region',
			'date'=>'Departure date',
			'duration'=>'Duration',
			'people'=>'Number of people',
			'language'=>'Preferred Language',
			'requirements'=>'Special Requirements',
			'comments'=>'comments'
			);
			
			foreach($_POST as $field=>$value)
			{
				if($field == 'firstname' || $field == 'surname' || $field == 'email' || $field == 'tel')
				{
					if(empty($_POST[$field]) || ($field == 'date' && ($value == 'dd/mm/yyyy' || $value == "")))
					{
						$blanks[$field] = "blank";
					}
				}  else if($field == 'country' && $value == 'none')
				{
					if($_POST['other_country'] == "")
					{
						$blanks[$field] = "blank";
					}
				}else if($field == 'language' && $value == 'none')
				{
					$blanks[$field] = "blank";
				} else if($field == 'establishment' && ($value == 'none' || $value == 'other'))
				{
					if($estname == "" || $address == "" || $esttel == "" || $estregion == "none")
					{
						$blanks[$field] = "blank";
					}
				}
			}
			
			if(!empty($blanks))
			{
				if(sizeof($blanks)>0)
				{
					$message .= "<p class=\"red\">ONE OR MORE OF THE REQUIRED FIELDS ARE BLANK.<br/>Please enter the following information:<br>";
					foreach ($blanks as $field => $value)
					{
						$message .= "&nbsp;&nbsp;&nbsp;{$labels[$field]}<br/>";
					}
					$message .= "</p>";
				}
			} else
			{	
			// Create tour, client, new enquiry & ref
				
				$client = new Client();
				$client->firstname 					= $firstname;
				$client->surname 					= $surname;
				$client->countries_id				= $country;
				$client->languages_id				= $language;
				$client->tel 						= $tel;
				$client->email 						= $email;
				$client->communication_methods_id 	= $contact;
				$client->establishments_id			= $establishment;
				if($client->create())
				{
					if($category != "0" || $region != "0" || $date != 'dd/mm/yyyy' || $duration != "0" || $people != "0")
					{
						$service = new Service();
						$service->title 		= 'Ad Hoc - '.$firstname.' '.$surname;
						$service->duration 		= $duration;
						$service->current 		= 0;
						$service->types_id 		= 4;
						$service->categories_id = $category;
						$service->regions_id 	= $region;
						$service->create();
						
						$tour = new Tour();
						$tour->start_date = $date;
						$tour->capacity = $people;
						$tour->services_id = $service->id;
						$tour->languages_id = $language;
						$tour->create();
					}
					$enquiry = new Enquiry();
					$maxid = get_max_id('enquiries');
					$enquiry->reference				= ($maxid +1001).'W';
					$enquiry->created				= date('Y-m-d h:i:s', time());
					$enquiry->no_people				= $people;
					$enquiry->status 				= 1;
					$enquiry->total_cost 			= 0;
					$enquiry->deposit				= 0;
					$enquiry->due_now				= 0;
					$enquiry->clients_id 			= $client->id;
					if(isset($tour)) $enquiry->tours_id = $tour->id;
					else $enquiry->tours_id 		= 0;
					$enquiry->enquiry_methods_id 	= 1;
					$enquiry->coordinators_id		= 1;
					$enquiry->create();
					// Add Enquiries status 
					{
						$enquiries_status = new EnquiryStatus();
						$enquiries_status->enquiries_id = $enquiry->id;
						$enquiries_status->status_id = 1;
						$enquiries_status->create();
					}
				}
				
				// Get all text info for email
				$cm = CommunicationMethod::find_by_id($contact);
				$l = Language::find_by_id($language);
				$c = Country::find_by_id($country);
				$es = Establishment::find_by_id($establishment);
				$esreg = Suburb::find_by_id($es->suburbs_id);
				
				if($category != "none") $cate = Category::find_by_id($category);
				if($region != "none") $treg = Region::find_by_id($region);
				
				$emessage = '<b>CLIENT DETAILS</b><br/>';
				$emessage .= '<table style=" font-family:Arial, Helvetica, sans-serif; color:#555; font-size:10pt;" cellpadding="5">';
				$emessage .= '<tr><td>NAME: </td><td>'.$firstname.' '.$surname.'</td></tr>';
				$emessage .= '<tr><td>EMAIL ADDRESS: </td><td>'.$email.'</td></tr>';
				$emessage .= '<tr><td>PHONE NUMBER: </td><td>'.$tel.'</td></tr>';
				$emessage .= '<tr><td>PREFERRED CONTACT METHOD: </td><td>'.$cm->name.'</td></tr>';
				$emessage .= '<tr><td>LANGUAGE: </td><td>'.$l->language.'</td></tr>';
				$emessage .= '<tr><td>COUNTRY OF ORIGIN: </td><td>'.$c->country.'</td></tr>';
				$emessage .= '<tr><td>LOCAL ADDRESS:  </td><td>'.$es->name.' - '.$es->address.', '.$esreg->region.', TEL: '.$es->tel.'</td></tr>';
				$emessage .= '</table><br/>';
				
				if(isset($tour))
				{
					$emessage .= '<b>CUSTOM TOUR DETAILS</b><br/>';
					$emessage .= '<table style=" font-family:Arial, Helvetica, sans-serif; color:#555; font-size:10pt;" cellpadding="5">';
					$emessage .= '<tr><td>CATEGORY: </td><td>'.$category->category.'</td></tr>';
					$emessage .= '<tr><td>REGION: </td><td>'.$treg->region.'</td></tr>';
					$emessage .= '<tr><td>STARTING ON: </td><td>'.$date.'</td></tr>';
					$emessage .= '<tr><td>DURATION (DAYS): </td><td>'.$duration.'</td></tr>';
					$emessage .= '<tr><td>NUMBER OF PEOPLE: </td><td>'.$people.'</td></tr>';
				}
				
				if($requirements != "none")
				{
					$r = Requirement::find_by_id($requirements);
					$emessage .= '<tr><td>SPECIAL REQUIREMENTS:  </td><td>'.$r->name.'</td></tr>';
				} 
				$emessage .= '<tr><td>DETAILS: </td><td>'.$comments.'</td></tr>';
				$emessage .= '</table>';
				
				// send email								
				$to 		= "info@freshweb.co.za";
				$subject	= $enquiry->reference." - Website Boooking Enquiry";
				$headers	= "From: ".$email."\r\n";
				$headers	.= "Reply-To: ".$email."\r\n";
			//	$headers	.= "CC: fleur@freshweb.co.za\r\n";
				$headers	.= "MIM-Version: 1.0\r\n";
				$headers	.= "Content-Type: text/html; charset=ISO-8859-1\r\n";
				
				$email_body	= '<html><body style="font-family:Arial, Helvetica, sans-serif; color:#555; font-size:10pt;">';
				$email_body .= '<h1>'.$enquiry->reference.'</h1>';
				$email_body	.= $emessage;
		//		$email_body	.= '<img src="http://www.freshweb.co.za/cape-tours-name.jpg" alt="Cape Tourist Guide Connection" />';
				$email_body	.= '</body></html>';
				
				$mailsend = mail($to, $subject, $email_body, $headers);
				
				$session->message('<p class="green">Thank you for your enquiry. Please take note of your reference number.<br/>One of our coordinators will contact you shortly.</p>');
				redirect_to('booking-details.php?ref='.$enquiry->reference);
			}
		}
	} else
	{
		$firstname 		= "";
		$surname 		= "";
		$country		= "";
		$other_country 	= "";
		$email 			= "";
		$tel 			= "";
		$contact 		= "1";
		$establishment	= "";
		$estname		= "private accommodation";
		$address		= "";
		$esttel			= "";
		$estregion		= "";
		if(isset($id))
			$category		= $id;
		else $category	= "";
		$region			= "";
		$date			= 'dd/mm/yyyy';
		$duration 		= "";
		$people			= "";
		$language		= "";
		$requirements	= "";
		$comments		= "";
	}
?>
<?php include_layout('html.php'); ?>

		<script type="text/javascript" language="JavaScript">
			function toggleLayer( whichLayer )
			{
			var elem, vis;
			if( document.getElementById ) // this is the way the standards work
			elem = document.getElementById( whichLayer );
			else if( document.all ) // this is the way old msie versions work
			elem = document.all[whichLayer];
			else if( document.layers ) // this is the way nn4 works
			elem = document.layers[whichLayer];
			vis = elem.style;
			// if the style.display value is blank we try to figure it out here
			if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
			vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
			vis.display = (vis.display==''||vis.display=='block')?'none':'block';
			} 
		</script>
		
<?php include('./tour-guides-cape-town-layout/header.php'); ?>		

			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
				
						<?php 
							if(isset($id))
							{
								echo '<h1>SET TOURS - '.strtoupper($cat->category).'</h1>';
								$tours = Tour::find_set_tours(' AND s.categories_id='.$id.' AND t.start_date > CURDATE()');
							} else
							{
								echo '<h1>SET TOURS</h1>';
								$tours = Tour::find_set_tours(' AND t.start_date > CURDATE()');
							}

							if($message != "") echo $message;
							
							foreach($tours as $tour)
							{
								$service_ids[] = $tour->services_id;
							}
							
							$services = array_unique($service_ids);
							foreach($services as $service_id)
							{
								$service = Service::find_by_id($service_id);
								echo '<div class="listing">';
								echo '<div class="image"><img src="/ctgc/'.$service->image_display().'" width="130px" height="130px" /></div>';
								echo '<div class="summary"><h2>'.strtoupper($service->title).'</h2>';
								echo '<p>'.$service->intro.'</p>';
								echo '<p>'.$service->duration.' days | Price: R '.$service->price.'</p>';
								echo '<label><a href="/ctgc/'.$service->pagename.'" class="more">READ MORE</a>&nbsp;&nbsp;l&nbsp;&nbsp;';
								echo '<a href="/ctgc/book-tours-south-africa.html?service='.$service->id.'" class="more">BOOK NOW</a></label></div></div>';
							}
						?>
						
						<?php if(isset($id)) {?>
						<p>
							<a href="/ctgc/tours-south-afrca-safari.html">ALL SET TOURS</a> &nbsp;|&nbsp;
							<a href="/ctgc/<?php echo $cat->folder.'/'.$cat->pagename; ?>">">DAY TOURS - <?php echo strtoupper($cat->category); ?></a>
						</p>
						<?php }?>
						
						<p>
							If you didn't find what you are looking for please complete the enquiry form below and we will contact you. 
							We can tailor a package to suit all of your requirements and more.
						</p>
						
						<form action="/set-tours.php" method="post">
						
						<?php  include('./tour-guides-cape-town-layout/tour-enquiry.php'); ?>
							
						</form>
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tourism-south-africa/cape-tours-2-bott.gif" width="1005px" height="1px" />
				
			</div>
			
<?php include_layout('footer.php'); ?>	