<?php 
require_once("../../catering-amsterdam-includes/amsterdam-catering-ingredients.php");
if($session->is_logged_in())
{
	redirect_to("index.php");
}

// Remember to give your form's submit tag a name="submit" attribute!
if(isset($_POST['submit']))
{	// Form has been submitted.
	
	$username = trim($_POST['username']);
	$password = trim($_POST['password']);
	
	// Check database to see if username/password exist.
	$found_user = User::authenticate($username, $password);
	
	if($found_user)
	{
		$session->login($found_user);
		redirect_to("index.php");

	} else
	{
		// username/password combo was not found in the database
		$message = "Username/password combination incorrect.";
	}
} else
{	// form has not been submitted
	$username = "";
	$password = "";
}
	
?>

<?php include('../catering-company-amsterdam-layout/catering-amsterdam-header-admin.php'); ?>


								
									<h2>Log in to admin area</h2>
									<?php echo output_message($message);  ?>
									<form method="post" action="login.php" name="login_form">
									
									<div class="row">
										<span class="label"><label>Username:</label></span>
										<span class="inputs"><input type="text" name="username" value="<?php echo $username; ?>"></span>	
									</div>
									<div class="row">
										<span class="label"><label>Password:</label></span>
										<span class="inputs"><input type="password" name="password" value="<?php echo $password; ?>"></span>	
									</div>
									<div class="row">
										<span class="label">&nbsp;</span>
										<span class="inputs">
											<input type="submit" name="submit" value="Log In"/>&nbsp;&nbsp;&nbsp;&nbsp;
											<input type="reset" value="Reset" name="reset">
											<br /><br/>
										</span>
									</div>
									<div class="row">
										<p class="admin"><a href="../index.php">Back to Public Site</a></p>
									</div>
									<br/>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
				
<?php include('../catering-company-amsterdam-layout/catering-amsterdam-footer.php'); ?>
		
