<?php 
															
	$labels = array( "name"=>"Name",
					"company"=>"Company Name",
					"email"=> "Email Address",
					"tel"=>"Contact Number",
					"new_website"=>"New / Existing Website",
					"domain"=>"Domain Name",
					"no_pages"=>"Number of Web Pages",
					"features"=>"Features",
					"comments"=>"Additional Information / Comments",
					"captcha"=>"Validation Text");

	if(isset($_POST['submit']))
	{	
		// Form processing
																			
		$message="";
		$name=$_POST['name'];
		$company=$_POST['company'];
		$email=$_POST['email'];
		$tel=$_POST['tel'];
		$new_website=$_POST['new_website'];
		$content = '';
		
		if(!empty($_POST['features']))
		{
			for ($i=0; $i<count($_POST['features']); $i++) 
			{
				$feature[] = $_POST['features'][$i];
			}
			$features = implode(", ",$feature);
		} else
		{
			$features = "";
		}
		
		$comments=$_POST['comments'];
		$domain=$_POST['domain'];
		$no_pages=$_POST['no_pages'];
		
		foreach($_POST as $field=>$value)
		{
			if(empty($_POST[$field]))
			{
				if($field!="comments" && $field!="domain" && $field !="features" && $field!="submit")
				{
					$blanks[$field] = "blank";
				}
			} else
			{
				if($field!="features")
				{
					$value=trim($value);
					if(!preg_match("/^[A-Za-z0-9' \/.@\(\)-]+$/", $value))
					{
						$formats[$field] = "bad";
					}
				}

			}
			if($field!="submit" && $field!="captcha")
			{
				if($field=="features")
				{
					$message .= $labels[$field].": ".$features."\n";
				} else
				{
					$message .= $labels[$field].": ".$value."\n";
				}
			}
		}
		
		if(!empty($blanks) || !empty($formats) || (!empty($blanks) && !empty($formats)))
		{
			if(sizeof($blanks)>0)
			{
				$content .= "<p class=\"message\">ONE OR MORE OF THE REQUIRED FIELDS ARE BLANK.<br/>Please enter the following information:<br>";
				foreach ($blanks as $field => $value)
				{
					$content .= "&nbsp;&nbsp;&nbsp;{$labels[$field]}<br/>";
				}
				$content .= "</p>";
			}
			if(isset($formats) && sizeof($formats)>0)
			{
				$content .= "<p class=\"message\">ONE OR MORE OF THE FIELDS HAVE INFORMATION THAT APPEARS TO BE INCORRECT.<br/>Kindly correct the information for:<br>";
				foreach($formats as $field=>$value)
				{
					$content .= "&nbsp;&nbsp;&nbsp;{$labels[$field]}<br>";
				}
				$content .= "</p>";
			}
		} else
		{
			if($_SESSION['captcha']==$_POST['captcha'])
			{									
				$to 		= "info@freshweb.co.za";
				$subject	= "Website Quote Enquiry";										
				$mailsend = mail($to, $subject, $message);
				header("Location: website-cape-town-success.html");
			} else
			{
				$error_message = "Please enter correct Captcha number";
				$content .= "<p class=\"message\">".$error_message."</p>";
			}
		}
	} else
	{
		$name="";
		$company="";
		$email="";
		$tel="";
		$new_website="yes";
		$domain="";
		$features="";
		$no_pages="";
		$comments="";
		
		$content = "<p>
			Website design and development specifications can vary considerably according to 
			your requirements.  Please complete the form below for a detailed website 
			development quotation.
			</p>";
		
	}
?>
<?php include('cms-websites-development-cape-town-layouts/cms-website-development-cape-town-html.php'); ?>
		<meta name="keywords" content="web development quotes, Web Development Cape Town, Website Development Cape Town, Web Design Cape Town, Website Design Cape Town, Services, PHP Web Development, CSS, Java Script, Html ,CMS, Content management system, PHP, PHP Development" >
		<meta name="description" content="Get a Web Development and Website Design Quote in Cape Town  Web Design Pricing and Quotes  freshweb.co.za">

		<title>Website Development Cape Town  Website Design Pricing  Web Development Quotes - Freshweb.co.za</title>
		
		<script language="JavaScript" type="text/JavaScript">
			<!--
				window.status = "FRESH WEB | WEBSITE DEVELOPMENT PRICING | WEB DESIGN QUOTES"
			//-->
		</script>
		
<?php include('cms-websites-development-cape-town-layouts/cms-website-development-cape-town-header.php'); ?>
			
		<div id="central">	
			<div id="main-block-wide">
				<div id="header-wide">
					<h1>WEBSITE QUOTATION</h1>
				</div>
				<div id="main-wide">
					<?php 
						echo $content;
						include('cms-websites-development-cape-town-layouts/website-quotation-form-cape-town.php');
					?>
				</div>

			</div>
			
				<?php include('cms-websites-development-cape-town-layouts/content-management-systems-cape-town-services.php'); ?>
				
		</div>

<?php include('cms-websites-development-cape-town-layouts/cms-website-development-cape-town-footer.php'); ?>