<?php

// numberchooser_options.php
// -----------------------------------------------------------------------------
// Default options for 'NumberChooser' XComponent
//
// Revision   > $Rev: 125 $
// Date		  > $Date: 2009-10-15 10:32:22 +0100 (Thu, 15 Oct 2009) $
// Author     > RAK for DML
// Copyright  > (C) Digital Mail Limited (2005-2009)
// -----------------------------------------------------------------------------

// Values to show in gold value drop-down menu
$goldmenu = array(
	'0-999999:Gold and non-Gold',
	'0-0:Non-Gold only',
	'1-100:Gold, up to 100',
	'1-1000:Gold, up to 1000',
	'1-999999:Gold, no limit'
);
	
// Do NCP limit the number of taridds displayed in the Taridd drop-down to matching tariffs
$dmx_ncp_limit_tariffs = false;	
	
// Default template settings
$dmx_tmp_var['showheader'] = 1;
$dmx_tmp_var['showborder'] = 1;
$dmx_tmp_var['showpreamble'] = 1;
$dmx_tmp_var['showsearch'] = 1;
$dmx_tmp_var['showtariffs'] = 1;
$dmx_tmp_var['showspseq'] = 1;
$dmx_tmp_var['showresults'] = 1;
$dmx_tmp_var['showclass'] = 1;
$dmx_tmp_var['showgold'] = 1;
$dmx_tmp_var['showpages'] = 1;
$dmx_tmp_var['maxheight'] = '*'; // Means ignore
$dmx_tmp_var['maxwidth'] = '*'; // Means ignore
$dmx_tmp_var['cols'] = 2;
$dmx_tmp_var['rows'] = 10;
$dmx_tmp_var['transfer_target'] = 'same';
$dmx_tmp_var['prefixmenu'] = array();

// NumberChooser error messages, on attempting to add a number to the trolley
$err_msg['NumberGone'] = 'The number has already been taken.';
$err_msg['TrolleyFull'] = 'Your trolley is full. You can buy only a limited number of numbers at once.';

// ------------------------------------------------------------------------------
// Do not customise beyond this point unless you understand DM Shopping protocol!
// ------------------------------------------------------------------------------

// Default 'get chooser options' params, used to generate drop-down menu of available tariffs
$params_ch_opt['Cmd'] = 'GetChooserOptions';
$params_ch_opt['TariffSpec'] = '*';
$params_ch_opt['Range'] = '*';
$params_ch_opt['NOG'] = '*';

// Default search params
$params['Cmd'] = 'ChooseNumber';
$params['TariffSpec'] = '*';
$params['CVCurrency'] = 'UKPX';
$params['GVFrom'] = '0'; 
$params['GVTo'] = '999999';
$params['Filter'] = '';
$params['SortedBy'] = 'Num_A';
$params['PageSize'] = 50;
$params['Page'] = 'Rand';

// NumberChooser error messages, on attempting a number search
$err_msg['BadPageSize'] = 'You have requested too many numbers in the search results. Check xParams in page code.';
$err_msg['BadFilter'] = 'An error has been detected. The filter (special sequence) used is invalid.';

?>