<?php include('auslandspraktikum-kapstadt-layout/html.php'); ?>
		
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<title>Freiwilligenarbeit in Kapstadt | Auslandsaufenthalt Kapstadt | Freiwilligenprojekte in Kapstadt | Student and Travel Placements Cape Town | www.1stStepAbroad.co.za</title>
		
		<meta name="keywords" content="freiwilligenprojekte kapstadt, Auslandspraktikum, Praktikum in Kapstadt, Praktikum in Sdafrika, Kapstadt Praktikum, Freiwilligenarbeit in Kapstadt, Kapstadt Freiwilligenarbeit, Freiwilligenprojekt Sdafrika, Auslandsaufenthalt Kapstadt, Sprachkurs in Kapstadt, Sprachschule in Kapstadt, Reisen in Sdafrika, Kapstadt Reisen, Unterkunft Kapstadt, Kapstadt Mietwagen, Tagestouren in Kapstadt, Freiwilliges soziales Jahr in Sdafrika, Volontr in Kapstadt, Pflichtpraktikum, Praktikum im Studium, Studentenreisen" />
		<meta name="description" content="Freiwilligenarbeit in Kapstadt, Sdafrika. Praktikum, Freiwilligenarbeit und Sprachskursen in Kapstadt. Freiwilliges soziales Jahr in Sdafrika."/>
		

<?php include('auslandspraktikum-kapstadt-layout/header.php'); ?>

			<div id="main">
				<div id="left">
					<div class="content">
						<ul>
							<li>> <a href="freiwilligenarbeit-in-kapstadt.htm">Freiwilligenarbeit</a></li>
							<li>> <a href="freiwilligenprojekte-in-kapstadt.htm">Projekte</a></li>
							<li>> <a href="kapstadt-freiwilligenarbeit-bewerbungsablauf.htm">Verfahren</a></li>
							<li>> <a href="kapstadt-freiwilligenarbeit-bewerbung.htm">Bewerbung</a></li>
						</ul>
					</div>
				</div>
				
				<div id="content">
					<h1>
						Freiwilligenarbeit in Kapstadt, Sdafrika
					</h1>
					<p>
						Sdafrika, eines der faszinierendsten Lnder der Welt, wird oft als eine Welt in einem Land bezeichnet, 
						was vor allem auf die atemberaubenden Landschaften, einer einzigartigen Tier- und Pflanzenwelt, der 
						ausgeprgte kulturelle Vielfalt und Bevlkerungsheterogenitt zurckgefhrt wird. Neben der eindrucksvollen 
						Vielfalt und dem natrlichen Reichtum des Landes gibt es jedoch auch Schattenseiten, denen oftmals nur wenig 
						Beachtung zukommt.
					</p>
					<p>
						Auch wenn Sdafrika im Vergleich zu anderen afrikanischen Staaten ber eine starke Wirtschaft und 
						Infrastruktur verfgt, so kmpft die Republik noch immer mit einer Reihe tiefgreifender sozialer und 
						wirtschaftlicher Problem. Dies zeigt sich u. a. an dem Mangel von adquatem Wohnraum. Noch immer lebt der 
						Groteil der sdafrikanischen Bevlkerung in den stark unterversorgten Townships, hufig ohne flieend Wasser 
						und Strom. Neben der Wohnungsnot kmpft Sdafrika zudem mit einer hohen Arbeitslosigkeit, Kriminalitt, einer 
						steigenden HIV/AIDS Rate sowie einem Defizit im Bildungs- und Gesundheitswesen. Entgegen der Hoffnung vieler 
						Sdafrikaner hat sich auch nach dem Ende der Apartheid die Situation der in Armut lebenden Bevlkerung nicht 
						oder nur wenig verndert.
					</p>
					
					<h2>Die Rolle der Freiwilligenarbeit im sozialen Bereich in Sdafrika</h2>
					<p>
						Mittels verschiedener Entwicklungsmanahmen von Seiten der Regierung sowie von Nichtregierungsorganisationen 
						(NGOs) und Non-Profit Organisationen (NPOs) wird versucht die desperate Lage der Bevlkerung zu mildern und 
						den sozialen und konomischen Problemen entgegenzuwirken. Obwohl in den letzten Jahren die Anzahl an sozialen 
						Projekten zugenommen hat, stehen viele Organisationen hufig vor dem Problem mangelnder finanzieller Mittel, 
						um den Bedarf an Personal und materiellen Kosten zu decken. Die zeigt sich vor allem daran, dass der Groteil 
						sozialer Organisationen personell stark unterbesetzt und auf jede Hilfe angewiesen ist. Das Defizit an 
						(qualifiziertem) Personal spielt oftmals eine entscheidende Rolle fr Mngel oder sogar das Scheitern eines 
						Projekts. Aus diesem Grund sind viele Organisationen auf die Bereitschaft und das Engagement von Menschen 
						angewiesen, die auf freiwilliger Basis ihre Hilfe, (Fach)wissen und Tatkraft anbieten.
					</p>
					<p>
						Freiwilligenarbeit in Sdafrika ist ein bedeutsamer Bestandteil bei der Bekmpfung von Armut und sozialer 
						Ungleichheit und von auerordentlichem Wert fr soziale Organisationen und deren Empfnger einerseits, sowie 
						fr die persnliche Entwicklung der Freiwilligen andererseits. Freiwillige tragen zu einem erheblichen Teil zu 
						der Entlastung des Personals einer Organisation bei und hufig knnen durch die Einsetzung von Freiwilligen 
						soziale Dienste erweitert bzw. verbessert werden. Viele Kinderheime, Behinderteneinrichtungen, Krankenhuser, 
						Jugendprojekte, Schulen, etc. sind in erheblichen Mae an die Mitarbeit von Volontren angewiesen und knnten 
						ohne diese Hilfe nicht oder nur unzureichend operieren. Whrend das Engagement Freiwilliger stark zur Strkung 
						und Verbesserung sozialer Einrichtungen und von Projekten dient, ist der Freiwilligeneinsatz gleichermaen auch 
						eine wertvolle Bereicherung fr die Volontre selbst. Die Teilnahme an einem Freiwilligenprojekt bietet 
						Volontren die Mglichkeit, den eigenen Horizont zu erweitern, Einblicke in eine andere Kultur, andere 
						Lebensweisen und -konzepte zu gewinnen, diese zu reflektieren und von ihnen zu lernen. Die im Rahmen eines 
						Freiwilligenprojekts gemachten Erfahrungen sind von enormem Wert und tragen dazu bei, ein besseres und 
						umfassenderes Verstndnis zu und Bewusstsein ber soziale Zusammenhnge zu gewinnen.
					</p>
					
					<h2>Freiwilligenarbeit im Natur- und Tierschutz in Sdafrika</h2>
					<p>
						Freiwilligenarbeit in Sdafrika findet nicht nur im sozialen Bereich und der Arbeit mit Menschen statt, sondern 
						auch im Natur- und Tierschutz. Verstrkt findet auch in Sdafrika der Schutz und Erhalt von Natur und Tierwelt 
						Beachtung und mehr und mehr Projekte werden ins Leben gerufen. Verschiedene Organisationen haben es sich zur 
						Aufgabe gemacht, die Natur und Tierwelt zu schtzen und zu bewahren. Im Rahmen von Natur- und Tierschutzprojekten 
						erhalten Volontre die Mglichkeit, an dem Erhalt und Schutz der natrlichen Umwelt mitzuwirken und neues Wissen 
						ber die Umwelt zu erlangen. Ob in einem Game Reserve, wo oftmals die BIG 5 zu finden sind, einer 
						Hundeauffangstation in der Stadt oder einer Vogelschutzorganisation  die Mglichkeiten sich im Natur- und 
						Tierschutz zu engagieren und mitzuwirken sind vielfltig.
					</p>
					
					<h1>BEWERBE DICH HIER FR FREIWILLIGENARBEIT IN KAPSTADT!</h1>
					<div id="form">
						<form action="auslandspraktikum-kapstadt-layout/form.php" method="post">
						<input type="hidden" name="type" value="Freiwilligenarbeit"/>
							<div class="row">
								<div class="label"><label>Vorname</label></div>
								<div class="input"><input type="text" name="vorname" size="50" /></div>
							</div>
							
							<div class="row">
								<div class="label"><label>Nachname</label></div>
								<div class="input"><input type="text" name="nachname" size="50" /></div>
							</div>
							
							<div class="row">
								<div class="label"><label>Alter</label></div>
								<div class="input">
									<select name="alter">
										<?php 
											for($i=16;$i<=99;$i++)
											{
												echo '<option value="'.$i.'">'.$i.'</option>';
											}
										?>
									</select>
								</div>
							</div>
							
							<div class="row">
								<div class="label"><label>Herkunftsland</label></div>
								<div class="input"><input type="text" name="herkunftsland" size="50" value="Deutschland" onfocus="this.value=''" /></div>
							</div>
							
							<div class="row">
								<div class="label"><label>Email</label></div>
								<div class="input"><input type="text" name="email" size="50" /></div>
							</div>
							
							<div class="row">
								<div class="label"><label>Zeitraum (von/bis)</label></div>
								<div class="input"><input type="text" name="zeitraum" size="50" /></div>
							</div>
							
							<div class="row">
								<div class="label"><label>Aufenthaltsdauer</label></div>
								<div class="input"><input type="text" name="aufenthaltsdauer" size="50" /></div>
							</div>
							
							<div class="row">
								<div class="label"><label>&nbsp;</label></div>
								<div class="input">
									<input type="checkbox" name="sprachskurs" value="Yes" />&nbsp;&nbsp;&nbsp;<label>Sprachskurs</label>
								</div>
							</div>
							
							<div class="row">
								<div class="label">
									<label>Anmerkung</label>
								</div>
								<div class="input">
									<textarea name="anmerkung" cols="40" rows="10"></textarea>
								</div>
							</div>
							<div class="row">
								<div class="label"><label>&nbsp;</label></div>
								<div class="input">
									<input type="submit" name="submit" value="Einreichen" />&nbsp;&nbsp;&nbsp;
									<input type="reset" name="reset" value="Umsetzen" />
								</div>
							</div>
						</form>
					</div>
					
				</div>
				
			<?php include('auslandspraktikum-kapstadt-layout/footer.php'); ?>