<?php 
// Define the core paths
// Define them as absolute paths to make sure that require_once works as expected

// DIRECTORY_SEPARATOR is a PHP pre-defined constant
// (\ for Windows, / for Unix)

defined('DS') ? null : define('DS', DIRECTORY_SEPARATOR);

defined('SITE_ROOT') ? null : define('SITE_ROOT', 'D:'.DS.'wamp'.DS.'www'.DS.'EventsCompany');

defined('LIB_PATH') ? null : define('LIB_PATH', SITE_ROOT.DS.'weddings-amsterdam-includes');

// load config file first
require_once(LIB_PATH.DS.'events-company-amsterdam-config.php');

// load basic functions next so that everything after can use them
require_once(LIB_PATH.DS.'events-company-amsterdam-functions.php');

// load core objects
require_once(LIB_PATH.DS.'events-company-amsterdam-session.php');
require_once(LIB_PATH.DS.'events-company-amsterdam-database.php');

// load database-related classes
require_once(LIB_PATH.DS.'events-amsterdam-user.php');
require_once(LIB_PATH.DS.'events-amsterdam-page.php');
require_once(LIB_PATH.DS.'events-amsterdam-photo.php');
require_once(LIB_PATH.DS.'events-amsterdam-category.php');
require_once(LIB_PATH.DS.'events-amsterdam-gallery.php');
require_once(LIB_PATH.DS.'events-amsterdam-contact.php');
?>