<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");}
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">Please select a page to edit.</p>');
		redirect_to('index.php');
	} 
	$message = $session->message;
	$id = trim($_GET['id']);
	
	if(isset($_POST['submit']))
	{
		$page = Page::find_by_id($id);
		$content = trim($_POST['content']);
		
		$page->content = $content;
		
		if($page->update())
		{
			$message = '<p class="green">Information updated successfully.</p>';
		} else
		{
			$message = '<p class="red">An error occurred. Please try again.</p>';
		}
		
	} 
	
	$page = Page::find_by_id($id);
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('header-admin.php'); ?>
	
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
						<h1>Edit Page: <?php echo $page->name; ?></h1>
								
						<?php if(!empty($message)) echo $message; ?>
						
						<form action="edit-page.php?id=<?php echo $id; ?>" method="post" >
							<div class="row">
								<textarea name="content" class="ckeditor"><?php echo $page->content; ?></textarea>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Update" />
							</div>
						</form>
						
					</div>
					
				</div>
				
				<?php 
					if($id == 6)
					{
				?>
				<div class="text full" style="margin-top:10px;">
					<div class="info">
						
						<h1>Art Gallery Images</h1>
						
						<p>
							<a href="new-image.php?gallery=0">New Image</a>
						</p>	
						
						<?php 
							$images = Image::find_by_gallery(0);
							foreach($images as $image)
							{
								echo '<div class="gallery"><img src="/'.$image->thumb_display().'">';
								echo '<div class="options">';
								echo '<a href="edit-image.php?id='.$image->id.'">+ EDIT</a>';
								echo '<a href="delete-image.php?id='.$image->id.'" onclick="return confirm(\'Are you sure you want to delete this image?\')" >+ DELETE</a>';
								echo '</div>';
								echo '</div>';
							}
						?>
						
					</div>
					
				</div>
				<?php } ?>
			</div>
				
<?php include_layout('footer.php'); ?>