<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">No social media link was selected.</p>');
		redirect_to('index.php');
	}
	
	$id = trim($_GET['id']);
	$message = $session->message;
	
	if(isset($_POST['submit']))
	{
		$social = Social::find_by_id($id);
		
		$link			= trim($_POST['link']);
		$position 		= trim($_POST['position']);
		$orig_position 	= trim($_POST['orig_position']);
		$image 			= $_FILES['image'];
		
		$social->link			= $link;
		$social->position 		= $position;
		$social->orig_position 	= $orig_position;
		
		if(!empty($image['tmp_name']))
		{
			if(!empty($social->filename))
				$social->delete_file();
				
			if($social->attach_file($image))
			{
				if($social->update_image())
				{
					$message = '<p class="green">Social Media link updated successfully.</p>';
				} else
				{
					$message = '<p class="red">';
					$message .= join("<br />", $social->errors);
					$message .= '</p>';
				}
			}
		} else
		{
			if($social->update())
			{
				$message = '<p class="green">Social Media link information updated successfully.</p>';
			} else
			{
				$message = '<p class="red">Social Media link information could not be saved. Please try again.</p>';
			}
		}
		
	}
	$social = Social::find_by_id($id);
	if(!isset($link)) 	$link = $social->link;
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Edit Social Media Link</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
						<h1>Edit Social Media Link</h1>
							
						<?php if(!empty($message)) echo $message; ?>
						
						<p>
							<a href="index.php"><b>CANCEL</b></a>&nbsp;&nbsp;|&nbsp;
							<a href="delete-social.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this social media link?');"><b>DELETE</b></a>
						</p>
						
						<img src="/<?php echo $social->image_display(); ?>" />
						
						<form action="edit-social.php?id=<?php echo $id; ?>" method="post" enctype="multipart/form-data" >
							<div class="row">
								<label>Replace Image:</label>
								<input type="file" name="image" /> (31px high)
							</div>
							
							<div class="row">
								<label>Link:</label>
								<input type="text" size="30" name="link" value="<?php echo $link; ?>" />
							</div>
							
							<div class="row">
								<label>Position:</label>
								<select name="position">
									<?php 
										$socials = Social::find_all();
										$count = count($socials);
										for($i = 1; $i<= $count; $i++)
										{
											echo '<option value="'.$i;
											if($i == $social->position) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
								
								<input type="hidden" name="orig_position" value="<?php echo $social->position; ?>" />
							</div>
							
							<div class="row">
								<label>&nbsp;</label>
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
						
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer.php'); ?>