<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");}
	$message = $session->message;
	
	global $session;
	$user = User::find_by_id($session->user_id);
	
	if(isset($_POST['submit']))
	{
		$orig_pass = trim($_POST['orig_pass']);
		$new_pass = $_POST['new_pass'];
		$new_pass1 = $_POST['new_pass1'];
		
		if(empty($orig_pass))
		{
			$message = '<p class="red">Please enter your current password to proceed.</p>';
		} else
		{
			$found_user = User::authenticate($user->username, $orig_pass);
			if($found_user)
			{
				if($new_pass != $new_pass1)
				{
					$message = '<p class="red">The new password entered is different to the confirmation password. Please re-enter the new password.</p>';
				} else
				{
					if($new_pass != '')
					{
						$user->new_password = $new_pass;
						if($user->update())
						{
							// email password change message
							$session->message('<p class="green">Password updated successfully.</p>');
							redirect_to('index.php');
						}
					}
				}
			} else
			{
				$message = '<p class="red">The password entered is incorrect. Please re-enter your current password.</p>';
			}
		}
	} 
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Edit Password</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
<?php include_layout('header-admin.php'); ?>
	
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
						<h1>Edit Password</h1>
								
						<?php if(!empty($message)) echo $message; ?>
						
						<form action="edit-user.php" method="post" >
							<div class="row">
								<label>Current Password:</label>
								<input type="password" name="orig_pass" value="" size="30" /> * required to update
							</div>
							
							<div class="row">
								<label>New Password:</label>
								<input type="password" name="new_pass" value="" size="30" />
							</div>
							
							<div class="row">
								<label>Confirm New Password:</label>
								<input type="password" name="new_pass1" value="" size="30" />
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Update" />
							</div>
						</form>
						
					</div>
					
				</div>
				
			</div>
				
<?php include_layout('footer.php'); ?>