<?php

/** This file is part of KCFinder project
  *
  *      @desc Base configuration file
  *   @package KCFinder
  *   @version 2.1
  *    @author Pavel Tzonkov <pavelc@users.sourceforge.net>
  * @copyright 2010 KCFinder Project
  *   @license http://www.opensource.org/licenses/gpl-2.0.php GPLv2
  *   @license http://www.opensource.org/licenses/lgpl-2.1.php LGPLv2
  *      @link http://kcfinder.sunhater.com
  */

// IMPORTANT!!! Do not remove uncommented settings in this file even if
// you are using session configuration.
// See http://kcfinder.sunhater.com/#installation for setting descriptions

$_CONFIG = array(

    'disabled' => false,

    'theme' => "oxygen",

    'uploadURL' => "/kenya-beach-holiday-resort-kaskazi",
    'uploadDir' => "/home/fdesign1/public_html/freshweb.co.za/kenya-beach-holiday-resort-kaskazi",
///var/www/vhosts/kauffmannsguitarstore.nl/httpdocs
    'dirPerms' => 0777,
    'filePerms' => 0777,

    'denyZipDownload' => true,

    'deniedExts' => "exe com msi bat php cgi pl",

    'types' => array(

        // CKEditor & FCKEditor types
        'files'   =>  "pdf doc docx zip",
        'flash'   =>  "swf flv",
        'images'  =>  "*img",

        // TinyMCE types
        // 'file'    =>  "",
        // 'media'   =>  "swf flv avi mpg mpeg qt mov wmv asf rm",
        // 'image'   =>  "*img",
    ),

    'mime_magic' => "",

    'maxImageWidth' => 0,
    'maxImageHeight' => 0,

    'thumbWidth' => 100,
    'thumbHeight' => 100,

    'thumbsDir' => ".thumbs",

    'jpegQuality' => 90,

    'cookieDomain' => "",
    'cookiePath' => "",
    'cookiePrefix' => 'KCFINDER_',

    // THE FOLLOWING SETTINGS CANNOT BE OVERRIDED WITH SESSION CONFIGURATION

    '_check4htaccess' => true,
    //'_tinyMCEPath' => "/tiny_mce",

    '_sessionVar' => &$_SESSION['KCFINDER'],
    //'_sessionLifetime' => 30,
    //'_sessionDir' => "/full/directory/path",

    //'_sessionDomain' => ".mysite.com",
    //'_sessionPath' => "/my/path",
);

?>