<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	if(!isset($_GET['gallery']))
	{
		$session->message('<p class="red">Please select a gallery to upload images.</p>');
	}
	$gallery = trim($_GET['gallery']);
	$message = $session->message;
	
	if(isset($_POST['submit']))
	{
		$position 	= trim($_POST['position']);
		$file 		= $_FILES['image'];
		
		$image = new Image();
		$image->gallery		= $gallery;
		$image->position 	= $position;
		
		if(!empty($file['tmp_name']))
		{
			if($image->attach_file($file))
			{
				if($image->save())
				{
					$session->message('<p class="green">Image added successfully.</p>');
					if($gallery == 1)
						redirect_to('edit-gallery.php');
					else
						redirect_to('edit-page.php?id=6');
				} else
				{
					$message = '<p class="red">';
					$message .= join("<br />", $image->errors);
					$message .= '</p>';
				}
			}
		} else
		{
			$message = '<p class="red">No image was uploaded. Please select an image.</p>';
		}
		
	}
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - New Image</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
						<h1>New <?php if($gallery == 2) echo 'Art '; ?>Gallery Image</h1>
							
						<?php if(!empty($message)) echo $message; ?>
						
						<form action="new-image.php?gallery=<?php echo $gallery; ?>" method="post" enctype="multipart/form-data" >
							<div class="row">
								<label>Select Image:</label>
								<input type="file" name="image" />
							</div>
							
							<div class="row">
								<label>Position:</label>
								<select name="position">
									<?php 
										$images = Image::find_by_gallery($gallery);
										$count = count($images);
										for($i = 1; $i<= $count + 1; $i++)
										{
											echo '<option value="'.$i;
											if($i == $count +1) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
							</div>
							
							<div class="row">
								<label>&nbsp;</label>
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
						
					</div>
					
				</div>
				
			</div>
			
<?php include_layout('footer.php'); ?>