<?php require_once('../beach-holiday-resort-kenya-includes/kaskazi-beach-resort-kenya-requirements.php');  ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
		$message = $session->message;
		
		if(isset($_POST['submit']))
		{
			$position 	= trim($_POST['position']);
			$image 		= $_FILES['image'];
			
			$banner = new Banner();
			$banner->position 	= $position;
			$banner->section 	= 0;
			
			if(!empty($image['tmp_name']))
			{
				if($banner->attach_file($image))
				{
					if($banner->save())
					{
						$session->message('<p class="green">Banner added successfully.</p>');
						redirect_to('edit-top-banners.php');
					} else
					{
						$message = '<p class="red">';
						$message .= join("<br />", $banner->errors);
						$message .= '</p>';
					}
				}
			} else
			{
				$message = '<p class="red">No banner image was uploaded. Please select an image.</p>';
			}
			
		} 
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - New Top Banner</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
			<div id="content">
			
				<?php include_layout('admin-menu.php'); ?>
				
				<div class="text wide">
					<div class="info">
								
						<h1>New Top Banner</h1>
						
						<?php if(!empty($message)) echo $message; ?>
						
						<p>
							<a href="edit-top-banners.php"><b>BACK TO LIST</b></a><br/><br/>
						</p>
						
						<form action="new-top-banner.php" method="post" enctype="multipart/form-data">
						
							<div class="row">
								<label>Select Image:</label>
								<input type="file" name="image" value="" size="30" /> (width = 958px, height = 240px)
							</div>
							
							<div class="row">
								<label>Position:</label>
								<select name="position">
									<?php 
										$banners = Banner::find_by_section(0); 
										$count = count($banners);
										for($i = 1; $i <= $count + 1; $i++)
										{
											echo '<option value="'.$i;
											if($i == $count + 1) echo '" selected="selected';
											echo '" >'.$i.'</option>';
										}
									?>
								</select>
							</div>
							
							<div class="row">
								<label></label>
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
						
					</div>
					
				</div>
			</div>
				
<?php include_layout('footer.php'); ?>