<?php require_once('../gourmet-market-cape-town-includes/market-cape-town-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">No banner was selected.</p>');
		redirect_to('edit-banners.php');
	}
	
	$id = trim($_GET['id']);
	$banner = Banner::find_by_id($id);
	$message = $session->message;

		
	if(isset($_POST['submit']))
	{
		$position 		= trim($_POST['position']);
		$orig_position 	= trim($_POST['orig_position']);
		
		$banner->position 		= $position;
		$banner->orig_position 	= $orig_position;
		
		if($banner->update())
		{
			$session->message('<p class="green">Banner edited successfully.</p>');
			redirect_to('edit-banners.php');
		} else
		{
			$message = '<p class="red">Banner could not be updated. PLease try again.</p>';
		}
	} 
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Edit Banner</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
				<div id="main">
						<div class="content">
							
							<div class="info">
								
								<h1>EDIT BANNER POSITION</h1>
								
								<div class="admin">
									
									<?php if(!empty($message)) echo $message; ?>
								
									<a href="edit-banners.php"><b>BACK TO LIST</b></a>&nbsp;&nbsp;|&nbsp;
									<a href="delete-banner.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this banner?');"><b>DELETE BANNER</b></a><br/><br/><br/>
																		
									<img src="/<?php echo $banner->image_display(); ?>" height="127px" width="481px" />
									
									<form action="edit-banner.php?id=<?php echo $id; ?>" method="post" >
									
										<div class="row">
											<label>Position:</label>
											<select name="position">
												<?php 
													$banners = Banner::find_all(); 
													$count = count($banners);
													for($i = 1; $i <= $count; $i++)
													{
														echo '<option value="'.$i;
														if($i == $banner->position) echo '" selected="selected';
														echo '" >'.$i.'</option>';
													}
												?>
											</select>
											
											<input type="hidden" name="orig_position" value="<?php echo $banner->position; ?>" />
										</div>
									
										<div class="row">
											<label></label>
											<input type="submit" name="submit" value="Submit" />
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
											<input type="reset" name="reset" value="Reset" />
										</div>
									</form>
									
									<a href="logout.php"><b>&raquo; LOGOUT</b></a>
								</div>
									
							</div>
							
						</div>
					</div>
				
<?php include_layout('footer-admin.php'); ?>