<?php require_once('../gourmet-market-cape-town-includes/market-cape-town-requirements.php');  ?>
<?php 	
	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
	$message = $session->message;
	
	if(isset($_POST['submit']))
	{
		$featured = Featured::find_by_id(1);
		
		$traders_id 	= trim($_POST['trader']);
		$intro			= trim($_POST['intro']);
		
		$featured->selected_id 	= $traders_id;
		$featured->intro		= $intro;
	
		if($featured->update())
		{
			$message = '<p class="green">Featured trader updated successfully.</p>';
		} else
		{
			$message = '<p class="red">Featured trader not updated. Please try again.</p>';
		}
	}
	
	$featured = Featured::find_by_id(1);
		
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Edit Featured Trader</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('header-admin.php'); ?>
			
				<div id="main">
						<div class="content">
							
							<div class="info">
							
								<h1>EDIT FEATURED TRADER</h1>
								
								<div class="admin">
								
									<?php if(!empty($message)) echo $message; ?>
								
									<a href="index.php"><b>CANCEL</b></a><br/><br/><br/><br/>
									
									<form action="edit-featured.php" method="post" >
									
										<div class="row">
											<label>Select Trader:</label>
											<select name="trader">
												<?php 
													$traders = Trader::find_all();
													foreach($traders as $trader)
													{
														echo '<option value="'.$trader->id;
														if($trader->id == $featured->selected_id) echo '" selected="selected';
														echo '" >'.$trader->name.'</option>';
													}
												?>
											</select>
										</div>
										
										<div class="row">
											<label>Intro text:</label><br/>
											<textarea name="intro" class="ckeditor"><?php echo $featured->intro; ?></textarea>
										</div>
										
										<div class="row">
											<label></label>
											<input type="submit" name="submit" value="Submit" />
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
											<input type="reset" name="reset" value="Reset" />
										</div>
									</form>
								
									<a href="logout.php"><b>&raquo; LOGOUT</b></a>
									
								</div>
							</div>
							
						</div>
					</div>
				
<?php include_layout('footer-admin.php'); ?>