<?php require_once('../gourmet-market-cape-town-includes/market-cape-town-requirements.php');  ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("/login.php");} 
		$message = $session->message;
		
		if(isset($_POST['submit']))
		{
			$subs = Subscriber::find_all();
			foreach($subs as $sub)
			{
				$sub->name = trim($_POST['name'.$sub->id]);
				$sub->email = trim($_POST['email'.$sub->id]);
				$sub->update();
			}
			for ($i = 0; $i<6; $i++)
			{
				$newemail = trim($_POST['newemail'.$i]);
				if(!empty($newemail))
				{
					$newsub = new Subscriber();
					$newsub->email 	= $newemail;
					$newsub->name	= trim($_POST['newname'.$i]);
					$newsub->create();
				}
			}
			$message = '<p class="green">Subscribers list updated successfully.</p>';
		}
?>
<?php include_layout('html.php'); ?>
		<title>Admin - Subscribers</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
<?php include_layout('header-admin.php'); ?>
			
				<div id="main">
						<div class="content">
							
							<div class="info">
								
								<h1>SUBSCRIBERS</h1>
								
								<div class="admin">
								
									<?php if(!empty($message)) echo $message; ?>
									
									<a href="index.php"><b>CANCEL</b></a>
									&nbsp;&nbsp|&nbsp&nbsp;
									<a href="export-subscribers.php"><b>EXPORT LIST</b></a>
									<br/><br/><br/>
									
									<form action="manage-subscribers.php" method="post" >
										<table>
											<tr>
												<th width="150px">Name</th>
												<th width="250px">Email</th>
												<th>&nbsp;</th>
											</tr>
											<?php 
												$subscribers = Subscriber::find_all();
												foreach($subscribers as $subscriber) 
												{
													echo '<tr><td><input type="text" name="name'.$subscriber->id.'" value="'.$subscriber->name.'" size="30" /></td>';
													echo '<td><input type="text" name="email'.$subscriber->id.'" value="'.$subscriber->email.'" size="30" /></td>';
													echo '<td><a href="delete-subscriber.php?id='.$subscriber->id.'" onclick="return confirm(\'Are you sure you want to delete this subscriber?\');">+ DELETE</a></td></tr>';
												}
											?>
											<tr>
												<td colspan="3">
													NEW SUBSCRIBERS:
												</td>
											</tr>	
											<?php 
												for($j = 0; $j < 6; $j++)
												{
													echo '<tr><td><input type="text" name="newname'.$j.'" value="" size="30" /></td>';
													echo '<td><input type="text" name="newemail'.$j.'" value="" size="30" /></td>';
													echo '<td>&nbsp;</td></tr>';
												}
											?>
										</table>
										
										<div class="row">
											<input type="submit" name="submit" value="Submit" />
											&nbsp;&nbsp;
											<input type="reset" name="reset" value="Reset" />
										</div>
									</form>
									
									<a href="logout.php"><b>&raquo; LOGOUT</b></a>
								</div>
							</div>
														
						</div>
					</div>
				
<?php include_layout('footer-admin.php'); ?>