<?php include('cms-websites-development-cape-town-layouts/cms-website-development-cape-town-header.php'); ?>
			
		<div id="central">	
			<div id="main-block-wide">
				<div id="header-extend">
					<h1>DEVELOPMENT PROCESS</h1>
				</div>
				<div id="header-main">
					&nbsp;
				</div>
				<div id="main-wide">
					<p>
						<a href="#website_development_process" title="Web design and development process"><b>WEB DESIGN & DEVELOPMENT PROCESS</b></a> &nbsp;&nbsp;&nbsp;| &nbsp;&nbsp;&nbsp;
						<a href="#website_requirements" title="What you need to build a website"><b>WHAT DO YOU NEED TO BUILD A WEBSITE</b></a>
						<br/><br/>
					</p>
					
					<p class="header">
						<a name="website_development_process" title="Getting started with your website"></a>
						Web design & development process
					</p>
					<ol>
						<li><b>You have decided that you need a website built for you.</b></li>
						<li><b>Website structure and quote: </b><br/>
							You should consider what you need the website to do for you and what the general page 
							structure will be. Freshweb will provide you with a quote based on your requirements.
						</li>
						<li><b>Confirmation:</b> <br/>
							Once you have decided to use FreshWeb to build your website you need to confirm in writing 
							that you would like to proceed. Kindly send us confirmation of payment for your deposit.
						</li>
						<li><b>Compile website content: </b><br/>
							You will send all of your website content to Freshweb. This includes the text for all of 
							the pages, a copy of your logo, all images and any other specifications. At this stage 
							we will confirm the structure of your website and any layout requirements. It also helps 
							our designers if you specify any design preferences or give examples of the type of website 
							that you are looking for.
						</li>
						<li><b>Website design:</b><br/>
							We will provide you with design drafts of your website. You can send us 3 sets of changes on 
							the chosen design so that you are happy with all of the elements of your website.
						</li>
						<li><b>Website coding: </b><br/>
							Once the design and layout of the website has been confirmed, we will start building your 
							website and set up any necessary databases.
						</li>
						<li><b>Put website online: </b><br/>
							We will build the website on our systems initially and then transfer it to your domain with 
							your hosting company once complete.
						</li>
						<li><b>Website maintenance: </b><br/>
							Once your website is up and running you may need to update it from time to time. If you have 
							a static HTML website then we can edit the code for you or convert it to a CMS. If you have a 
							CMS website then you will easily be able to manage your content anywhere and any time you like.
						</li>
						<li><b>Website redesign:</b><br/>
							If you feel that your website has been the same for too long and needs a facelift then we can 
							update the design of your website and rebuild it.
						</li>
					</ol><br/>
					
					
				
					<p class="header">
						<a name="website_requirements" title="Getting started with your website" ></a>
						Getting started with your website - what you need
					</p><p>
					Before you can put your website online, you will need the following:
					</p>
					<ul>
						<li><a href="#domain-name-cape-town" title="Website Domain names South Africa">Domain name</a></li>
						<li><a href="#web-hosting-cape-town" title="Website hosting South Africa">Web hosting package</a></li>
					</ul>
					<p class="header">
						<br/>
						<a name="domain-name-cape-town" title="Website Domain names South Africa" ></a>
						What is a domain name?
					</p>
					<p>
					A domain name is the website address that users type in to find you (e.g. www.freshweb.co.za). 
					You will be charged an initial domain name registration fee and an annual renewal fee. The cost 
					depends on the extension (.co.za / .com / .net etc). Your hosting company or your website development 
					company may include initial domain name registration for free when you place your order. Freshweb 
					includes registration of your .co.za domain name with your website development.
					</p><p class="header">
						<a name="web-hosting-cape-town" title="Website hosting South Africa"></a>
						What is web hosting? 
					</p>
					<p>
					Web hosting is a fee charged for storage and connection of your website. A hosting company physically 
					stores the files of your website on their server hard drives. They make your website available on the 
					internet and redirect internet users who type in your domain name (www.freshweb.co.za) to the relevant 
					files on the server. Hosting costs vary depending on the size of your site, the amount of traffic to 
					your site and features such as database support.
					</p>
					<p>
					To get more information on hosting and see some international offerings, visit 
					<a href="http://www.hosting-picks.com" class="in_text" target="_blank" title="Website Hosting South Africa" alt="Website Hosting South Africa">www.hosting-picks.com</a>.
					</p>
					
				</div>

				<div id="shadow-main">
					<img src="web-development-cape-town-images/website-development-cape-town-shadow-main-under.jpg" alt="Web design Cape Town" title="Website development Cape Town" />
				</div>
			</div>
			
				<?php include('cms-websites-development-cape-town-layouts/content-management-systems-cape-town-enquiry.php'); ?>
			
				<?php include('cms-websites-development-cape-town-layouts/content-management-systems-cape-town-services.php'); ?>
				
		</div>

<?php include('cms-websites-development-cape-town-layouts/cms-website-development-cape-town-footer.php'); ?>