<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");}  
?>
<?php 
	// must have an ID
	if(empty($_GET['id']))
	{
		$session->message("No service ID was provided.");
		redirect_to('manage-services.php');
	} 
	
	$id = $_GET['id'];
	
	$service = Service::find_by_id($id);
	if($service->current == 1)
	{
		$service->current = 0;
		$service->orig_current = 1;
		$service->position = 0;
		$service->update();
		$session->message("The service '{$service->title}' was de-activated.");
		if($service->types_id != 2)
		{
			redirect_to('manage-services.php');
		} else
		{
			redirect_to('manage-tours.php');
		}
	} else
	{
		$service->current = 1;
		$service->orig_current = 0;
		$servs = Service::find_by_category_current($service->categories_id);
		$count = count($servs);
		$service->position = $count +1;
		$service->update();
		$session->message("The service '{$service->title}' was activated.");
		if($service->types_id != 2)
		{
			redirect_to('manage-services.php');
		} else
		{
			redirect_to('manage-tours.php');
		}
	}
?>
<?php if(isset($database)) {$database->close_connection();} ?>