<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
		$link = Link::find_by_id($id);
	} else
	{
		$session->message("No link was selected.");
		redirect_to('manage-pages.php');
	}
	$message = $session->message;
?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{	
		$link->label = trim($_POST['label']);
		$link->link = trim($_POST['link']);
		$link->position = trim($_POST['position']);
		$link->orig_position = trim($_POST['orig_position']);
		
		if($link->update())
		{
			$session->message("Link updated successfully.");
			redirect_to('manage-pages.php');
		} else
		{
			$session->message("An error has occurred. Please try again.");
		}
	} 
?>
<?php include_layout('html.php')?>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>EDIT LINK: <?php echo strtoupper($link->label); ?></h1>
						
						<p>
							<a href="delete-link.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this link?');">DELETE</a> &nbsp;|&nbsp;
							<a href="manage-pages.php">CANCEL</a> &nbsp;|&nbsp;
							<a href="sitemap.php" target="_blank">SITEMAP</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
							
							<div class="row">
								<div class="label">Name / Label</div>
								<input type="text" name="label" value="<?php echo $link->label; ?>" size="30" />
							</div>
							
							<div class="row">
								<div class="label">Link</div>
								<input type="text" name="link" value="<?php echo $link->link; ?>" size="30" />
							</div>
						
							<div class="row">
								<div class="label">Position</div>
								<select name="position">
									<?php 
										$links = Link::find_all();
										$count = count($links);
										for ($i = 1; $i<= $count; $i++)
										{
											echo '<option value="'.$i;
											if($i == $link->position) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
								<input type="hidden" name="orig_position" value="<?php echo $link->position; ?>" />
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>