<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
		$page = Page::find_by_id($id);
	} else
	{
		$session->message("No page was slected.");
	}
	
	$message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{	
		$page->name = trim($_POST['name']);
		$page->content = trim($_POST['content']);
		if($page->update())
		{
			$session->message("Page updated successfully.");
			redirect_to('manage-pages.php');
		} else
		{
			$session->message("An error has occurred. Please try again.");
		}
	} 
?>
<?php include_layout('html.php');?>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					
						<h1>EDIT PAGE: <?php echo strtoupper($page->name); ?></h1>
						
						<p>
							<a href="delete-page.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this page?');">DELETE</a> &nbsp;|&nbsp;
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
							
							<div class="row">
								<div class="label">Name</div><br/>
								<input type="text" name="name" value="<?php echo $page->name; ?>" />
							</div>
						
							<div class="row">
								<br/><div class="label">Content</div><br/>
								<textarea class="ckeditor" name="content"><?php echo $page->content; ?></textarea>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>