<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['id']))
	{
		$id = $_GET['id'];
		$image = Image::find_by_id($id);
		$images = Image::find_by_service($image->services_id);
		$service = Service::find_by_id($image->services_id);
		$count = count($images);
	} else
	{
		redirect_to('index.php');
	}
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$image->position = trim($_POST['position']);
		$image->orig_position = trim($_POST['orig_position']);
		
		if($image->update())
		{
			$session->message("Image updated successfully.");
			if($service->types_id == 2)
			{
				redirect_to('edit-tour.php?id='.$image->services_id);
			} else
			{
				redirect_to('edit-service.php?id='.$image->services_id);
			}
		} else
		{
			$message = 'An error occurred. Please try again.';
		}
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>EDIT IMAGE</h1>
						
						<p>
							<a href="edit-<?php 
								if($service->types_id == 2)
								{
									echo 'tour';
								} else
								{
									echo 'service';
								}
							?>
							.php?id=<?php echo $image->services_id; ?>">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" enctype="multipart/form-data">
							
							<div class="row">
								<select name="position">
									<?php 
										for($i = 1; $i <= $count; $i++)
										{
											echo '<option value="'.$i;
											if($i == $image->position) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
								<input type="hidden" name="orig_position" value="<?php echo $image->position; ?>" />
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>