<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	$user = User::find_by_id($session->user_id);
	$coordinator = Coordinator::find_by_id($user->coordinators_id);
	$message = $session->message;
?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{	
		$name = $_POST['name'];
		$tel = $_POST['tel'];
		$orig_pass = trim($_POST['orig_pass']);
		$new_pass = $_POST['new_pass'];
		$new_pass1 = $_POST['new_pass1'];
		
		if(empty($orig_pass))
		{
			$message = '<p class="red">Please enter your current password to proceed.</p>';
		} else
		{
			$found_user = User::authenticate($user->username, $orig_pass);
			if($found_user)
			{
				if($new_pass != $new_pass1)
				{
					$message = '<p class="red">The new password entered is different to the confirmation password. Please re-enter the new password.</p>';
				} else
				{
					if($new_pass != '')
					{
						$user->new_password = $new_pass;
						$user->update();
					}
					$coordinator->name = $name;
					$coordinator->tel = $tel;
					$coordinator->update();
					$session->message('<p class="green">Details updated successfully.</p>');
					redirect_to('index.php');
				}
			} else
			{
				$message = '<p class="red">The password entered is incorrect. please re-enter your current password.</p>';
			}
		}
	} 
?>
<?php include_layout('html.php')?>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>EDIT USER DETAILS</h1>
												
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						<p>Email Address (username): <?php echo $user->username; ?></p>
						<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post" >
							
							<table class="borderless">
								<tr><td>Name</td><td>
									<input type="text" name="name" value="<?php echo $coordinator->name; ?>" size="30" />
								</td></tr>
							
								<tr><td>Telephone</td><td>
									<input type="text" name="tel" value="<?php echo $coordinator->tel; ?>" size="30" />
								</td></tr>
							
								<tr><td>Current Password</td><td>
									<input type="password" name="orig_pass" value="" size="30" /><label> * required to update</label>
								</td></tr>
								
								<tr><td>New Password</td><td>
									<input type="password" name="new_pass" value="" size="30" />
								</td></tr>
								
								<tr><td>Confirm New Password</td><td>
									<input type="password" name="new_pass1" value="" size="30" />
								</td></tr>
								
								<tr><td>&nbsp;</td><td>
									<input type="submit" name="submit" value="Submit" />
								</td></tr>
							</table>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>