<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$search = mysql_real_escape_string($_POST['search']);
		$field = mysql_real_escape_string($_POST['field']);
		
		if($field == 'all')
		{
			$guides = Guide::find_by_string();
		} else if($field == 'name')
		{
			$guides = Guide::find_by_name($search);
		} else if($field == 'email')
		{	
			$guides = Guide::find_string_in_field($field, $search);
		} else if($field == 'languages')
		{
			global $database;
			$language = Language::search($search);
			if($language)
			{
				$table = 'guides_languages';
				$query = 'FIND * FROM '.$table.' WHERE languages_id = '.$language->id;
				$results = $database->query($query);
				
				while($row = mysql_fetch_array($results))
				{
					$guides[] = Guide::find_by_id($result->guides_id);
				}
			} 
		} // OR else
		{
			global $database;
			$search_table = $field;
			$queryy = "SELECT * FROM ".self::$search_table." WHERE name LIKE %'{$name}'%";
			
			$join_table = 'guides_'.$field;
			
		}
//		<option value="all">All fields</option>
//		<option value="firstname">First Name</option>
//		<option value="surname">Surname</option>
//		<option value="affiliations">Affiliations</option>
//		<option value="languages">Language</option>
//		<option value="regions">Region</option>
//		<option value="categories">Category</option>
	} else
	{
		$guides = Guide::find_all();
	}
?>
<!--[if IE]>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<![endif]-->
<html>
	<!--[if !IE]>
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<![endif]-->
	<head>
		
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		

		<link rel="stylesheet" type="text/css" media="all" href="../cape-town-guided-tours-styles/cape-town-guided-tours-styles.css">
		
		<script language="JavaScript" type="text/javascript" >
		function disableSelection(target){
			if (typeof target.onselectstart!="undefined") //IE route
				target.onselectstart=function(){return false}
			else if (typeof target.style.MozUserSelect!="undefined") //Firefox route
				target.style.MozUserSelect="none"
			else //All other route (ie: Opera)
				target.onmousedown=function(){return false}
			target.style.cursor = "default"
			}

</script>

<style>
	body{-webkit-user-select:none;
-moz-user-select:none;
	}
</style>
		
	</head>
	
	<body style="text-align:center;">
		<div id="website" style="width:900px; margin:0 auto; height:auto;">

<?php //include_layout('header-admin.php'); ?>
			
			<div id="main">
				
				<div id="content">
					<h1>GUIDE LIST PAGE</h1>
					
					<?php if(isset($session->message)) echo '<br/>'.$session->message.'<br/>'; ?>
					
					<div class="search_box">
						<form method="post" action="guide-list.php">
							<label>SEARCH: </label><br/>
							<select name="field">
								<option value="all">All fields</option>
								<option value="firstname">First Name</option>
								<option value="surname">Surname</option>
								<option value="affiliations">Affiliations</option>
								<option value="languages">Language</option>
								<option value="regions">Region</option>
								<option value="category">Category</option>
							</select>
							<input type="text" name="search" size="30" value="Quick Search" onfocus="this.value=''" /> 
							<input type="submit" name="submit" value="GO" />
						</form>
					</div>
					
					<div class="guide_details">
						<table>
							<tr>
								<th>Surname</th>
								<th>First Name</th>
								<th>Email</th>
								<th>Cellphone</th>
								<th>Languages</th>
								<th>Tour Categories</th>
								<th>Region</th>
							</tr>
							
							<?php 
								foreach($guides as $guide)
								{
									echo '<tr>';
									echo '<td>'.$guide->surname.'</td>';
									echo '<td>'.$guide->firstname.'</td>';
									echo '<td>'.$guide->email.'</td>';
									echo '<td>'.$guide->cellphone.'</td>';
									echo '<td><ul>';
										$guide_languages = GuideLanguage::find_by_guide_id($guide->id);
										foreach($guide_languages as $guide_language)
										{
											$language = Language::find_by_id($guide_language->languages_id);
											echo '<li>'.$language->name.'</li>';
										}
									echo '</ul></td>';
									echo '</tr>';
								}
							?>
						</table>
					</div>
					
					
					<p><a href="logout.php">LOGOUT</a></p>
				</div>
				
			</div>
			
<?php //include_layout('footer-admin.php'); ?>
</div>
<?php if(!$session->is_admin_user()):?>
<script type="text/javascript">
disableSelection(document.body) //disable text selection on entire body of page
</script>
<?php endif; ?>
	</body>
</html>