<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

<?php include_layout('header-admin.php'); ?>

			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					
						<h1>MANAGE WEBSITE</h1>
						
						<?php if(isset($session->message) && $session->message != "") echo $session->message.'<br/>'; ?>
						
						<h2>SELECT A PAGE OR SECTION:</h2>
						<label>Pages:</label>
						<ul class="options">
							<?php 
								$pages = Page::find_all_editable();
								foreach($pages as $page)
								{
									echo '<li><a href="edit-page.php?id='.$page->id.'">'.$page->name.'</a></li>';
								}
							?>
							<li><a href="new-page.php">+ New Page</a></li>
						</ul>
						<br/>
						
						<label>PDF's:</label>
						<ul class="options">
							<?php 
								$pdfs = Pdf::find_all();
								foreach($pdfs as $pdf)
								{
									echo '<li><a href="edit-pdf.php?id='.$pdf->id.'">'.$pdf->name.' - '.$pdf->filename.'</a></li>';
								}
							?>
							<li><a href="upload-pdf.php">+ New PDF</a></li>
						</ul>
						
						<h2>FOOTER BLOCKS:</h2>
						
						<label>Links:</label>
						<ul class="options">
							<?php 
								$links = Link::find_all();
								foreach($links as $link)
								{
									echo '<li><a href="edit-link.php?id='.$link->id.'">'.$link->label.'</a></li>';
								}
							?>
							<li><a href="new-link.php">+ New Link</a></li>
						</ul>
						<br/>
						
						<label>Social Media Links:</label>
						<ul class="options">
							<?php 
								$socials = SocialMedia::find_all();
								foreach($socials as $social)
								{
									echo '<li><a href="edit-social.php?id='.$social->id.'">'.$social->name.'</a></li>';
								}
							?>
							<li><a href="new-social.php">+ New Social Media Link</a></li>
						</ul>
						<br/>
						
						<a href="edit-contact.php">Edit Contact Details</a>
						
					</div>
				</div>
			</div>
			
<?php include_layout('footer-admin.php'); ?>