<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(!isset($_GET['id']))
	{
		$session->message('<p class="red">No guide ID was provided.</p>');
		redirect_to('manage-guides.php');
	} 
	$id = trim($_GET['id']);
	$guide = Guide::find_by_id($id);
	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{			
	// Vehicle details
		$year			= trim($_POST['year']);
		$capacity		= trim($_POST['capacity']);
		$colour			= trim($_POST['colour']);
		$pdplicence		= trim($_POST['pdplicence']);
		$pdpexpiry		= trim($_POST['pdpexpiry']);
		$oplicence		= trim($_POST['oplicence']);
		$opexpiry		= trim($_POST['opexpiry']);
		$comments		= trim($_POST['comments']);
		$model			= trim($_POST['model']);
		
		if($model != "none")
		{
			$car 					= new Vehicle();
			$car->vehicle_models_id	= $model;
			$car->year				= $year;
			$car->capacity			= $capacity;
			$car->colour			= $colour;
			$car->pdp_licence		= $pdplicence;
			$car->pdp_expiry		= $pdpexpiry;
			$car->operators_licence	= $oplicence;
			$car->operators_expiry	= $opexpiry;
			if(isset($_POST['passliability'])) $car->passenger_liability = 'y';
			else $car->passenger_liability = 'n';
			if(isset($_POST['personalins'])) $car->personal_insurance = 'y';
			else $car->personal_insurance = 'n';
			if(isset($_POST['vliability'])) $car->vehicle_liability = 'y';
			else $car->vehicle_liability = 'n';
			$car->comments = $comments;
			$car->guides_id = $id;
			$car->create();
		}
		
	// Company details
		$company 	= trim($_POST['company']);
		$slogan		= trim($_POST['slogan']);
		$address	= trim($_POST['address']);
		$tel		= trim($_POST['tel']);
		$fax		= trim($_POST['fax']);
		$website	= trim($_POST['website']);
		
		if($company != "" && $company != 'n/a')
		{
			$co 			= new Company();
			$co->company	= $company;
			$co->slogan		= $slogan;
			$co->address	= $address;
			$co->tel		= $tel;
			$co->fax		= $fax;
			$co->website	= $website;
			$co->guides_id 	= $id;
			$co->create();
		}
		
		redirect_to('guide-details.php?id='.$guide->id);
	} 
	if(!isset($model))			$model	 		= "";
	if(!isset($year)) 			$year			= "";
	if(!isset($capacity)) 		$capacity 		= "";
	if(!isset($colour)) 		$colour 		= "";
	if(!isset($pdplicence)) 	$pdplicence 	= "n";
	if(!isset($pdpexpiry)) 		$pdpexpiry 		= "dd/mm/yyyy";
	if(!isset($oplicence)) 		$oplicence 		= "";
	if(!isset($opexpiry)) 		$opexpiry	 	= "dd/mm/yyyy";
	if(!isset($passliability))	$passliability	= "";
	if(!isset($personalins))	$personalins	= "";
	if(!isset($vliability))		$vliability	 	= "";
	if(!isset($comments))		$comments	 	= "";
	
	if(!isset($company))	$company	= "";
	if(!isset($slogan)) 	$slogan 	= ""; 
	if(!isset($address)) 	$address 	= "";
	if(!isset($tel)) 		$tel 		= "";
	if(!isset($fax)) 		$fax 		= "";
	if(!isset($website))	$website	= "http://www.";
	
?>

<?php include_layout('html.php'); ?>

		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>TOURIST GUIDE COMPANY & VEHICLE DETAILS</h1>
					
					<?php if(isset($session->message) && $session->message != "") echo '<br/>'.$session->message.'<br/>'; ?>
					
					<div class="guide_details">
						
						<h2>COMPANY DETAILS</h2>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
						
						<table class="borderless">
							<tr><td width="150px">Company Name:</td><td><input type="text" size="30" name="company" value="<?php echo $company;?>" /> </td></tr>
							<tr><td>Slogan:</td><td><input type="text" size="30" name="slogan" value="<?php echo $slogan;?>" /> </td></tr>
							<tr><td>Address:</td><td><input type="text" name="address" size="30" value="<?php echo $address;?>" /></td></tr>
							<tr><td>Telephone:</td><td><input type="text" name="tel" size="30" value="<?php echo $tel;?>" /></td></tr>
							<tr><td>Fax:</td><td><input type="text" name="fax" size="30" value="<?php echo $fax; ?>" /></td></tr>
							<tr><td>Website Address:</td><td><input type="text" name="website" size="30" value="<?php echo $website; ?>" /></td></tr>
						</table>
						
						<h2>VEHICLE DETAILS</h2>
						<table class="borderless">
							<tr><td width="150px">Type of Vehicle:</td>
								<td><select name="model">
								<option value="none">Select Make & Model...</option>
								<?php 
									$vmakes = get_vehicle_makes_models();
									while($vmodel = mysql_fetch_array($vmakes))
									{
										echo '<option value="'.$vmodel['id'];
										if($model == $vmodel['id']) echo '" selected="selected';
										echo '">'.$vmodel['make'].' '.$vmodel['model'].'</option>';
									}
									?></select>
								</td></tr>
							<tr><td>Year:</td>
								<td><select name="year">
								<?php 
									$curryear = date('Y');
									for($i = 0; $i < 20; $i++)
									{
										$yopt = $curryear - $i;
										echo '<option value="'.$yopt;
										if($yopt == $year) echo '" selected="selected';
										echo '">'.$yopt.'</option>';
									}						
								?>
								</select>
								</td></tr>
							<tr><td>Passenger Capacity:</td>
								<td><select name="capacity">
								<?php 
									for($i = 1;$i <21; $i++)
									{
										echo '<option value="'.$i;
										if($i == $capacity) echo '" selected="selected';
										echo '">'.$i.'</option>';
									}
								?></select>
								</td></tr>
							<tr><td>Colour:</td><td><input type="text" name="colour" size="30" value="<?php echo $colour; ?>" /></td></tr>
							<tr><td>PDP Licence:</td><td>
								<input type="radio" name="pdplicence" value="n" <?php if($pdplicence == 'n') echo 'checked="checked"'; ?> /> No
								<input type="radio" name="pdplicence" value="y" <?php if($pdplicence == 'y') echo 'checked="checked"'; ?> /> Yes
							</td></tr>
							<tr><td>PDP Expiry:</td>
								<td>
									<script>
										$(function() {
											$( "#pdpexp" ).datepicker({
												dateFormat: 'dd/mm/yy',
												changeMonth: true,
												changeYear: true,
												showOtherMonths: true,
												selectOtherMonths: true
												});
										});
									</script>
									<input type="text" name="pdpexpiry" value="<?php echo $pdpexpiry; ?>" size="10" id="pdpexp" />
								</td></tr>
							<tr><td>Operators Licence:</td><td>
								<input type="text" name="oplicence" size="30" value="<?php echo $oplicence; ?>" />
							</td></tr>
							<tr><td>Licence Expiry:</td>
								<td>
									<script>
										$(function() {
											$( "#opexp" ).datepicker({
												dateFormat: 'dd/mm/yy',
												changeMonth: true,
												changeYear: true,
												showOtherMonths: true,
												selectOtherMonths: true
												});
										});
									</script>
									<input type="text" name="opexpiry" value="<?php echo $opexpiry; ?>" size="10" id="opexp" />
								</td></tr>
							<tr><td>Cover Information:</td><td>
								<input type="checkbox" name="passliability[]" value="1" /> Passenger Liability<br/>
								<input type="checkbox" name="personalins[]" value="1" /> Personal Insurance<br/>
								<input type="checkbox" name="vliability[]" value="1" /> Vehicle Liability<br/>
							</td></tr>
						</table>
						
						<h3>ADDITIONAL VEHICLE INFORMATION</h3>
						<textarea name="comments" cols="50" rows="4"><?php echo $comments; ?></textarea>
						
						<p><input type="submit" name="submit" value="Save" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" /></p>
						
						</form>
						
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>
