<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(isset($_GET['id']))
	{
		$id = trim($_GET['id']);
		redirect_to('edit-guide-details.php?id='.$id);
	} 	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{			
	// Guide details
		$firstname 	= trim($_POST['firstname']);
		$surname 	= trim($_POST['surname']);
		$email 		= trim($_POST['email']);
		$tel 		= trim($_POST['tel']);
		$contact	= trim($_POST['contact']);
		$country	= trim($_POST['country']);
		$base		= trim($_POST['base']);
		$othsub		= trim($_POST['othsub']);
		$othcountry	= trim($_POST['othcountry']);
		
		$branch		= trim($_POST['bank']);
		$accholder	= trim($_POST['accholder']);
		$account	= trim($_POST['account']);
		$acctype	= trim($_POST['acctype']);
		$kinname	= trim($_POST['kinname']);
		$kincontact	= trim($_POST['kincontact']);
		$kinrel		= trim($_POST['kinrel']);
		$gcomments	= trim($_POST['gcomments']);
		$idnumber	= trim($_POST['idnumber']);	
		$badge		= trim($_POST['badge']);
		$badgeexpiry= trim($_POST['badgeexpiry']);
		
		$guide = new Guide();
		
		$datepost	= trim($_POST['start_guide']);
		$date_parts = explode('/', $datepost);
		if(is_numeric($date_parts[0]) && is_numeric($date_parts[0]) && is_numeric($date_parts[2]))
			$fromdate = checkdate($date_parts[1], $date_parts[0], $date_parts[2]);
		else $fromdate = false;
		if($fromdate)
			$guide_start = date('Y-m-d', strtotime(str_replace('/', '-', $datepost)));
		else $guide_start = date('Y-m-d');
		$guide->started_guiding = $guide_start;
		
		$guide->firstname 			= $firstname;
		$guide->surname				= $surname;
		$guide->email				= $email;
		$guide->tel					= $tel;
		$guide->communication_methods_id= $contact;
		if($othcountry != "")
		{
			$countryexists = Country::find_by_country($othcountry);
			if($countryexists)
				$guide->countries_id = $countryexists->id;
			else
			{
				$newcoun = new Country();
				$newcoun->country = $othcountry;
				$newcoun->create();
				$guide->countries_id = $newcoun->id;
			}
		} else
		{
			$guide->countries_id		= $country;
		}
		if($othsub != "")
		{
			$suburbexists = Suburb::find_by_suburb($othsub);
			if($suburbexists)
				$guide->suburbs_id = $suburbexists->id;
			else
			{
				$newsub = new Suburb();
				$newsub->suburb = $othsub;
				$newsub->create();
				$guide->suburbs_id = $newsub->id;
			}
		} else
		{
			$guide->suburbs_id			= $base;
		}
		$guide->id_number			= $idnumber;
		$guide->badge_number		= $badge;
		$guide->badge_expiry		= $badgeexpiry;
		$guide->bank_branches_id	= $branch;
		$guide->account_holder		= $accholder;
		$guide->bank_account		= $account;
		$guide->account_types_id	= $acctype;
		$guide->kin_name			= $kinname;
		$guide->kin_contact			= $kincontact;
		$guide->kin_relationships_id= $kinrel;
		$guide->comments			= $gcomments;
		$guide->create();
	// End Guide Details
	
	// Languages
		for($l = 1; $l < 4; $l++)
		{
			if(($_POST['language'.$l]) != 'none')
			{
				$newlang = new GuideLanguage();
				$newlang->languages_id = trim($_POST['language'.$l]);
				$newlang->languagelevels_id = trim($_POST['level'.$l]);
				$newlang->guides_id = $guide->id;
				$newlang->create();
			}
		}
	
	// Categories
		for($c = 1; $c < 4; $c++)
		{
			if($_POST['category'.$c] != 'none')
			{
				$newcat = new GuideCategory();
				$newcat->categories_id = trim($_POST['category'.$c]);
				$newcat->preference = trim($_POST['preference'.$c]);
				$newcat->guides_id = $guide->id;
				$newcat->create();
			}
		}
		
	// Types
		for($t = 1; $t < 4; $t++)
		{
			if($_POST['type'.$t] != 'none')
			{
				$newtype = new GuideType();
				$newtype->types_id = trim($_POST['type'.$t]);
				$newtype->preference = trim($_POST['tpreference'.$t]);
				$newtype->guides_id = $guide->id;
				$newtype->create();
			}
		}
	
	// Regions
		for($r = 1; $r < 4; $r++)
		{
			if(isset($_POST['region'.$r]))
			{
				$newregion = new GuideRegion();
				$newregion->regions_id = trim($_POST['region'.$t]);
				$newregion->guides_id = $guide->id;
				$newregion->create();
			}
		}
		$othreg = trim($_POST['othreg']);
		if($othreg != "")
		{
			$regexists = Region::find_by_region($othreg);
			if(!$regexists)
			{
				$newreg = new Region();
				$newreg->region= $othreg;
				$newreg->create();
			} 
			$newguidereg = new GuideRegion();
			$newguidereg->guides_id = $guide->id;
			if($regexists)
				$newguidereg->regions_id = $reggexists->id;
			else $newguidereg->regions_id = $newreg->id;
			$newguidereg->create();
		}
	
	// Specialities
		if(isset($_POST['speciality']))
		{
			$specstring = implode(', ',$_POST['speciality']);
			$postspecs = explode(', ', $specstring);
			foreach($postspecs as $postspec)
			{
				$guidespec = new GuideSpeciality();
				$guidespec->guides_id = $guide->id;
				$guidespec->specialities_id = $postspec;
				$guidespec->create();
			}
		}
		$othspec = trim($_POST['othspec']);
		if($othspec != "")
		{
			$specexists = Speciality::find_by_speciality($othspec);
			if(!$specexists)
			{
				$newspec = new Speciality();
				$newspec->speciality = $othspec;
				$newspec->create();
			}
			$newguidespec = new GuideSpeciality();
			$newguidespec->guides_id = $guide->id;
			if($specexists) $newguidespec->specialities_id = $specexists->id;
			else $newguidespec->specialities_id = $newspec->id;
			$newguidespec->create();
		}
	
	// Affiliations
		if(isset($_POST['affiliation']))
		{
			$affstring = implode(', ',$_POST['affiliation']);
			$postaffs = explode(', ', $affstring);
			foreach($postaffs as $postaff)
			{
				$guideaff = new GuideAffiliation();
				$guideaff->guides_id = $guide->id;
				$guideaff->affiliations_id = $postaff;
				$guideaff->create();
			}
		}
	
	// Qualifications
		if(isset($_POST['qualification']))
		{
			$qualstring = implode(', ',$_POST['qualification']);
			$postquals = explode(', ', $qualstring);
			foreach($postquals as $postqual)
			{
				$guidequal = new GuideQualification();
				$guidequal->guides_id = $guide->id;
				$guidequal->qualifications_id = $postqual;
				$guidequal->create();
			}
		}
	// End Qualifications
	
	// Admin Processes		
		$processes = AdminProcess::find_all();
		foreach($processes as $process)
		{
			if(isset($_POST['process'.$process->id]))
			{
				$pdatepost = trim($_POST['processdate'.$process->id]);
				$pdate_parts = explode('/', $pdatepost);
				if(is_numeric($pdate_parts[0]) && is_numeric($pdate_parts[0]) && is_numeric($pdate_parts[2]))
					$pdate = checkdate($pdate_parts[1], $pdate_parts[0], $pdate_parts[2]);
				else $pdate = false;
				if($pdate)
					$gprocessdate = date('Y-m-d', strtotime(str_replace('/', '-', $pdatepost)));
				else $gprocessdate = date('Y-m-d');
			
				$gprocess = new GuideAdminProcess();
				$gprocess->admin_processes_id = $process->id;
				$gprocess->guides_id = $guide->id;
				$gprocess->comments = trim($_POST['processcomments'.$process->id]);
				$gprocess->date_completed = $gprocessdate;
				$gprocess->create();
			}
		}
		redirect_to('new-guide-extras.php?id='.$guide->id);
	} 
	if(!isset($firstname)) 		$firstname		= "";
	if(!isset($surname)) 		$surname 		= "";
	if(!isset($email)) 			$email 			= "";
	if(!isset($tel)) 			$tel 			= "";
	if(!isset($contact)) 		$contact 		= "";
	if(!isset($country)) 		$country 		= "";
	if(!isset($othcountry))		$othcountry		= "";
	if(!isset($base)) 			$base	 		= "";
	if(!isset($othsub))			$othsub			= "";
	if(!isset($gcomments))		$gcomments	 	= "";
	
	$othreg 		= "";
	$othspec 		= "";
	
	if(!isset($start_guide))	$start_guide	= "dd/mm/yyyy";
	
	if(!isset($gbank)) 			$gbank 			= ""; 
	if(!isset($accholder))		$accholder		= "";
	if(!isset($account)) 		$account 		= "";
	if(!isset($branch)) 		$branch 		= "";
	if(!isset($acctype)) 		$acctype 		= "";
	
	if(!isset($idnumber))		$idnumber		= "";
	if(!isset($badge))			$badge			= "";
	if(!isset($badgeexpiry))	$badgeexpiry	= 'dd/mm/yyyy';
	if(!isset($kinname)) 		$kinname 		= "";
	if(!isset($kincontact)) 	$kincontact		= "";
	if(!isset($kinrel)) 		$kinrel 		= ""; 
		
?>

<?php include_layout('html.php'); ?>

		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>

		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
		
<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); // if user->admin = yes, otherwise another menu?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					<h1>NEW TOURIST GUIDE</h1>
					
					<?php if(isset($session->message) && $session->message != "") echo '<br/>'.$session->message.'<br/>'; ?>
					
					<div class="guide_details">
						
						<h2>CONTACT DETAILS</h2>
						
						<form action="new-guide.php" method="post" >
						<table class="borderless">
							<tr><td width="150px">First Name:</td><td><input type="text" size="20" name="firstname" value="<?php echo $firstname;?>" /> </td></tr>
							<tr><td>Surname:</td><td><input type="text" size="20" name="surname" value="<?php echo $surname;?>" /> </td></tr>
							<tr><td>Cellphone:</td><td><input type="text" name="tel" size="20" value="<?php echo $tel;?>" /></td></tr>
							<tr><td>Email:</td><td><input type="text" name="email" size="30" value="<?php echo $email; ?>" /></td></tr>
							<tr><td>Preferred Contact:</td><td>
								<select name="contact">
							<?php 	
								$methods = CommunicationMethod::find_all();
								foreach($methods as $method)
								{
									echo '<option value="'.$method->id;
									if($method->id == $contact) echo '" selected="selected';
									echo '" >'.$method->name.'</option>';
								}?>
								</select>
							</td></tr>
							<tr><td>Base Area:</td><td>
								<select name="base">
								<option value="none">Select Suburb...</option>
									<?php 
										$allsuburbs = Suburb::find_all();
										foreach($allsuburbs as $allsuburb)
										{	
											echo '<option value="'.$allsuburb->id;
											if($allsuburb->id == $base) echo '" selected="selected';
											echo '">'.$allsuburb->suburb.'</option>';
										}
									?>
								</select>
								<input type="text" name="othsub" size="30" value="<?php echo $othsub; ?>" />
							</td></tr>
							<tr><td>Country of Origin:</td><td>
								<select name="country">
									<option value="none">Please Select...</option>
									<?php 
										$allcountries = Country::find_all();
										foreach($allcountries as $allcountry)
										{
											echo '<option value="'.$allcountry->id;
											if($allcountry->id == $country) echo '" selected="selected';
											echo '">'.$allcountry->country.'</option>';
										}
									?>
								</select>
								<input type="text" name="othcountry" size="30" value="<?php echo $othcountry; ?>" />
							</td></tr>
						</table>
						
						<h2>CAPABILITIES</h2>
						<table class="borderless">
							<tr><td width="150px">Languages:</td>
								<td>
									<?php
										$langs = Language::find_all();
										$levels = LanguageLevel::find_all();
										for($i=1; $i<4; $i++)
										{
											echo '<select name="language'.$i.'">';
											echo '<option value="none">Select Language...</option>';
											foreach($langs as $lang)
												echo '<option value="'.$lang->id.'">'.$lang->language.'</option>';
											echo '</select>&nbsp;&nbsp;<select name="level'.$i.'">';
											echo '<option value="1">Select Level...</option>';
											foreach($levels as $level)
												echo '<option value="'.$level->id.'">'.$level->name.'</option>';
											echo '</select><br/><br/>';
										} 
									?>
								</td></tr>
							<tr><td>Tour Categories</td>
								<td>
								<?php 
									$cats = Category::find_all();
									for($i=1;$i<4;$i++)
									{
										echo '<select name="category'.$i.'">';
										echo '<option value="none">Select Category...</option>';
										foreach($cats as $cat)
											echo '<option value="'.$cat->id.'">'.$cat->category.'</option>';
										echo '</select>&nbsp;&nbsp;<select name="preference'.$i.'">';
										echo '<option value="1">Select Preference...</option>';
										for($j = 1; $j < 4; $j++)
											echo '<option value="'.$j.'">'.$j.'</option>';
										echo '</select><br/><br/>';
									}						
								?>
								</td></tr>
							<tr><td>Tour Types:</td>
								<td>
								<?php 
									$types = Type::find_all();
									for($i = 1;$i <4; $i++)
									{
										echo '<select name="type'.$i.'">';
										echo '<option value="none">Select Type...</option>';
										foreach($types as $type)
											echo '<option value="'.$type->id.'">'.$type->type.'</option>';
										echo '</select>&nbsp;&nbsp;<select name="tpreference'.$i.'">';
										for($j = 1; $j < 4; $j++)
											echo '<option value="'.$j.'">'.$j.'</option>';
										echo '</select><br/><br/>';
									}
								?>
								</td></tr>
							<tr><td>Regions:</td>
								<td>
								<?php 
									$regions = Region::find_all();
									foreach($regions as $region)
										echo '<div class="label"><input name="region[]" type="checkbox" value="'.$region->id.'" /> '.$region->region.'</div>';
								?>
								</td></tr>
							<tr><td>Other Region:</td><td><input type="text" size="30" name="othreg" value="<?php echo $othreg;?>" /></td></tr>
							<tr><td>Specialities:</td>
								<td><ul>
								<?php 
									$specialities = Speciality::find_all();
									foreach($specialities as $speciality)
									{
										echo '<div class="label"><input name="speciality[]" type="checkbox" value="'.$speciality->id;
										echo '" /> '.$speciality->speciality.'</div>';
									}
								?>
								</ul></td></tr>
							<tr><td>Other Speciality:</td><td><input type="text" size="30" name="othspec" value="<?php echo $othspec;?>" /></td></tr>
						</table>
						
						<h2>ADMIN INFORMATION</h2>
						<table class="borderless">
							<tr><td width="150px">ID Number:</td><td><input type="text" name="idnumber" value="<?php echo $idnumber; ?>" size="30" /></td></tr>
							<tr><td>Guide Registration:</td><td><input type="text" name="badge" value="<?php echo $badge; ?>" size="30" /></td></tr>
							<tr><td>Registration Expiry:</td><td>
								<script>
									$(function() {
										$( "#badgeexp" ).datepicker({
											dateFormat: 'dd/mm/yy',
											changeMonth: true,
											changeYear: true,
											showOtherMonths: true,
											selectOtherMonths: true
											});
									});
								</script>
								<input type="text" name="badgeexpiry" value="<?php echo $badgeexpiry; ?>" size="10" id="badgeexp" />
							</td></tr>
							<tr><td>Started Guiding:</td><td>
								<script>
									$(function() {
										$( "#guidefrom" ).datepicker({
											dateFormat: 'dd/mm/yy',
											changeMonth: true,
											changeYear: true,
											showOtherMonths: true,
											selectOtherMonths: true
											});
									});
								</script>
								<input type="text" name="start_guide" value="<?php echo $start_guide; ?>" size="10" id="guidefrom" /></td></tr>
							<tr><td>Affiliations:</td><td>
							<?php 
								$affiliations = Affiliation::find_all();
								foreach($affiliations as $affiliation)
								{
									echo '<div class="label"><input type="checkbox" name="affiliation[]" value="'.$affiliation->id;
									echo '" /> '.$affiliation->affiliation.'</div>';
								}
							?>
							</td></tr>
							<tr><td>Qualifications:</td><td><?php 
								$qualifications = Qualification::find_all();
								foreach($qualifications as $qualification)
								{
									echo '<div class="label"><input type="checkbox" name="qualification[]" value="'.$qualification->id;
									echo '" /> '.$qualification->qualification.'</div>';
								}
							?></td></tr>
							<tr><td>Admin Processes</td><td>
							
							<?php 
								$processes = AdminProcess::find_all();
								foreach($processes as $process)
								{
								?>
								<script>
									$(function() {
										$( "#processdate<?php echo $process->id; ?>" ).datepicker({
											dateFormat: 'dd/mm/yy',
											changeMonth: true,
											changeYear: true,
											showOtherMonths: true,
											selectOtherMonths: true
											});
									});
								</script>
								<?php 
									$comments = "";
									echo '<div class="calendar"><div class="label"><input type="checkbox" name="process'.$process->id.'[]" value="'.$process->id;
									echo '" /> '.$process->process;
									echo '<br/><br/><input type="text" name="processdate'.$process->id.'" value="dd/mm/yyyy';
									echo '" size="10" id="processdate'.$process->id.'" /></div>';
									echo '<div class="calendar"><textarea cols="60" rows="3" name="processcomments'.$process->id.'" >';
									echo 'Comments...</textarea></div></div>';
								}
							?>
							</td></tr>
						</table>
						
						<h2>BANK DETAILS</h2>
						<table class="borderless">
							<tr><td width="150px">Bank Branch:</td><td>
								<select name="bank">
									<option value="none">Please Select...</option>
								<?php 
									$banks = get_bank_branches();
									while($bank = mysql_fetch_array($banks))
										echo '<option value="'.$bank['id'].'">'.$bank['bank'].' '.$bank['branch'].' '.$bank['code'].'</option>';
								?>
								</select>
							</td></tr>
							<tr><td>Account Holder:</td><td><input type="text" name="accholder" size="30" value="<?php echo $accholder; ?>" /></td></tr>
							<tr><td>Account Number:</td><td><input type="text" name="account" size="30" value="<?php echo $account; ?>" /></td></tr>
							<tr><td>Account Type:</td><td>
								<select name="acctype">
									<option value="none">Please Select...</option>
									<?php 
									$accs = AccountType::find_all();
									foreach($accs as $acc)
									{
										echo '<option value="'.$acc->id.'">'.$acc->account_type.'</option>';
									}
									 ?>
							</select>
							</td></tr>
						</table>
						
						<h2>NEXT OF KIN INFORMATION</h2>
						<table class="borderless">
							<tr><td width="150px">Name:</td><td>
								<input type="text" name="kinname" size="30" value="<?php echo $kinname; ?>" />
							</td></tr>
							<tr><td>Contact:</td><td>
								<input type="text" name="kincontact" size="30" value="<?php echo $kincontact; ?>" />
							</td></tr>
							<tr><td>Relationship:</td><td>
								<select name="kinrel">
									<option value="none">Please Select...</option>
								<?php 
									$rels = KinRelationship::find_all();
									foreach($rels as $rel)
									{
										echo '<option value="'.$rel->id.'">'.$rel->relationship.'</option>';
									}
								?>
								</select>
							</td></tr>
						</table>
						
						<h2>ADDITIONAL INFORMATION</h2>
						<textarea name="gcomments" cols="50" rows="4"><?php echo $comments; ?></textarea>
						
						<p><input type="submit" name="submit" value="Continue" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" /></p>
						
						</form>
						
						</div>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>
