<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{	
		$page_id = trim($_POST['page']);
		$pag = Page::find_by_id($page_id);
	
		$link = new Link();
		$link->label = $pag->name;
		$link->link = $pag->pagename;
		$link->position = trim($_POST['position']);
		
		if($link->create())
		{
			$session->message("Link added successfully.");
			redirect_to('manage-pages.php');
		} else
		{
			$message = "An error has occurred. Please try again.";
		}
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>ADD NEW LINK</h1>
						
						<p>
							<a href="manage-pages.php">CANCEL</a> &nbsp;|&nbsp;
							<a href="sitemap.php" target="_blank">SITEMAP</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="new-page-link.php" method="post" >
						
							<div class="row">
								<div class="label">Select page</div>
								<select name="page">
									<?php 
										$pages = Page::find_all();
										foreach($pages as $page)
										{
											echo '<option value="'.$page->id.'">'.$page->name.'</option>';
										}
									?>
								</select>
							</div>
							
							<div class="row">
								<div class="label">Position</div>
								<select name="position">
									<?php 
										$links = Link::find_all();
										$count = count($links);
										for ($i = 1; $i<= $count+1; $i++)
										{
											echo '<option value="'.$i;
											if($i == $count + 1) echo '" selected="selected';
											echo '">'.$i.'</option>';
										}
									?>
								</select>
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>