<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	$message = $session->message;
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$day	= trim($_POST['day']);
		$set	= trim($_POST['set']);
		$other	= trim($_POST['other']);
		
		$title = trim($_POST['title']);
		$intro = trim($_POST['intro']);
		$details = trim($_POST['details']);
		$duration = trim($_POST['duration']);
		$price = trim($_POST['price']);
		$deposit = trim($_POST['deposit']);
		$category = trim($_POST['category']);
		$region = trim($_POST['region']);
		$othregion = trim($_POST['othregion']);
		
		if($day == "none" && $set == "none" && $other == "none")
		{
			if($title == ""  || ($intro == "" || $details == "") || $duration == 0 || $price == 0 || ($region == 'none' && $othregion == ''))
			{
				$message = '<p class="red">Select a tour or complete the details for a new ad hoc tour (title, summary or details, duration, price, deposit required, category, region).</p>';
			} else
			{
				$service = new Service();
				
				$service->pagename = 'ad-hoc-tour';
				$service->filename = "";
				$service->title = $title;
				$service->intro = $intro;
				$service->details = $details;
				$service->duration = $duration;
				$service->price = $price;
				$service->deposit = $deposit;
				$service->position = 0;
				$service->current = 1;
				if($othregion != "")
				{
					$reg_exist = Region::find_by_region($othregion);
					if(!$reg_exist)
					{
						$region = new Region();
						$region->region = $othregion;
						$region->create();
						$service->regions_id = $region->id;
					} else
					{
						$service->regions_id = $reg_exist->id;
					}
					
				} else
				{
					$service->regions_id = $region;
				}
				$service->types_id = 4;
				$service->categories_id = $category;
				
				$service->create();
				redirect_to('new-enquiry.php?service='.$service->id);
			}
		} else 
		{
			if($day != "none" && $set == "none" && $other == "none")
			{
				redirect_to('new-enquiry.php?service='.$day);
			} else if($set != "none" && $day == "none" && $other == "none")
			{
				redirect_to('new-enquiry.php?service='.$set);
			} else if($other != "none" && $day == "none" && $set == "none")
			{
				redirect_to('new-enquiry.php?service='.$other);
			} else
			{
				$message = '<p class="red">Only one tour can be selected from one of the fields below.</p>';
			}
		}
	} else
	{
		$day 	= "";
		$set 	= "";
		$other	= "";
		
		$title = "Ad Hoc Tour";
		$intro = "";
		$details = "";
		$duration = 1;
		$price = 0;
		$deposit = 0;
		$region = 'none';
		$othregion = "";
		$category = "";
	}
?>
<?php include_layout('html.php')?>
		<script type="text/javascript" language="JavaScript">
			<!--
				function toggleLayer( whichLayer )
				{
				var elem, vis;
				if( document.getElementById ) // this is the way the standards work
				elem = document.getElementById( whichLayer );
				else if( document.all ) // this is the way old msie versions work
				elem = document.all[whichLayer];
				else if( document.layers ) // this is the way nn4 works
				elem = document.layers[whichLayer];
				vis = elem.style;
				// if the style.display value is blank we try to figure it out here
				if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
				vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
				vis.display = (vis.display==''||vis.display=='block')?'none':'block';
				} 
			//-->
		</script>
		
		<style>#adhoc{display:none;}</style>
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>

			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					
						<h1>BOOKING ENQUIRY - SELECT A TOUR</h1>
						
						<?php if(isset($message) && $message != "") echo $message; ?>
						
						<p>
							Please select one of the options below to proceed.
						</p>
						
						<form action="select-service.php" method="post">
							
							<?php include_layout('service-form.php'); ?>
							
							<div class="row">
								<a href="javascript:toggleLayer('adhoc');"><h2>+ AD HOC TOUR</h2></a>
								
								<div id="adhoc">
								
									<?php include_layout('new-service-form.php'); ?>
								
									<div class="row">
										<div class="label">Category</div>
										<select name="category">
										<?php 
											$cats = Category::find_all();
											foreach($cats as $cat)
											{
												echo '<option value="'.$cat->id;
												if($cat->id == $category) echo '" selected="selected';
												echo '">'.$cat->category.'</option>'; 
											}
										?>
										</select>
									</div>
								
								</div>
								
							</div>
							
							<div class="row">
							<br/>
								<input type="submit" name="submit" value="Proceed" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" />
								<br/><br/>
							</div>
							
						</form>
						
					</div>
				</div>
			</div>
			
<?php include_layout('footer-admin.php'); ?>