<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
?>
<?php include_layout('html.php'); 
include_layout('header-admin.php'); ?>		

			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
					
						<h1>SITEMAP</h1>
						
						<table class="borderless">
							<tr><td><h3><a href="/index.html">HOME</a></h3></td><td><label class="small">link:</label>&nbsp;&nbsp; /index.html</td></tr>
							
							<tr><td colspan="2"><h2>DAY TOUR PAGES</h2></td></tr>
							
							<?php 
								$categories = Category::find_all();
								foreach($categories as $category)
								{
									echo '<tr><td><a href="/'.$category->folder.'/'.$category->pagename.'"><h3>'.$category->category.'</h3></a>';
									echo '</td><td><label class="small">link:</label>&nbsp;&nbsp; /'.$category->folder.'/'.$category->pagename.'</td></tr>';
									$services = Service::find_listings_by_category($category->id, 'AND current = 1');
									foreach($services as $service)
									{
										echo '<tr><td><li><a href="/'.$category->folder.'/'.$service->pagename.'">'.$service->title.'</a></li>';
										echo '</td><td><label class="small">link:</label>&nbsp;&nbsp; /'.$category->folder.'/'.$service->pagename.'</td></tr>';
									}
								}
							?>
							
							<tr><td colspan="2"><h2>OTHER TOUR PAGES</h2></td></tr>
							
							<tr><td><a href="/tours-south-afrca-safari.html"><h3>Set Tours</h3></a></td>
								<td><label class="small">link:</label>&nbsp;&nbsp; /tours-south-afrca-safari.html</td></tr>
							<tr><td><a href="/tourist-services-south-africa.html"><h3>Other Services</h3></a></a></td>
								<td><label class="small">link:</label>&nbsp;&nbsp; /tourist-services-south-africa.html</td></tr>
							
							<tr><td colspan="2"><h2>INFORMATION PAGES</h2></td></tr>
							
							<?php 
								$pages = Page::find_all();
								foreach($pages as $page)
								{
									echo '<tr><td><li><a href="/'.$page->pagename.'">'.$page->name.'</a></li>';
									echo '</td><td><label class="small">link:</label>&nbsp;&nbsp; /'.$page->pagename.'</td></tr>';
								}
							?>
							
							<tr><td colspan="2"><h2>PDF'S</h2></td></tr>
							<?php 
								$pdfs = Pdf::find_all();
								foreach($pdfs as $pdf)
								{
									echo '<tr><td><li><a href="/'.$pdf->filename.'">'.$pdf->name.'</a></li>';
									echo '</td><td><label class="small">link:</label>&nbsp;&nbsp; /'.$pdf->filename.'</td></tr>';
								}
							?>
							
							<tr><td colspan="2"><h2>INTERACTION PAGES</h2></td></tr>
							<tr><td><li><a href="/tours-south-africa-booking.html">Booking Enquiry</a></li></td>
								<td><label class="small">link:</label>&nbsp;&nbsp; /tours-south-africa-booking.html</td></tr>
							<tr><td><li><a href="/tours-south-africa-enquiry.html">General Enquiry</a></li></td>
								<td><label class="small">link:</label>&nbsp;&nbsp; /tours-south-africa-enquiry.html</td></tr>
							<tr><td><li><a href="/online-tour-booking.html">Booking/Enquiry Details</a></li></td>
								<td><label class="small">link:</label>&nbsp;&nbsp; /online-tour-booking.html</td></tr>
						</table>
				
					</div>
				</div>
							
			</div>
			
<?php include_layout('footer-admin.php'); ?>	