<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$pdf = new Pdf();
		$pdf->name = trim($_POST['name']);
		$file = $_FILES['file'];
		if($pdf->attach_file($file))
		{
			if($pdf->save())
			{
				$session->message("PDF file added successfully.");
				redirect_to('manage-pages.php');
			} else
			{
				$message = join("<br />", $pdf->errors);
			}
		}
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>ADD NEW PDF</h1>
						
						<p>
							<a href="manage-pages.php">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="upload-pdf.php<?php //echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" enctype="multipart/form-data">
							<div class="row">
								<div class="label">Select file</div>
								<input type="file" name="file" />
							</div>
								<div class="label">Name</div>
								<input type="text" name="name" value="" />
							<div class="row">
								
							</div>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>