<?php require_once("../guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!$session->is_logged_in()) {redirect_to("login.php");} 
	if($session->is_admin_user() == false) {redirect_to("guide-list.php");} 
	
	if(isset($_GET['service']))
	{
		$service_id = $_GET['service'];
		$service = Service::find_by_id($service_id);
	}else
	{
		redirect_to('index.php');
	}
	
	if(isset($session->message) && $session->message != "") $message = $session->message;
	?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$j = 1;
		$message = "";
		for($k = 1; $k <= 12; $k++)
		{
			if (!empty($_FILES['image'.$k]))
			{
				$pic = $_FILES['image'.$k];
				if($pic['type'] != 'image/jpeg' && $pic['type'] != 'image/gif' && $pic['type'] != 'image/png')
				{
					$message .= '<br/>Error for image '.$k.': Only JPEG, PNG and GIF images can be uploaded.<br/>';
				} else
				{
					$image = new Image();
					$image->services_id = $service_id;
					$image->position = $j;
					
					$image->attach_file($pic);
					if($image->save())
					{
						$j++;
					} else
					{
						$message .= 'Could not add image '.$k.': '.join("<br />", $image->errors).'<br/>';
					}
				}
			}
		}
		if($message != "")
		{
			$session->message = 'Some errors occurred: <br/>'.$message;
		}
		if($service->types_id == 2)
		{
			redirect_to('edit-tour.php?id='.$service_id);
		} else
		{
			redirect_to('edit-service.php?id='.$service_id);
		}
	}
?>
<?php include_layout('html.php')?>
		<title>Cape Tourist Guide Connection - ctgc.com</title>
		
		<meta name="keywords" content="" />
		<meta name="description" content=""/>
		
		<script type="text/javascript" src="/ctgc/admin/ckeditor/ckeditor.js"></script>

<?php include_layout('header-admin.php'); ?>
			
			<div id="main_page">
			
				<?php include_layout('admin-menu.php'); ?>
			
				<div id="admin_page">
				
					<div class="admin_content">
						<h1>ADD IMAGES TO SERVICE: <?php echo strtoupper($service->title); ?></h1>
						
						<p>
						<a href="edit-<?php 
							if($service->types_id == 2)
							{
								echo 'tour';
							} else
							{
								echo 'service';
							}
						?>.php?id=<?php echo $service_id; ?>">CANCEL</a>
						</p>
						
						<?php if(isset($message) && $message != "") echo $message.'<br/>'; ?>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" enctype="multipart/form-data">
							<?php 
								for($i = 1; $i <=12; $i++)
								{
							?>
								<div class="row">
									<div class="label">Image <?php echo $i; ?></div>
									<input type="file" name="image<?php echo $i; ?>" />
								</div>
									
							<?php 
								}
							?>
							
							<div class="row">
								<input type="submit" name="submit" value="Submit" />
							</div>
						</form>
					</div>
				</div>
				
			</div>
			
<?php include_layout('footer-admin.php'); ?>