<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(isset($_GET['ref']))
	{
		$ref 			= mysql_prep($_GET['ref']);
		$enquiry 		= get_enquiry_details($ref);
		if(!$enquiry)
		{
			$session->message('<p class="red">The reference number given was not found on our system.</p>');
			redirect_to('booking-reference.php');
		}
		$status 		= Status::find_by_id($enquiry['status']);
		$message		= $session->message;
	} else
	{
		$session->message('<p class="red">No reference number was provided.</p>');
		redirect_to('booking-reference.php');
	}
?>
<?php include_layout('html.php'); ?>
		
		<script type="text/javascript">
			<!--
			function popup(mylink, windowname)
			{
			if (! window.focus)return true;
			var href;
			if (typeof(mylink) == 'string')
			   href=mylink;
			else
			   href=mylink.href;
			window.open(href, windowname, 'width=340,height=310,scrollbars=yes');
			return false;
			}
			//-->
		</script>	
		
<?php include('./tour-guides-cape-town-layout/header.php'); ?>
			
			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
						<h1>ENQUIRY DETAILS - REF# <?php echo $enquiry['reference']; ?></h1>
						
						<?php if(isset($message) && $message != "") echo $message; ?>
						
						<p class="status">
							Current Status: <?php echo $status->status; ?>
						</p>
						
						<?php if($enquiry['tours_id'] != NULL && $enquiry['tours_id'] != 0) {?>
							<p><b>TOUR DETAILS</b></p>
							
							<table class="borderless">
								<tr><td colspan="2"><?php echo $enquiry['title']; ?></td></tr>
								<tr><td colspan="2">
									<?php if($enquiry['people'] != 0)
									{ 
										echo $enquiry['people']; 
										if($enquiry['people'] > 1) echo ' people';
											else echo ' person'; 
									}?>
								</td></tr>
								<tr><td width="140px">Language:</td><td><?php echo $enquiry['tlanguage']; ?></td></tr>
								<?php if($enquiry['start_date'] == '0000-00-00')
								{
									if($enquiry['duration'] != 0) 
									{
										echo '<tr><td>Duration: </td><td>'.$enquiry['duration'].' day';
										if($enquiry['duration'] > 1) echo 's';
										echo '</td></tr>';
									}
								} else {  ?>
								<tr><td>Date/s:</td><td><?php 
									$phpfrom = strtotime($enquiry['start_date']);
									echo date('d M Y', $phpfrom); ?>
								<?php  
									if($enquiry['duration'] > 1) 
									{
										$phpto = $phpfrom + (($enquiry['duration'] - 1)*86400);
										echo ' - '.date('d M Y', $phpto);
									}
								}?>
								</td></tr>
								<tr><td>Total cost:</td><td><?php 
									if($enquiry['total_cost'] != 0) echo 'R '.$enquiry['total_cost'].' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="/ctgc/currency-converter.html" target="_blank" onClick="return popup(this, \'Currency Converter\')">&raquo; Convert Currency</a>'; 
									else echo 'Not yet determined.';
								?> 
								</td></tr>
								<?php if($enquiry['deposit'] > 0) echo '<tr><td>Deposit Amount:</td><td>R '.$enquiry['deposit'].'</td></tr>'; ?>
								<?php if($enquiry['total_cost'] != 0){?>
								<tr><td>Received:</td><td>R <?php 
									$total = Payment::find_enquiry_amount($ref);
									echo $total;
								?>
								<tr><td>Due Now:</td><td>R <?php echo $enquiry['due_now'];  ?></td></tr>
								<?php }?>
							</table>
							
						<?php }?>
						
						<p><b>PERSONAL INFORMATION</b></p>
						<table class="borderless">
							<tr><td colspan="2"><?php echo $enquiry['cfirstname'].' '.$enquiry['csurname']; ?></td></tr>
							<tr><td width="140px">Email:</td><td><?php echo $enquiry['cemail']; ?></td></tr>
							<tr><td>Tel:</td><td><?php echo $enquiry['ctel']; ?></td></tr>
							<tr><td>Contact By:</td><td><?php echo $enquiry['communication_method']; ?></td></tr>
							<tr><td>Country of origin:</td><td><?php echo $enquiry['country']; ?></td></tr>
							<tr><td>Preferred Language:</td><td><?php echo $enquiry['clanguage']; ?></td></tr>
							<tr><td>Local Address:</td><td><?php echo $enquiry['esname'].'<br/>'.$enquiry['address'].'<br/>Tel: '.$enquiry['estel']; ?></td></tr>
						</table>
						
						<p>
							<?php if($enquiry['status'] < 3 && ($enquiry['tours_id'] != NULL && $enquiry['tours_id'] != 0)):?>
								<a href="/ctgc/confirm-booking.php?ref=<?php echo $ref; ?>" title="Confirm Your Booking"><button onClick="javascript:location.href = '/confirm-booking.php?ref=<?php echo $ref; ?>';">Confirm Booking</button></a> &nbsp;
							<?php endif;?>
							<a href="/ctgc/booking-payment.php?ref=<?php echo $ref; ?>" title="Online Credit Card payment"><button onClick="javascript:location.href = '/booking-payment.php?ref=<?php echo $ref; ?>';">Make Payment</button></a> &nbsp;
							<a href="/ctgc/enquiry-email.php?ref=<?php echo $ref; ?>" target="_blank"></a><button onClick="javascript:location.href = '/enquiry-email.php?ref=<?php echo $ref; ?>';" title="Email us about your booking">Email Us</a></button>
						</p>
					
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tourism-south-africa/cape-tours-2-bott.gif" width="1005px" height="1px" />
			</div>

			<?php include_layout('footer.php'); ?>