<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$ref = trim($_POST['ref']);
		$enquiry = Enquiry::find_by_reference($ref);
		if($enquiry)
		{
			redirect_to('booking-details.php?ref='.$ref);
		} else
		{
			$message = '<p class="red"> The reference number was not found on our system. Please enter a valid reference number</p>';
		}
	} else
	{
		$ref = "";
	}
?>
<?php include_layout('html.php'); ?>
<?php 	include('./tour-guides-cape-town-layout/header.php'); ?>

			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
						<h1>BOOKING INFORMATION</h1>
						
						<?php if(isset($message) && $message != "") echo $message; ?>
						
						<p>Please enter your enquiry / booking reference number to continue.</p>
						
						<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
							
							<div class="row">
								<div class="label">
									<label>Ref:</label>
								</div>
								<input name="ref" type="text" size="30" />
							</div>
							
							<div class="row">
							<div class="label">&nbsp;</div>
								<input type="submit" name="submit" value="Proceed" />&nbsp;&nbsp;<input type="reset" name="reset" value="Reset" />
							</div>
						</form>
				
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tourism-south-africa/cape-tours-2-bott.gif" width="1005px" height="1px" />
			</div>

			<?php include_layout('footer.php'); ?>