<?php 
// Define the core paths
// Define them as absolute paths to make sure that require_once works as expected

// DIRECTORY_SEPARATOR is a PHP pre-defined constant
// (\ for Windows, / for Unix)

defined('DS') ? null : define('DS', DIRECTORY_SEPARATOR);

defined('SITE_ROOT') ? null : define('SITE_ROOT', DS.'home'.DS.'fdesign1'.DS.'public_html'.DS.'freshweb.co.za'.DS.'ctgc');

defined('LIB_PATH') ? null : define('LIB_PATH', SITE_ROOT.DS.'guided-tours-cape-town-includes');

//set_include_path('.;D:'.DS.'wamp'.DS.'www'.DS.'ctgc'.DS.'tour-guides-cape-town-layout');

// load config file first
require_once(LIB_PATH.DS.'cape-guided-tours-config.php');

// load basic functions next so that everything after can use them
require_once(LIB_PATH.DS.'cape-guided-tours-functions.php');

// load core objects
require_once(LIB_PATH.DS.'cape-guided-tours-session.php');
require_once(LIB_PATH.DS.'cape-guided-tours-database.php');

// load database-related classes
require_once(LIB_PATH.DS.'tours-cape-town-user.php');
require_once(LIB_PATH.DS.'tours-cape-town-guide.php');
require_once(LIB_PATH.DS.'tours-cape-town-company.php');
require_once(LIB_PATH.DS.'tours-cape-town-language.php');
require_once(LIB_PATH.DS.'tours-cape-town-guide-language.php');
require_once(LIB_PATH.DS.'tours-cape-town-note.php');
require_once(LIB_PATH.DS.'tours-cape-town-communicationmethod.php');
require_once(LIB_PATH.DS.'tours-cape-town-category.php');
require_once(LIB_PATH.DS.'tours-cape-town-service.php');
require_once(LIB_PATH.DS.'tours-cape-town-special-requirements.php');
require_once(LIB_PATH.DS.'tours-cape-town-establishment.php');
require_once(LIB_PATH.DS.'tours-cape-town-client.php');
require_once(LIB_PATH.DS.'tours-cape-town-enquiry.php');
require_once(LIB_PATH.DS.'tours-cape-town-tour.php');
require_once(LIB_PATH.DS.'tours-cape-town-country.php');
require_once(LIB_PATH.DS.'tours-cape-town-coordinator.php');
require_once(LIB_PATH.DS.'tours-cape-town-status.php');
require_once(LIB_PATH.DS.'tours-cape-town-region.php');
require_once(LIB_PATH.DS.'tours-cape-town-suburb.php');
require_once(LIB_PATH.DS.'tours-cape-town-type.php');
require_once(LIB_PATH.DS.'tours-cape-town-contact.php');
require_once(LIB_PATH.DS.'tours-cape-town-page.php');
require_once(LIB_PATH.DS.'tours-cape-town-pdf.php');
require_once(LIB_PATH.DS.'tours-cape-town-link.php');
require_once(LIB_PATH.DS.'tours-cape-town-social-media.php');
require_once(LIB_PATH.DS.'tours-cape-town-image.php');
require_once(LIB_PATH.DS.'tours-cape-town-busy-day.php');
require_once(LIB_PATH.DS.'tours-cape-town-vehicle.php');
require_once(LIB_PATH.DS.'tours-cape-town-payment.php');
require_once(LIB_PATH.DS.'tours-cape-town-enquiry-method.php');
require_once(LIB_PATH.DS.'tours-cape-town-speciality.php');
require_once(LIB_PATH.DS.'tours-cape-town-affiliation.php');
require_once(LIB_PATH.DS.'tours-cape-town-qualification.php');
require_once(LIB_PATH.DS.'tours-cape-town-admin-process.php');
require_once(LIB_PATH.DS.'tours-cape-town-kin-relationship.php');
require_once(LIB_PATH.DS.'tours-cape-town-bank.php');
require_once(LIB_PATH.DS.'tours-cape-town-expense.php');
?>