<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	$ref = trim($_GET['ref']);

	$result			= $_POST['_RESULT'];
	$errorcode		= $_POST['_ERROR_CODE'];
	$errorsource	= $_POST['_ERROR_SOURCE'];
	$errormessage	= $_POST['_ERROR_MESSAGE'];
	$errordetails	= $_POST['_ERROR_DETAIL'];
	$opid			= $_POST['VARIABLE1'];
	$pid			= $_POST['VARIABLE2'];

	$online = OnlinePayment::find_by_id($opid);
	$amount = $online->amount;
	$online->delete();
	
	$payment = Payment::find_by_id($pid);
		if ($result	== 0) ##SUCCESS!! 
		{
			$payment->amount = $amount;
			$comments = 'Transaction Successful.';
		}
		elseif($result > 0) ##SUCCESS, BUT WARNING RECEIVED!!
		{
			$payment->amount = $amount;
			$comments = 'Transaction Successful, but warnings received.<br/>';
			$comments .= 'Error Message: '.$errormessage;
			$comments .= '<br/>Error details: '.$errordetails;
		} else if ($result <= 0) ##FAILURE!!
		{
			$comments = 'Transaction FAILED.<br/>';
			$comments .= 'Error Message: '.$errormessage;
			$comments .= '<br/>Error details: '.$errordetails;
		}
	$payment->update();
?>
<?php include_layout('html.php'); 
include('./tour-guides-cape-town-layout/header.php'); ?>

			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
						<?php 
							if ($result	== 0) ##SUCCESS!! 
							{
								echo '<h1>TRANSACTION WAS SUCCESSFUL</h1>';
								echo '<p>Thank you, your payment has been successfully processed.</p>';
							}
							elseif($result	> 0) ##SUCCESS, BUT WARNING RECEIVED!!
							{
								echo '<h1>TRANSACTION WAS SUCCESSFUL</h1>';
								echo '<p>Your transaction was successful, but we did receive the following warning:</p>';
								echo '<p>Error message: ';
								print($errormessage);
								echo '</p><p>Error Details: ';
								print($errordetail);
							} else if ($result	<= 0) ##FAILURE!!
							{
								echo '<h1>PAYMENT DECLINED</h1>';
								echo '<p class="red">Unfortunately your payment was declined. Details of the declination are as follows:</p>';
								echo '<p>Error message: ';
								print($errormessage);
								echo '</p><p>Error Details: ';
								print($errordetail);
							}
						?>
						
						<p><a href="booking-details.php?ref=<?php echo $ref;?>">&laquo; BACK TO BOOKING DETAILS</a></p>
				
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tourism-south-africa/cape-tours-2-bott.gif" width="1005px" height="1px" />
			</div>

			<?php include_layout('footer.php'); ?>