<?php require_once("guided-tours-cape-town-includes/cape-guided-tours-requirements.php"); ?>
<?php 
	if(!isset($_GET['id']))
	{
		redirect_to('index.php');
	} 
	$id = mysql_prep($_GET['id']);
	$cat = Category::find_by_id($id);
	
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$firstname 		= trim(strip_tags($_POST['firstname']));
		$surname 		= trim(strip_tags($_POST['surname']));
		$country		= trim(strip_tags($_POST['country']));
		$other_country	= trim(strip_tags($_POST['other_country']));
		if($country == 'none')
		{
			if($other_country != '')
			{
				$coun = new Country();
				$coun->country = $other_country;
				$coun->create();
				$country = $coun->id;
			}
		}
		$language		= trim(strip_tags($_POST['language']));
		$email 			= trim(strip_tags($_POST['email']));
		$tel 			= trim(strip_tags($_POST['tel']));
		$contact 		= trim(strip_tags($_POST['contact']));
		$establishment	= trim(strip_tags($_POST['establishment']));
		$estname		= trim(strip_tags($_POST['estname']));
		$address		= trim(strip_tags($_POST['address']));
		$esttel			= trim(strip_tags($_POST['esttel']));
		$estregion		= trim(strip_tags($_POST['estregion']));
		
		if(!isset($_POST['terms']))
		{
			$message = '<p class="red">Terms & Conditions must be accepted in order to proceed.</p>';
		} else
		{
			if($_POST['category'] != "none")
				$category		= trim(strip_tags($_POST['category']));
			else $category = 0;
			if($_POST['region'] != "none")
				$region			= trim(strip_tags($_POST['region']));
			else $region = 0;
			if($_POST['date'] == "" || $_POST['date'] == 'dd/mm/yyyy')
			{
				$date = "";
			} else
			{
				$date			= date('Y-m-d', strtotime((str_replace('/','-', strip_tags($_POST['date'])))));
			}
			if($_POST['duration'] != "none")
				$duration		= trim(strip_tags($_POST['duration']));
			else $duration = 0;
			if($_POST['people'] != 'none')
				$people			= trim(strip_tags($_POST['people']));
			else $people = 0;
			$requirements	= trim(strip_tags($_POST['requirements']));
			$comments		= trim(strip_tags($_POST['comments']));
		
			if($establishment == 'other' && $esttel != "" && $address != "" && $estregion != 'none')
			{
				$est = new Establishment();
				if($estname == "")
				{
					$estname = "private accommodation";
				}
				$est->name = $estname;
				$est->address = $address;
				$est->tel = $esttel;
				$est->list = 0;
				$est->suburbs_id = $estregion;
				$est->create();
				$establishment = $est->id;
			}
			
			$message = "";
			//	Check required fields 
			
			$labels = array( 
			'firstname'=>"First Name",
			'surname'=>"Surname",
			'email'=>'Email address',
			'tel'=>'Phone Number',
			'contact'=>'Contact Method',
			'country'=>'Country',
			'other_country'=>'Country',
			'date'=>'Departure date',
			'people'=>'Number of people',
			'language'=>'Preferred Language',
			'requirements'=>'Special Requirements',
			'establishment'=>'Select local address from list or complete all details for other local address',
			'estname'=>'Establishment Name',
			'address'=>'Establishment Address',
			'estregion'=>'Establishment Suburb',
			'esttel'=>'Establishment Phone Number',
			'comments'=>'comments'
			);
			
			foreach($_POST as $field=>$value)
			{
				if($field == 'firstname' || $field == 'surname' || $field == 'email' || $field == 'tel')
				{
					if(empty($_POST[$field]))
					{
						$blanks[$field] = "blank";
					}
				}  else if($field == 'country' && $value == 'none')
				{
					if($_POST['other_country'] == "")
					{
						$blanks[$field] = "blank";
					}
				}else if($field == 'language' && $value == 'none')
				{
					$blanks[$field] = "blank";
				} else if($field == 'establishment' && ($value == 'none' || $value == 'other'))
				{
					if($estname == "" || $address == "" || $esttel == "" || $estregion == "none")
					{
						$blanks[$field] = "blank";
					}
				}
			}
			
			if(!empty($blanks))
			{
				if(sizeof($blanks)>0)
				{
					$message .= "<p class=\"red\">ONE OR MORE OF THE REQUIRED FIELDS ARE BLANK.<br/>Please enter the following information:<br>";
					foreach ($blanks as $field => $value)
					{
						$message .= "&nbsp;&nbsp;&nbsp;{$labels[$field]}<br/>";
					}
					$message .= "</p>";
				}
			} else
			{	
				// Create tour, client, new enquiry & ref
				
				$client = new Client();
				$client->firstname 					= $firstname;
				$client->surname 					= $surname;
				$client->countries_id				= $country;
				$client->languages_id				= $language;
				$client->tel 						= $tel;
				$client->email 						= $email;
				$client->communication_methods_id 	= $contact;
				$client->establishments_id			= $establishment;
				if($client->create())
				{
					if($category != "0" || $region != "0" || $date != 'dd/mm/yyyy' || $duration != "0" || $people != "0")
					{
						$service = new Service();
						$service->title 		= 'Ad Hoc - '.$firstname.' '.$surname;
						$service->duration 		= $duration;
						$service->current 		= 0;
						$service->types_id 		= 4;
						$service->categories_id = $category;
						$service->regions_id 	= $region;
						$service->create();
						
						$tour = new Tour();
						$tour->start_date = $date;
						$tour->capacity = $people;
						$tour->services_id = $service->id;
						$tour->languages_id = $language;
						$tour->create();
					}
					
					$enquiry = new Enquiry();
					$maxid = get_max_id('enquiries');
					$enquiry->reference				= ($maxid +1001).'W';
					$enquiry->created				= date('Y-m-d h:i:s', time());
					$enquiry->no_people				= $people;
					$enquiry->status 				= 1;
					$enquiry->total_cost 			= 0;
					$enquiry->deposit				= 0;
					$enquiry->due_now				= 0;
					$enquiry->clients_id 			= $client->id;
					if(isset ($tour)) $enquiry->tours_id = $tour->id;
					else $enquiry->tours_id 		= 0;
					$enquiry->enquiry_methods_id 	= 1;
					$enquiry->coordinators_id		= 1;
					$enquiry->create();
					
					// Add Enquiries status 
					{
						$enquiries_status = new EnquiryStatus();
						$enquiries_status->enquiries_id = $enquiry->id;
						$enquiries_status->status_id = 1;
						$enquiries_status->create();
					}
				}
				
				// Get all text info for email
				$cm = CommunicationMethod::find_by_id($contact);
				$l = Language::find_by_id($language);
				$c = Country::find_by_id($country);
				$es = Establishment::find_by_id($establishment);
				$esreg = Suburb::find_by_id($es->suburbs_id);
				
				$emessage = '<b>CLIENT DETAILS</b><br/>';
				$emessage .= '<table style=" font-family:Arial, Helvetica, sans-serif; color:#555; font-size:10pt;" cellpadding="5">';
				$emessage .= '<tr><td>NAME: </td><td>'.$firstname.' '.$surname.'</td></tr>';
				$emessage .= '<tr><td>EMAIL ADDRESS: </td><td>'.$email.'</td></tr>';
				$emessage .= '<tr><td>PHONE NUMBER: </td><td>'.$tel.'</td></tr>';
				$emessage .= '<tr><td>PREFERRED CONTACT METHOD: </td><td>'.$cm->name.'</td></tr>';
				$emessage .= '<tr><td>LANGUAGE: </td><td>'.$l->language.'</td></tr>';
				$emessage .= '<tr><td>COUNTRY OF ORIGIN: </td><td>'.$c->country.'</td></tr>';
				$emessage .= '<tr><td>LOCAL ADDRESS:  </td><td>'.$es->name.' - '.$es->address.', '.$esreg->suburb.', TEL: '.$es->tel.'</td></tr>';
				$emessage .= '<tr><td>SPECIAL REQUIREMENTS:  </td><td>';
				if($requirements != "none")
				{
					$r = Requirement::find_by_id($requirements);
					$emessage .= $r->name;
				} else
				{
					$emessage .= 'NO';
				}
				$emessage .= '</td></tr></table><br/>';
				
				$emessage .= '<b>TOUR DETAILS</b><br/>';
				$emessage .= '<table style=" font-family:Arial, Helvetica, sans-serif; color:#555; font-size:10pt;" cellpadding="5">';
				$emessage .= '<tr><td>CATEGORY: </td><td>'.$category.'</td></tr>';
				$emessage .= '<tr><td>REGION: </td><td>'.$region.'</td></tr>';
				$emessage .= '<tr><td>STARTING ON: </td><td>'.$date.'</td></tr>';
				$emessage .= '<tr><td>DURATION (DAYS): </td><td>'.$duration.'</td></tr>';
				$emessage .= '<tr><td>NUMBER OF PEOPLE: </td><td>'.$people.'</td></tr></table>';
				if($comments != '')
				{
					$emessage .= 'COMMENTS: <br/><br/>'.$comments.'<br/>';
					$note = new Note();
					$note->details = $comments;
					$note->users_id = 0;
					$note->create();
					
					$enq_note = new EnquiryNote();
					$enq_note->notes_id = $note->id;
					$enq_note->enquiries_id = $enquiry->id;
					$enq_note->create();
				}
						
				// send email								
				$to 		= "info@freshweb.co.za";
				$subject	= $enquiry->reference." - Website Set Tour Enquiry";
				$headers	= "From: ".$email."\r\n";
				$headers	.= "Reply-To: ".$email."\r\n";
				$headers	.= "MIME-Version: 1.0\r\n";
				$headers	.= "Content-Type: text/html; charset=ISO-8859-1\r\n";
				
				$email_body	= '<html><body style="font-family:Arial, Helvetica, sans-serif; color:#555; font-size:10pt;">';
				$email_body .= '<h1>'.$enquiry->reference.'</h1>';
				$email_body	.= $emessage;
				$email_body	.= '</body></html>';
				
				$mailsend = mail($to, $subject, $email_body, $headers);
				
				$session->message('<p class="red">Thank you for your enquiry. Please take note of your reference number.<br/>One of our coordinators will contact you shortly.</p>');
				redirect_to('booking-details.php?ref='.$enquiry->reference);
			}
		}
	} else
	{
		$firstname 		= "";
		$surname 		= "";
		$country		= "";
		$other_country 	= "";
		$email 			= "";
		$tel 			= "";
		$contact 		= "1";
		$establishment	= "";
		$estname		= "private accommodation";
		$address		= "";
		$esttel			= "";
		$estregion		= "";
		$category		= $cat->id;
		$region			= "";
		$date			= 'dd/mm/yyyy';
		$duration 		= "";
		$people			= "";
		$language		= "";
		$requirements	= "";
		$comments		= "";
	}
?>
<?php include_layout('html.php'); ?>

		<script type="text/javascript" language="JavaScript">
			<!--
				function toggleLayer( whichLayer )
				{
				var elem, vis;
				if( document.getElementById ) // this is the way the standards work
				elem = document.getElementById( whichLayer );
				else if( document.all ) // this is the way old msie versions work
				elem = document.all[whichLayer];
				else if( document.layers ) // this is the way nn4 works
				elem = document.layers[whichLayer];
				vis = elem.style;
				// if the style.display value is blank we try to figure it out here
				if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
				vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
				vis.display = (vis.display==''||vis.display=='block')?'none':'block';
				} 
			//-->
		</script>
		
		<script type="text/javascript" src="/ctgc/dates/js/jquery-1.4.2.min.js" ></script>
		<script type="text/javascript" src="/ctgc/dates/js/jquery-ui-1.8.6.custom.min.js" ></script>
		<link rel="stylesheet" href="/ctgc/dates/css/jquery-ui-1.8.6.custom.css" type="text/css" media="all" />
	
<?php include('./tour-guides-cape-town-layout/header.php'); ?>		

			<div id="double"> 
				
				<div class="left">
				
					<div id="left_content">
				
						<h1><?php echo strtoupper($cat->category); ?></h1>
						<p><?php echo $cat->intro; ?></p>
						
						<?php 
							$services = Service::find_listings_by_category($id, 'AND current = 1');
							foreach($services as $service)
							{
								echo '<div class="listing">';
								echo '<div class="image"><img src="/'.$service->image_display().'" width="130px" /></div>';
								echo '<div class="summary"><h2>'.strtoupper($service->title).'</h2>';
								echo '<p>'.$service->intro.'<br/>Price: R'.$service->price.'</p>';
								echo '<label><a href="/ctgc/'.$cat->folder.'/'.$service->pagename.'" class="more">READ MORE</a>&nbsp;&nbsp;l&nbsp;&nbsp;';
								echo '<a href="/ctgc/book-tours-south-africa.html?service='.$service->id.'" class="more">BOOK NOW</a></label></div></div>';
							}
						?>
						<p>
							If you didn't find what you are looking for please complete the enquiry form below and we will contact you. 
							We can tailor a package to suit all of your requirements and more.
						</p>
						
						<form action="/tour-enquiry.php" method="post">
						
						<?php include('./tour-guides-cape-town-layout/tour-enquiry.php'); ?>
							
						</form>
					</div>
				</div>
				
				<?php include_layout('right-menu.php'); ?>
				
				<img src="/ctgc/tourism-south-africa/cape-tours-2-bott.gif" width="1005px" height="1px" />
				
			</div>
			
<?php include_layout('footer.php'); ?>	