<?php require_once("../web-design-cape-town-includes/web-design-cape-town-requirements.php"); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
		if (isset($_GET['id']))
		{
			$page=Page::find_by_id($_GET['id']);
			$page_id=$page->id;
			$session->page_id=$page_id;
		}
?>
<?php 
	$max_file_size = 1048576; // expressed in bytes: 10240 = 10kb, 102400 = 100kb, 1048576 = 1mb

	if(isset($_POST['submit']))
	{	// form processing
		$page=Page::find_by_id($_POST['page_id']);
		$page_id=$_POST['page_id'];
		$photo = new Photograph();
		$photo->page_id = $page_id;
		$photo->position = $_POST['position'];
		$photo->attach_file($_FILES['file_upload']);
		if($photo->save())
		{	//Success
			$session->message("Photograph uploaded successfully.");
			redirect_to('edit-website-page.php?id='.$page_id);
		} else
		{	// Failure
			$message = join("<br />", $photo->errors);
		}
	} else
	{
		$description="";
	}
?>

<?php include('../website-layout-cape-town/web-design-cape-town-header-admin.php')?>
			
			<div id="menu-bar">
				<h4>Upload A New Image</h4>
			</div>
			
			<div id="admin">
			<br/>
				<?php echo output_message($message);  ?>

				<form action="website-image-upload.php?page=<?php echo $page->id; ?>" enctype="multipart/form-data" method="post">
					<div class="row">
						<span class="label">
							<label>Select image:</label>
						</span>
						<span class="inputs">
							<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_file_size; ?>" />
							<input type="file" name="file_upload" />
							<br/><br/>
						</span>
					</div>
					
					<div class="row">
						<span class="label"><label>Page:</label></span>
						<span class="inputs">
							<select name="page_id">
								<?php 
									
									$pages=Page::find_all();
										
									foreach($pages as $page)
									{
										echo "<option value=\"".$page->id;
										if ($page->id==$page_id) {echo "\" selected=\"selected\"";}
										echo "\">{$page->name}</option>";
									}
								?>	
							</select>
							<br/><br/>
						</span>	
					</div>
					
					<div class="row">
						<span class="label"><label>Position:</label></span>
						<span class="inputs">
							<select name="position">
								<?php 							
									$page_photos=Photograph::get_photos_for_page($page_id);	
																		
									foreach($page_photos as $page_photo)
									{$photo_count++;}									

									for($count=1; $count <= $photo_count+1; $count++)
									{
										echo "<option value=\"{$count}\"";
										echo ">{$count}</option>";
									}
								?>	
							</select>
							<br/><br/>
						</span>	
					</div>
					
					<div class="row">
						<span class="label">&nbsp;</span>
						<span class="inputs"><input type="submit" name="submit" value="Upload" />
						&nbsp;&nbsp;
						<input type="reset" value="Reset">
						</span>	
					</div>
					
				</form>
				<br />
				<p>&nbsp;&nbsp;&nbsp;<button type="button" onclick="window.location.href='edit-website-page.php?id=<?php echo $page_id; ?>'">Cancel</button><br/></p>
			</div>
	
<?php include('../website-layout-cape-town/web-design-cape-town-footer-admin.php')?>
