<?php 
// Define the core paths
// Define them as absolute paths to make sure that require_once works as expected

// DIRECTORY_SEPARATOR is a PHP pre-defined constant
// (\ for Windows, / for Unix)

defined('DS') ? null : define('DS', DIRECTORY_SEPARATOR);

defined('SITE_ROOT') ? null : define('SITE_ROOT', DS.'home'.DS.'fdesign1'.DS.'public_html'.DS.'freshweb.co.za'.DS.'fdesign');

defined('LIB_PATH') ? null : define('LIB_PATH', SITE_ROOT.DS.'web-design-cape-town-includes');

// load config file first
require_once(LIB_PATH.DS.'web-design-cape-town-config.php');

// load basic functions next so that everything after can use them
require_once(LIB_PATH.DS.'website-cape-town-functions.php');

// load core objects
require_once(LIB_PATH.DS.'website-cape-town-session.php');
require_once(LIB_PATH.DS.'website-cape-town-database.php');

// load database-related classes
require_once(LIB_PATH.DS.'website-cape-town-user.php');
require_once(LIB_PATH.DS.'website-cape-town-page.php');
require_once(LIB_PATH.DS.'web-design-images-cape-town.php');

?>