<?php 
// Define the core paths
// Define them as absolute paths to make sure that require_once works as expected

// DIRECTORY_SEPARATOR is a PHP pre-defined constant
// (\ for Windows, / for Unix)

defined('DS') ? null : define('DS', DIRECTORY_SEPARATOR);

defined('SITE_ROOT') ? null : define('SITE_ROOT', DS.'home'.DS.'fdesign1'.DS.'public_html'.DS.'freshweb.co.za'.DS.'lemon-frost');

defined('LIB_PATH') ? null : define('LIB_PATH', SITE_ROOT.DS.'catering-amsterdam-includes');

// load config file first
require_once(LIB_PATH.DS.'catering-amsterdam-config.php');

// load basic functions next so that everything after can use them
require_once(LIB_PATH.DS.'functions-amsterdam.php');

// load core objects
require_once(LIB_PATH.DS.'cooking-session.php');
require_once(LIB_PATH.DS.'catering-amsterdam-database.php');

// load database-related classes
require_once(LIB_PATH.DS.'catered-events-user.php');
require_once(LIB_PATH.DS.'catered-events-page.php');
require_once(LIB_PATH.DS.'food-photographs.php');

?>