<?php require_once("../catering-amsterdam-includes/amsterdam-catering-ingredients.php"); ?>

<?php 	
		$id = 5;
		$page=Page::find_by_id($id);
		$photos=Photograph::get_photos_for_page($id);	
?>

<?php 
	if (isset($_POST['submit']))
	{
		//process form data
		$name		=trim($_POST['name']);
		$email		=trim($_POST['email']);
		$tel		=trim($_POST['tel']);
		$comments	=trim($_POST['comments']);
		$details	=strip_tags($comments);
		
		//send email
		$to 		= "info@lemonfrost.com";
		$subject	= "Food For Friends Enquiry";
		$message    = "Name: ".$name."\n";
		$message   .= "Email address: ".$email."\n";
		$message   .= "Tel: ".$tel."\n";
		$message   .= "Enquiry: ".$comments."\n";
		
		$mailsend = mail($to, $subject, $message);
		header("Location: ../catering-enquiry-success.php");
		
	} else
	{
		$name="";
		$email="";
		$tel="";
		$comments="";
	}
?>
<?php include("catering-company-amsterdam-layout/catering-amsterdam-header.php"); ?>
	
				<div class="content">
				
					<div class="fade">
						
						<div class="lemon_frost">
							<div class="central">
							
								<div class="food_pics">
									<ul class="food">
										
										<?php foreach($photos as $photo): 
												if ($photo->position <= 5): ?>
										
										<li class="food">
											<img src="<?php echo $photo->image_path();?>" class="food" height="206px" width="206px">
										</li>
										
										<?php endif; 
												endforeach; ?>
										
									</ul>
								</div>
								
								<div class="page_content">
																		
									<div class="text">
										<?php echo $page->body; ?>
									</div>
									<div class="form">
										
										
										<form action="food-for-friends-amsterdam.php" method="post" name="dinner_party_form">
											<div class="row">
												<span class="label"><label>Name:</label></span>
												<span class="inputs"><input type="text" name="name" value="<?php echo $name; ?>"></span>	
											</div>
											<div class="row">
												<span class="label"><label>Email:</label></span>
												<span class="inputs"><input type="text" name="email" value="<?php echo $email; ?>"></span>	
											</div>
											<div class="row">
												<span class="label"><label>Tel:</label></span>
												<span class="inputs"><input type="text" name="tel" value="<?php echo $tel; ?>"></span>	
											</div>
											<div class="row">
												<span class="label"><label>Comments:</label></span>
												<span class="inputs"><textarea name="comments" cols="30" rows="4"><?php echo $comments;?></textarea></span>	
											</div>
											<div class="row">
												<span class="label">&nbsp;</span>
												<span class="inputs"><input type="submit" name="submit" value="Sign Up!"/>&nbsp;&nbsp;&nbsp;&nbsp;<input type="reset" value="Reset"></span>
											</div>
										</form>
										<br/>
									</div>
									
									
								</div>
							</div>
						</div>
					</div>
				</div>
				
<?php include("catering-company-amsterdam-layout/catering-amsterdam-footer.php"); ?>